from typing import Any, Callable, ClassVar, Optional

from typing import overload

class DrakeLcm(DrakeLcmInterface):
    @overload
    def __init__(self) -> None: ...
    @overload
    def __init__(self, lcm_url: str) -> None: ...
    @overload
    def __init__(self, params: DrakeLcmParams) -> None: ...

class DrakeLcmInterface:
    def __init__(self, *args, **kwargs) -> None: ...
    def HandleSubscriptions(self, timeout_millis: int) -> int: ...
    @overload
    def Publish(self, channel: str, buffer: bytes, time_sec: Optional[float] = ...) -> None: ...
    @overload
    def Publish(self) -> Any: ...
    @overload
    def Subscribe(self, channel: str, handler: Callable[[bytes],None]) -> None: ...
    @overload
    def Subscribe(self) -> Any: ...
    def SubscribeAllChannels(self, handler: Callable[[str,bytes],None]) -> None: ...
    def SubscribeMultichannel(self, regex: str, handler: Callable[[str,bytes],None]) -> None: ...
    def get_lcm_url(self) -> str: ...

class DrakeLcmParams:
    __fields__: ClassVar[tuple] = ...  # read-only
    channel_suffix: str
    defer_initialization: Any
    lcm_url: str
    def __init__(self, **kwargs) -> None: ...
    def __copy__(self) -> DrakeLcmParams: ...
    def __deepcopy__(self, arg0: dict) -> DrakeLcmParams: ...

class Subscriber:
    __init__: ClassVar[function] = ...
    _handler: ClassVar[function] = ...
    clear: ClassVar[function] = ...
