from typing import ClassVar

from typing import overload
import numpy
import pydrake.autodiffutils
import pydrake.common._module_py
import pydrake.common.cpp_template
import pydrake.symbolic
Polynomial_: pydrake.common.cpp_template.TemplateClass

class Polynomial:
    __hash__: ClassVar[None] = ...
    @overload
    def __init__(self) -> None: ...
    @overload
    def __init__(self, arg0: float) -> None: ...
    @overload
    def __init__(self, coefficients: numpy.ndarray[numpy.float64[m,1]]) -> None: ...
    def CoefficientsAlmostEqual(self, other: Polynomial, tol: float = ..., tol_type: pydrake.common._module_py.ToleranceType = ...) -> bool: ...
    def Derivative(self, derivative_order: int = ...) -> Polynomial: ...
    def EvaluateUnivariate(self, x: float, derivative_order: int = ...) -> float: ...
    def GetCoefficients(self) -> numpy.ndarray[numpy.float64[m,1]]: ...
    def GetDegree(self) -> int: ...
    def GetNumberOfCoefficients(self) -> int: ...
    def Integral(self, integration_constant: float = ...) -> Polynomial: ...
    def IsAffine(self) -> bool: ...
    @overload
    def __add__(self, arg0: Polynomial) -> Polynomial: ...
    @overload
    def __add__(self, arg0: float) -> Polynomial: ...
    def __eq__(self, arg0: Polynomial) -> bool: ...
    @overload
    def __mul__(self, arg0: Polynomial) -> Polynomial: ...
    @overload
    def __mul__(self, arg0: float) -> Polynomial: ...
    def __neg__(self) -> Polynomial: ...
    def __radd__(self, arg0: float) -> Polynomial: ...
    def __rmul__(self, arg0: float) -> Polynomial: ...
    def __rsub__(self, arg0: float) -> Polynomial: ...
    @overload
    def __sub__(self, arg0: Polynomial) -> Polynomial: ...
    @overload
    def __sub__(self, arg0: float) -> Polynomial: ...
    def __truediv__(self, arg0: float) -> Polynomial: ...

class Polynomial_𝓣AutoDiffXd𝓤:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    __hash__: ClassVar[None] = ...
    @overload
    def __init__(self) -> None: ...
    @overload
    def __init__(self, arg0: pydrake.autodiffutils.AutoDiffXd) -> None: ...
    @overload
    def __init__(self, coefficients: numpy.ndarray[numpy.float64[m,1]]) -> None: ...
    def CoefficientsAlmostEqual(self, other: Polynomial_𝓣AutoDiffXd𝓤, tol: pydrake.autodiffutils.AutoDiffXd = ..., tol_type: pydrake.common._module_py.ToleranceType = ...) -> bool: ...
    def Derivative(self, derivative_order: int = ...) -> Polynomial_𝓣AutoDiffXd𝓤: ...
    def EvaluateUnivariate(self, x: pydrake.autodiffutils.AutoDiffXd, derivative_order: int = ...) -> pydrake.autodiffutils.AutoDiffXd: ...
    def GetCoefficients(self) -> numpy.ndarray[object[m,1]]: ...
    def GetDegree(self) -> int: ...
    def GetNumberOfCoefficients(self) -> int: ...
    def Integral(self, integration_constant: pydrake.autodiffutils.AutoDiffXd = ...) -> Polynomial_𝓣AutoDiffXd𝓤: ...
    def IsAffine(self) -> bool: ...
    @overload
    def __add__(self, arg0: Polynomial_𝓣AutoDiffXd𝓤) -> Polynomial_𝓣AutoDiffXd𝓤: ...
    @overload
    def __add__(self, arg0: float) -> Polynomial_𝓣AutoDiffXd𝓤: ...
    def __eq__(self, arg0: Polynomial_𝓣AutoDiffXd𝓤) -> bool: ...
    @overload
    def __mul__(self, arg0: Polynomial_𝓣AutoDiffXd𝓤) -> Polynomial_𝓣AutoDiffXd𝓤: ...
    @overload
    def __mul__(self, arg0: float) -> Polynomial_𝓣AutoDiffXd𝓤: ...
    def __neg__(self) -> Polynomial_𝓣AutoDiffXd𝓤: ...
    def __radd__(self, arg0: float) -> Polynomial_𝓣AutoDiffXd𝓤: ...
    def __rmul__(self, arg0: float) -> Polynomial_𝓣AutoDiffXd𝓤: ...
    def __rsub__(self, arg0: float) -> Polynomial_𝓣AutoDiffXd𝓤: ...
    @overload
    def __sub__(self, arg0: Polynomial_𝓣AutoDiffXd𝓤) -> Polynomial_𝓣AutoDiffXd𝓤: ...
    @overload
    def __sub__(self, arg0: float) -> Polynomial_𝓣AutoDiffXd𝓤: ...
    def __truediv__(self, arg0: float) -> Polynomial_𝓣AutoDiffXd𝓤: ...

class Polynomial_𝓣Expression𝓤:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    __hash__: ClassVar[None] = ...
    @overload
    def __init__(self) -> None: ...
    @overload
    def __init__(self, arg0: pydrake.symbolic.Expression) -> None: ...
    @overload
    def __init__(self, coefficients: numpy.ndarray[numpy.float64[m,1]]) -> None: ...
    def CoefficientsAlmostEqual(self, other: Polynomial_𝓣Expression𝓤, tol: pydrake.symbolic.Expression = ..., tol_type: pydrake.common._module_py.ToleranceType = ...) -> pydrake.symbolic.Formula: ...
    def Derivative(self, derivative_order: int = ...) -> Polynomial_𝓣Expression𝓤: ...
    def EvaluateUnivariate(self, x: pydrake.symbolic.Expression, derivative_order: int = ...) -> pydrake.symbolic.Expression: ...
    def GetCoefficients(self) -> numpy.ndarray[object[m,1]]: ...
    def GetDegree(self) -> int: ...
    def GetNumberOfCoefficients(self) -> int: ...
    def Integral(self, integration_constant: pydrake.symbolic.Expression = ...) -> Polynomial_𝓣Expression𝓤: ...
    def IsAffine(self) -> bool: ...
    @overload
    def __add__(self, arg0: Polynomial_𝓣Expression𝓤) -> Polynomial_𝓣Expression𝓤: ...
    @overload
    def __add__(self, arg0: float) -> Polynomial_𝓣Expression𝓤: ...
    def __eq__(self, arg0: Polynomial_𝓣Expression𝓤) -> bool: ...
    @overload
    def __mul__(self, arg0: Polynomial_𝓣Expression𝓤) -> Polynomial_𝓣Expression𝓤: ...
    @overload
    def __mul__(self, arg0: float) -> Polynomial_𝓣Expression𝓤: ...
    def __neg__(self) -> Polynomial_𝓣Expression𝓤: ...
    def __radd__(self, arg0: float) -> Polynomial_𝓣Expression𝓤: ...
    def __rmul__(self, arg0: float) -> Polynomial_𝓣Expression𝓤: ...
    def __rsub__(self, arg0: float) -> Polynomial_𝓣Expression𝓤: ...
    @overload
    def __sub__(self, arg0: Polynomial_𝓣Expression𝓤) -> Polynomial_𝓣Expression𝓤: ...
    @overload
    def __sub__(self, arg0: float) -> Polynomial_𝓣Expression𝓤: ...
    def __truediv__(self, arg0: float) -> Polynomial_𝓣Expression𝓤: ...

class _TemporaryName_N5drake10PolynomialIN5Eigen14AutoDiffScalarINS1_6MatrixIdLin1ELi1ELi0ELin1ELi1EEEEEEE:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    __hash__: ClassVar[None] = ...
    @overload
    def __init__(self) -> None: ...
    @overload
    def __init__(self, arg0: pydrake.autodiffutils.AutoDiffXd) -> None: ...
    @overload
    def __init__(self, coefficients: numpy.ndarray[numpy.float64[m,1]]) -> None: ...
    def CoefficientsAlmostEqual(self, other: Polynomial_𝓣AutoDiffXd𝓤, tol: pydrake.autodiffutils.AutoDiffXd = ..., tol_type: pydrake.common._module_py.ToleranceType = ...) -> bool: ...
    def Derivative(self, derivative_order: int = ...) -> Polynomial_𝓣AutoDiffXd𝓤: ...
    def EvaluateUnivariate(self, x: pydrake.autodiffutils.AutoDiffXd, derivative_order: int = ...) -> pydrake.autodiffutils.AutoDiffXd: ...
    def GetCoefficients(self) -> numpy.ndarray[object[m,1]]: ...
    def GetDegree(self) -> int: ...
    def GetNumberOfCoefficients(self) -> int: ...
    def Integral(self, integration_constant: pydrake.autodiffutils.AutoDiffXd = ...) -> Polynomial_𝓣AutoDiffXd𝓤: ...
    def IsAffine(self) -> bool: ...
    @overload
    def __add__(self, arg0: Polynomial_𝓣AutoDiffXd𝓤) -> Polynomial_𝓣AutoDiffXd𝓤: ...
    @overload
    def __add__(self, arg0: float) -> Polynomial_𝓣AutoDiffXd𝓤: ...
    def __eq__(self, arg0: Polynomial_𝓣AutoDiffXd𝓤) -> bool: ...
    @overload
    def __mul__(self, arg0: Polynomial_𝓣AutoDiffXd𝓤) -> Polynomial_𝓣AutoDiffXd𝓤: ...
    @overload
    def __mul__(self, arg0: float) -> Polynomial_𝓣AutoDiffXd𝓤: ...
    def __neg__(self) -> Polynomial_𝓣AutoDiffXd𝓤: ...
    def __radd__(self, arg0: float) -> Polynomial_𝓣AutoDiffXd𝓤: ...
    def __rmul__(self, arg0: float) -> Polynomial_𝓣AutoDiffXd𝓤: ...
    def __rsub__(self, arg0: float) -> Polynomial_𝓣AutoDiffXd𝓤: ...
    @overload
    def __sub__(self, arg0: Polynomial_𝓣AutoDiffXd𝓤) -> Polynomial_𝓣AutoDiffXd𝓤: ...
    @overload
    def __sub__(self, arg0: float) -> Polynomial_𝓣AutoDiffXd𝓤: ...
    def __truediv__(self, arg0: float) -> Polynomial_𝓣AutoDiffXd𝓤: ...

class _TemporaryName_N5drake10PolynomialINS_8symbolic10ExpressionEEE:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    __hash__: ClassVar[None] = ...
    @overload
    def __init__(self) -> None: ...
    @overload
    def __init__(self, arg0: pydrake.symbolic.Expression) -> None: ...
    @overload
    def __init__(self, coefficients: numpy.ndarray[numpy.float64[m,1]]) -> None: ...
    def CoefficientsAlmostEqual(self, other: Polynomial_𝓣Expression𝓤, tol: pydrake.symbolic.Expression = ..., tol_type: pydrake.common._module_py.ToleranceType = ...) -> pydrake.symbolic.Formula: ...
    def Derivative(self, derivative_order: int = ...) -> Polynomial_𝓣Expression𝓤: ...
    def EvaluateUnivariate(self, x: pydrake.symbolic.Expression, derivative_order: int = ...) -> pydrake.symbolic.Expression: ...
    def GetCoefficients(self) -> numpy.ndarray[object[m,1]]: ...
    def GetDegree(self) -> int: ...
    def GetNumberOfCoefficients(self) -> int: ...
    def Integral(self, integration_constant: pydrake.symbolic.Expression = ...) -> Polynomial_𝓣Expression𝓤: ...
    def IsAffine(self) -> bool: ...
    @overload
    def __add__(self, arg0: Polynomial_𝓣Expression𝓤) -> Polynomial_𝓣Expression𝓤: ...
    @overload
    def __add__(self, arg0: float) -> Polynomial_𝓣Expression𝓤: ...
    def __eq__(self, arg0: Polynomial_𝓣Expression𝓤) -> bool: ...
    @overload
    def __mul__(self, arg0: Polynomial_𝓣Expression𝓤) -> Polynomial_𝓣Expression𝓤: ...
    @overload
    def __mul__(self, arg0: float) -> Polynomial_𝓣Expression𝓤: ...
    def __neg__(self) -> Polynomial_𝓣Expression𝓤: ...
    def __radd__(self, arg0: float) -> Polynomial_𝓣Expression𝓤: ...
    def __rmul__(self, arg0: float) -> Polynomial_𝓣Expression𝓤: ...
    def __rsub__(self, arg0: float) -> Polynomial_𝓣Expression𝓤: ...
    @overload
    def __sub__(self, arg0: Polynomial_𝓣Expression𝓤) -> Polynomial_𝓣Expression𝓤: ...
    @overload
    def __sub__(self, arg0: float) -> Polynomial_𝓣Expression𝓤: ...
    def __truediv__(self, arg0: float) -> Polynomial_𝓣Expression𝓤: ...
