from typing import Any, Callable, ClassVar, List, Optional, Tuple, Union

from typing import overload
import flags
import numpy
import pydrake.autodiffutils
import pydrake.common._module_py
import pydrake.common.cpp_template
import pydrake.common.value
import pydrake.symbolic
BasicVector_: pydrake.common.cpp_template.TemplateClass
Context_: pydrake.common.cpp_template.TemplateClass
ContinuousState_: pydrake.common.cpp_template.TemplateClass
DiagramBuilder_: pydrake.common.cpp_template.TemplateClass
Diagram_: pydrake.common.cpp_template.TemplateClass
DiscreteUpdateEvent_: pydrake.common.cpp_template.TemplateClass
DiscreteValues_: pydrake.common.cpp_template.TemplateClass
Event_: pydrake.common.cpp_template.TemplateClass
InputPort_: pydrake.common.cpp_template.TemplateClass
LeafContext_: pydrake.common.cpp_template.TemplateClass
LeafOutputPort_: pydrake.common.cpp_template.TemplateClass
LeafSystem_: pydrake.common.cpp_template.TemplateClass
OutputPort_: pydrake.common.cpp_template.TemplateClass
Parameters_: pydrake.common.cpp_template.TemplateClass
PublishEvent_: pydrake.common.cpp_template.TemplateClass
State_: pydrake.common.cpp_template.TemplateClass
Subvector_: pydrake.common.cpp_template.TemplateClass
Supervector_: pydrake.common.cpp_template.TemplateClass
SystemOutput_: pydrake.common.cpp_template.TemplateClass
SystemVisitor_: pydrake.common.cpp_template.TemplateClass
System_: pydrake.common.cpp_template.TemplateClass
UnrestrictedUpdateEvent_: pydrake.common.cpp_template.TemplateClass
VectorBase_: pydrake.common.cpp_template.TemplateClass
VectorSystem_: pydrake.common.cpp_template.TemplateClass
WitnessFunction_: pydrake.common.cpp_template.TemplateClass
kUseDefaultName: UseDefaultName

class AbstractParameterIndex:
    @overload
    def __init__(self) -> None: ...
    @overload
    def __init__(self, arg0: int) -> None: ...
    def is_valid(self) -> bool: ...
    @overload
    def __eq__(self, arg0: AbstractParameterIndex) -> bool: ...
    @overload
    def __eq__(self, arg0: int) -> bool: ...
    def __hash__(self) -> int: ...
    def __index__(self) -> int: ...
    def __int__(self) -> int: ...
    def __lt__(self, arg0: AbstractParameterIndex) -> bool: ...

class AbstractStateIndex:
    @overload
    def __init__(self) -> None: ...
    @overload
    def __init__(self, arg0: int) -> None: ...
    def is_valid(self) -> bool: ...
    @overload
    def __eq__(self, arg0: AbstractStateIndex) -> bool: ...
    @overload
    def __eq__(self, arg0: int) -> bool: ...
    def __hash__(self) -> int: ...
    def __index__(self) -> int: ...
    def __int__(self) -> int: ...
    def __lt__(self, arg0: AbstractStateIndex) -> bool: ...

class AbstractValues:
    @overload
    def __init__(self) -> None: ...
    @overload
    def __init__(self, arg0: List[pydrake.common.value.AbstractValue]) -> None: ...
    def Clone(self) -> AbstractValues: ...
    def SetFrom(self, arg0: AbstractValues) -> None: ...
    def get_mutable_value(self, index: int) -> pydrake.common.value.AbstractValue: ...
    def get_value(self, index: int) -> pydrake.common.value.AbstractValue: ...
    def size(self) -> int: ...
    def __copy__(self) -> AbstractValues: ...
    def __deepcopy__(self, arg0: dict) -> AbstractValues: ...

class BasicVector(VectorBase):
    @overload
    def __init__(self, data: numpy.ndarray[numpy.float64[m,1]]) -> None: ...
    @overload
    def __init__(self, size: int) -> None: ...
    def Clone(self) -> BasicVector: ...
    def _get_value_copy(self) -> numpy.ndarray[numpy.float64[m,1]]: ...
    def get_mutable_value(self) -> numpy.ndarray[numpy.float64[m,1],flags.writeable]: ...
    def get_value(self) -> numpy.ndarray[numpy.float64[m,1]]: ...
    def set_value(self, arg0: numpy.ndarray[numpy.float64[m,1]]) -> None: ...
    def value(self) -> numpy.ndarray[numpy.float64[m,1]]: ...
    def __copy__(self) -> BasicVector: ...
    def __deepcopy__(self, arg0: dict) -> BasicVector: ...

class BasicVector_𝓣AutoDiffXd𝓤(VectorBase_𝓣AutoDiffXd𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, data: numpy.ndarray[object[m,1]]) -> None: ...
    @overload
    def __init__(self, size: int) -> None: ...
    def Clone(self) -> BasicVector_𝓣AutoDiffXd𝓤: ...
    def _get_value_copy(self) -> numpy.ndarray[object[m,1]]: ...
    def get_mutable_value(self) -> numpy.ndarray[object[m,1],flags.writeable]: ...
    def get_value(self) -> numpy.ndarray[object[m,1]]: ...
    def set_value(self, arg0: numpy.ndarray[object[m,1]]) -> None: ...
    def value(self) -> numpy.ndarray[object[m,1]]: ...
    def __copy__(self) -> BasicVector_𝓣AutoDiffXd𝓤: ...
    def __deepcopy__(self, arg0: dict) -> BasicVector_𝓣AutoDiffXd𝓤: ...

class BasicVector_𝓣Expression𝓤(VectorBase_𝓣Expression𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, data: numpy.ndarray[object[m,1]]) -> None: ...
    @overload
    def __init__(self, size: int) -> None: ...
    def Clone(self) -> BasicVector_𝓣Expression𝓤: ...
    def _get_value_copy(self) -> numpy.ndarray[object[m,1]]: ...
    def get_mutable_value(self) -> numpy.ndarray[object[m,1],flags.writeable]: ...
    def get_value(self) -> numpy.ndarray[object[m,1]]: ...
    def set_value(self, arg0: numpy.ndarray[object[m,1]]) -> None: ...
    def value(self) -> numpy.ndarray[object[m,1]]: ...
    def __copy__(self) -> BasicVector_𝓣Expression𝓤: ...
    def __deepcopy__(self, arg0: dict) -> BasicVector_𝓣Expression𝓤: ...

class CacheEntry:
    def __init__(self, *args, **kwargs) -> None: ...
    def Eval(self, context: ContextBase) -> object: ...
    def EvalAbstract(self, context: ContextBase) -> pydrake.common.value.AbstractValue: ...
    def cache_index(self) -> CacheIndex: ...
    def get_cache_entry_value(self, context: ContextBase) -> CacheEntryValue: ...
    def get_mutable_cache_entry_value(self, context: ContextBase) -> CacheEntryValue: ...
    def prerequisites(self) -> Set[DependencyTicket]: ...
    def ticket(self) -> DependencyTicket: ...

class CacheEntryValue:
    def __init__(self, *args, **kwargs) -> None: ...
    def GetMutableValueOrThrow(self) -> object: ...
    def GetValueOrThrow(self) -> object: ...

class CacheIndex:
    @overload
    def __init__(self) -> None: ...
    @overload
    def __init__(self, arg0: int) -> None: ...
    def is_valid(self) -> bool: ...
    @overload
    def __eq__(self, arg0: CacheIndex) -> bool: ...
    @overload
    def __eq__(self, arg0: int) -> bool: ...
    def __hash__(self) -> int: ...
    def __index__(self) -> int: ...
    def __int__(self) -> int: ...
    def __lt__(self, arg0: CacheIndex) -> bool: ...

class Context(ContextBase):
    def __init__(self, *args, **kwargs) -> None: ...
    def Clone(self) -> Context: ...
    def SetAbstractState(self, index: int, value: object) -> None: ...
    def SetAccuracy(self, accuracy: Optional[float]) -> None: ...
    def SetContinuousState(self, arg0: numpy.ndarray[numpy.float64[m,1]]) -> None: ...
    @overload
    def SetDiscreteState(self, xd: numpy.ndarray[numpy.float64[m,1]]) -> None: ...
    @overload
    def SetDiscreteState(self, group_index: int, xd: numpy.ndarray[numpy.float64[m,1]]) -> None: ...
    def SetStateAndParametersFrom(self, source: Context) -> None: ...
    def SetTime(self, time_sec: float) -> None: ...
    def SetTimeAndContinuousState(self, arg0: float, arg1: numpy.ndarray[numpy.float64[m,1]]) -> None: ...
    def SetTimeStateAndParametersFrom(self, source: Context) -> None: ...
    def get_abstract_parameter(self, index: int) -> pydrake.common.value.AbstractValue: ...
    @overload
    def get_abstract_state(self) -> AbstractValues: ...
    @overload
    def get_abstract_state(self, index: int) -> pydrake.common.value.AbstractValue: ...
    def get_accuracy(self) -> Optional[float]: ...
    def get_continuous_state(self, *args, **kwargs) -> Any: ...
    def get_continuous_state_vector(self) -> VectorBase: ...
    def get_discrete_state(self, arg0: int) -> BasicVector: ...
    def get_discrete_state_vector(self) -> BasicVector: ...
    def get_mutable_abstract_parameter(self, index: int) -> pydrake.common.value.AbstractValue: ...
    @overload
    def get_mutable_abstract_state(self) -> AbstractValues: ...
    @overload
    def get_mutable_abstract_state(self, index: int) -> pydrake.common.value.AbstractValue: ...
    def get_mutable_continuous_state(self, *args, **kwargs) -> Any: ...
    def get_mutable_continuous_state_vector(self) -> VectorBase: ...
    def get_mutable_discrete_state(self, arg0: int) -> BasicVector: ...
    def get_mutable_discrete_state_vector(self) -> BasicVector: ...
    def get_mutable_numeric_parameter(self, index: int) -> BasicVector: ...
    def get_mutable_parameters(self, *args, **kwargs) -> Any: ...
    def get_mutable_state(self, *args, **kwargs) -> Any: ...
    def get_numeric_parameter(self, index: int) -> BasicVector: ...
    def get_parameters(self, *args, **kwargs) -> Any: ...
    def get_state(self, *args, **kwargs) -> Any: ...
    def get_time(self) -> float: ...
    def has_only_continuous_state(self) -> bool: ...
    def has_only_discrete_state(self) -> bool: ...
    def is_stateless(self) -> bool: ...
    def num_abstract_parameters(self) -> int: ...
    def num_abstract_states(self) -> int: ...
    def num_continuous_states(self) -> int: ...
    def num_discrete_state_groups(self) -> int: ...
    def num_numeric_parameter_groups(self) -> int: ...
    def num_total_states(self) -> int: ...
    def __copy__(self) -> Context: ...
    def __deepcopy__(self, arg0: dict) -> Context: ...

class ContextBase:
    def __init__(self, *args, **kwargs) -> None: ...
    def DisableCaching(self) -> None: ...
    def EnableCaching(self) -> None: ...
    def FreezeCache(self) -> None: ...
    def SetAllCacheEntriesOutOfDate(self) -> None: ...
    def UnfreezeCache(self) -> None: ...
    def is_cache_frozen(self) -> bool: ...
    def num_input_ports(self) -> int: ...
    def num_output_ports(self) -> int: ...

class Context_𝓣AutoDiffXd𝓤(ContextBase):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...
    def Clone(self) -> Context_𝓣AutoDiffXd𝓤: ...
    def SetAbstractState(self, index: int, value: object) -> None: ...
    def SetAccuracy(self, accuracy: Optional[float]) -> None: ...
    def SetContinuousState(self, arg0: numpy.ndarray[object[m,1]]) -> None: ...
    @overload
    def SetDiscreteState(self, xd: numpy.ndarray[object[m,1]]) -> None: ...
    @overload
    def SetDiscreteState(self, group_index: int, xd: numpy.ndarray[object[m,1]]) -> None: ...
    @overload
    def SetStateAndParametersFrom(self, source: Context) -> None: ...
    @overload
    def SetStateAndParametersFrom(self, source: Context_𝓣AutoDiffXd𝓤) -> None: ...
    def SetTime(self, time_sec: pydrake.autodiffutils.AutoDiffXd) -> None: ...
    def SetTimeAndContinuousState(self, arg0: pydrake.autodiffutils.AutoDiffXd, arg1: numpy.ndarray[object[m,1]]) -> None: ...
    @overload
    def SetTimeStateAndParametersFrom(self, source: Context) -> None: ...
    @overload
    def SetTimeStateAndParametersFrom(self, source: Context_𝓣AutoDiffXd𝓤) -> None: ...
    def get_abstract_parameter(self, index: int) -> pydrake.common.value.AbstractValue: ...
    @overload
    def get_abstract_state(self) -> AbstractValues: ...
    @overload
    def get_abstract_state(self, index: int) -> pydrake.common.value.AbstractValue: ...
    def get_accuracy(self) -> Optional[float]: ...
    def get_continuous_state(self, *args, **kwargs) -> Any: ...
    def get_continuous_state_vector(self) -> VectorBase_𝓣AutoDiffXd𝓤: ...
    def get_discrete_state(self, arg0: int) -> BasicVector_𝓣AutoDiffXd𝓤: ...
    def get_discrete_state_vector(self) -> BasicVector_𝓣AutoDiffXd𝓤: ...
    def get_mutable_abstract_parameter(self, index: int) -> pydrake.common.value.AbstractValue: ...
    @overload
    def get_mutable_abstract_state(self) -> AbstractValues: ...
    @overload
    def get_mutable_abstract_state(self, index: int) -> pydrake.common.value.AbstractValue: ...
    def get_mutable_continuous_state(self, *args, **kwargs) -> Any: ...
    def get_mutable_continuous_state_vector(self) -> VectorBase_𝓣AutoDiffXd𝓤: ...
    def get_mutable_discrete_state(self, arg0: int) -> BasicVector_𝓣AutoDiffXd𝓤: ...
    def get_mutable_discrete_state_vector(self) -> BasicVector_𝓣AutoDiffXd𝓤: ...
    def get_mutable_numeric_parameter(self, index: int) -> BasicVector_𝓣AutoDiffXd𝓤: ...
    def get_mutable_parameters(self, *args, **kwargs) -> Any: ...
    def get_mutable_state(self, *args, **kwargs) -> Any: ...
    def get_numeric_parameter(self, index: int) -> BasicVector_𝓣AutoDiffXd𝓤: ...
    def get_parameters(self, *args, **kwargs) -> Any: ...
    def get_state(self, *args, **kwargs) -> Any: ...
    def get_time(self) -> pydrake.autodiffutils.AutoDiffXd: ...
    def has_only_continuous_state(self) -> bool: ...
    def has_only_discrete_state(self) -> bool: ...
    def is_stateless(self) -> bool: ...
    def num_abstract_parameters(self) -> int: ...
    def num_abstract_states(self) -> int: ...
    def num_continuous_states(self) -> int: ...
    def num_discrete_state_groups(self) -> int: ...
    def num_numeric_parameter_groups(self) -> int: ...
    def num_total_states(self) -> int: ...
    def __copy__(self) -> Context_𝓣AutoDiffXd𝓤: ...
    def __deepcopy__(self, arg0: dict) -> Context_𝓣AutoDiffXd𝓤: ...

class Context_𝓣Expression𝓤(ContextBase):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...
    def Clone(self) -> Context_𝓣Expression𝓤: ...
    def SetAbstractState(self, index: int, value: object) -> None: ...
    def SetAccuracy(self, accuracy: Optional[float]) -> None: ...
    def SetContinuousState(self, arg0: numpy.ndarray[object[m,1]]) -> None: ...
    @overload
    def SetDiscreteState(self, xd: numpy.ndarray[object[m,1]]) -> None: ...
    @overload
    def SetDiscreteState(self, group_index: int, xd: numpy.ndarray[object[m,1]]) -> None: ...
    @overload
    def SetStateAndParametersFrom(self, source: Context) -> None: ...
    @overload
    def SetStateAndParametersFrom(self, source: Context_𝓣AutoDiffXd𝓤) -> None: ...
    @overload
    def SetStateAndParametersFrom(self, source: Context_𝓣Expression𝓤) -> None: ...
    def SetTime(self, time_sec: pydrake.symbolic.Expression) -> None: ...
    def SetTimeAndContinuousState(self, arg0: pydrake.symbolic.Expression, arg1: numpy.ndarray[object[m,1]]) -> None: ...
    @overload
    def SetTimeStateAndParametersFrom(self, source: Context) -> None: ...
    @overload
    def SetTimeStateAndParametersFrom(self, source: Context_𝓣AutoDiffXd𝓤) -> None: ...
    @overload
    def SetTimeStateAndParametersFrom(self, source: Context_𝓣Expression𝓤) -> None: ...
    def get_abstract_parameter(self, index: int) -> pydrake.common.value.AbstractValue: ...
    @overload
    def get_abstract_state(self) -> AbstractValues: ...
    @overload
    def get_abstract_state(self, index: int) -> pydrake.common.value.AbstractValue: ...
    def get_accuracy(self) -> Optional[float]: ...
    def get_continuous_state(self, *args, **kwargs) -> Any: ...
    def get_continuous_state_vector(self) -> VectorBase_𝓣Expression𝓤: ...
    def get_discrete_state(self, arg0: int) -> BasicVector_𝓣Expression𝓤: ...
    def get_discrete_state_vector(self) -> BasicVector_𝓣Expression𝓤: ...
    def get_mutable_abstract_parameter(self, index: int) -> pydrake.common.value.AbstractValue: ...
    @overload
    def get_mutable_abstract_state(self) -> AbstractValues: ...
    @overload
    def get_mutable_abstract_state(self, index: int) -> pydrake.common.value.AbstractValue: ...
    def get_mutable_continuous_state(self, *args, **kwargs) -> Any: ...
    def get_mutable_continuous_state_vector(self) -> VectorBase_𝓣Expression𝓤: ...
    def get_mutable_discrete_state(self, arg0: int) -> BasicVector_𝓣Expression𝓤: ...
    def get_mutable_discrete_state_vector(self) -> BasicVector_𝓣Expression𝓤: ...
    def get_mutable_numeric_parameter(self, index: int) -> BasicVector_𝓣Expression𝓤: ...
    def get_mutable_parameters(self, *args, **kwargs) -> Any: ...
    def get_mutable_state(self, *args, **kwargs) -> Any: ...
    def get_numeric_parameter(self, index: int) -> BasicVector_𝓣Expression𝓤: ...
    def get_parameters(self, *args, **kwargs) -> Any: ...
    def get_state(self, *args, **kwargs) -> Any: ...
    def get_time(self) -> pydrake.symbolic.Expression: ...
    def has_only_continuous_state(self) -> bool: ...
    def has_only_discrete_state(self) -> bool: ...
    def is_stateless(self) -> bool: ...
    def num_abstract_parameters(self) -> int: ...
    def num_abstract_states(self) -> int: ...
    def num_continuous_states(self) -> int: ...
    def num_discrete_state_groups(self) -> int: ...
    def num_numeric_parameter_groups(self) -> int: ...
    def num_total_states(self) -> int: ...
    def __copy__(self) -> Context_𝓣Expression𝓤: ...
    def __deepcopy__(self, arg0: dict) -> Context_𝓣Expression𝓤: ...

class ContinuousState:
    @overload
    def __init__(self, state: VectorBase) -> None: ...
    @overload
    def __init__(self, state: VectorBase, num_q: int, num_v: int, num_z: int) -> None: ...
    @overload
    def __init__(self) -> None: ...
    def Clone(self) -> ContinuousState: ...
    def CopyToVector(self) -> numpy.ndarray[numpy.float64[m,1]]: ...
    def SetFrom(self, arg0: ContinuousState) -> None: ...
    def SetFromVector(self, value: numpy.ndarray[numpy.float64[m,1]]) -> None: ...
    def get_generalized_position(self) -> VectorBase: ...
    def get_generalized_velocity(self) -> VectorBase: ...
    def get_misc_continuous_state(self) -> VectorBase: ...
    def get_mutable_generalized_position(self) -> VectorBase: ...
    def get_mutable_generalized_velocity(self) -> VectorBase: ...
    def get_mutable_misc_continuous_state(self) -> VectorBase: ...
    def get_mutable_vector(self) -> VectorBase: ...
    def get_vector(self) -> VectorBase: ...
    def num_q(self) -> int: ...
    def num_v(self) -> int: ...
    def num_z(self) -> int: ...
    def size(self) -> int: ...
    def __copy__(self) -> ContinuousState: ...
    def __deepcopy__(self, arg0: dict) -> ContinuousState: ...
    def __getitem__(self, arg0: int) -> float: ...
    def __setitem__(self, arg0: int, arg1: float) -> None: ...

class ContinuousStateIndex:
    @overload
    def __init__(self) -> None: ...
    @overload
    def __init__(self, arg0: int) -> None: ...
    def is_valid(self) -> bool: ...
    @overload
    def __eq__(self, arg0: ContinuousStateIndex) -> bool: ...
    @overload
    def __eq__(self, arg0: int) -> bool: ...
    def __hash__(self) -> int: ...
    def __index__(self) -> int: ...
    def __int__(self) -> int: ...
    def __lt__(self, arg0: ContinuousStateIndex) -> bool: ...

class ContinuousState_𝓣AutoDiffXd𝓤:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, state: VectorBase_𝓣AutoDiffXd𝓤) -> None: ...
    @overload
    def __init__(self, state: VectorBase_𝓣AutoDiffXd𝓤, num_q: int, num_v: int, num_z: int) -> None: ...
    @overload
    def __init__(self) -> None: ...
    def Clone(self) -> ContinuousState_𝓣AutoDiffXd𝓤: ...
    def CopyToVector(self) -> numpy.ndarray[object[m,1]]: ...
    def SetFrom(self, arg0: ContinuousState) -> None: ...
    def SetFromVector(self, value: numpy.ndarray[object[m,1]]) -> None: ...
    def get_generalized_position(self) -> VectorBase_𝓣AutoDiffXd𝓤: ...
    def get_generalized_velocity(self) -> VectorBase_𝓣AutoDiffXd𝓤: ...
    def get_misc_continuous_state(self) -> VectorBase_𝓣AutoDiffXd𝓤: ...
    def get_mutable_generalized_position(self) -> VectorBase_𝓣AutoDiffXd𝓤: ...
    def get_mutable_generalized_velocity(self) -> VectorBase_𝓣AutoDiffXd𝓤: ...
    def get_mutable_misc_continuous_state(self) -> VectorBase_𝓣AutoDiffXd𝓤: ...
    def get_mutable_vector(self) -> VectorBase_𝓣AutoDiffXd𝓤: ...
    def get_vector(self) -> VectorBase_𝓣AutoDiffXd𝓤: ...
    def num_q(self) -> int: ...
    def num_v(self) -> int: ...
    def num_z(self) -> int: ...
    def size(self) -> int: ...
    def __copy__(self) -> ContinuousState_𝓣AutoDiffXd𝓤: ...
    def __deepcopy__(self, arg0: dict) -> ContinuousState_𝓣AutoDiffXd𝓤: ...
    def __getitem__(self, arg0: int) -> pydrake.autodiffutils.AutoDiffXd: ...
    def __setitem__(self, arg0: int, arg1: pydrake.autodiffutils.AutoDiffXd) -> None: ...

class ContinuousState_𝓣Expression𝓤:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, state: VectorBase_𝓣Expression𝓤) -> None: ...
    @overload
    def __init__(self, state: VectorBase_𝓣Expression𝓤, num_q: int, num_v: int, num_z: int) -> None: ...
    @overload
    def __init__(self) -> None: ...
    def Clone(self) -> ContinuousState_𝓣Expression𝓤: ...
    def CopyToVector(self) -> numpy.ndarray[object[m,1]]: ...
    def SetFrom(self, arg0: ContinuousState) -> None: ...
    def SetFromVector(self, value: numpy.ndarray[object[m,1]]) -> None: ...
    def get_generalized_position(self) -> VectorBase_𝓣Expression𝓤: ...
    def get_generalized_velocity(self) -> VectorBase_𝓣Expression𝓤: ...
    def get_misc_continuous_state(self) -> VectorBase_𝓣Expression𝓤: ...
    def get_mutable_generalized_position(self) -> VectorBase_𝓣Expression𝓤: ...
    def get_mutable_generalized_velocity(self) -> VectorBase_𝓣Expression𝓤: ...
    def get_mutable_misc_continuous_state(self) -> VectorBase_𝓣Expression𝓤: ...
    def get_mutable_vector(self) -> VectorBase_𝓣Expression𝓤: ...
    def get_vector(self) -> VectorBase_𝓣Expression𝓤: ...
    def num_q(self) -> int: ...
    def num_v(self) -> int: ...
    def num_z(self) -> int: ...
    def size(self) -> int: ...
    def __copy__(self) -> ContinuousState_𝓣Expression𝓤: ...
    def __deepcopy__(self, arg0: dict) -> ContinuousState_𝓣Expression𝓤: ...
    def __getitem__(self, arg0: int) -> pydrake.symbolic.Expression: ...
    def __setitem__(self, arg0: int, arg1: pydrake.symbolic.Expression) -> None: ...

class DependencyTicket:
    _pybind11_del_orig: ClassVar[None] = ...
    @overload
    def __init__(self) -> None: ...
    @overload
    def __init__(self, arg0: int) -> None: ...
    def is_valid(self) -> bool: ...
    def __del__(self, *args, **kwargs) -> Any: ...
    @overload
    def __eq__(self, arg0: DependencyTicket) -> bool: ...
    @overload
    def __eq__(self, arg0: int) -> bool: ...
    def __hash__(self) -> int: ...
    def __index__(self) -> int: ...
    def __int__(self) -> int: ...
    def __lt__(self, arg0: DependencyTicket) -> bool: ...

class Diagram(System):
    def __init__(self) -> None: ...
    def GetInputPortLocators(self, port_index: InputPortIndex) -> list: ...
    def GetMutableSubsystemState(self, arg0: System, arg1: Context) -> State: ...
    def GetSubsystemByName(self, name: str) -> System: ...
    def GetSystems(self) -> list: ...
    def HasSubsystemNamed(self, name: str) -> bool: ...
    def connection_map(self) -> dict: ...
    def get_output_port_locator(self, port_index: OutputPortIndex) -> tuple: ...

class DiagramBuilder:
    def __init__(self) -> None: ...
    def AddNamedSystem(self, *args, **kwargs) -> Any: ...
    def AddSystem(self, *args, **kwargs) -> Any: ...
    def Build(self, *args, **kwargs) -> Any: ...
    def BuildInto(self, *args, **kwargs) -> Any: ...
    def Connect(self, *args, **kwargs) -> Any: ...
    def ConnectInput(self, *args, **kwargs) -> Any: ...
    def ConnectToSame(self, *args, **kwargs) -> Any: ...
    def ExportInput(self, *args, **kwargs) -> Any: ...
    def ExportOutput(self, *args, **kwargs) -> Any: ...
    def GetMutableSubsystemByName(self, *args, **kwargs) -> Any: ...
    def GetMutableSystems(self) -> list: ...
    def GetSubsystemByName(self, *args, **kwargs) -> Any: ...
    def GetSystems(self) -> list: ...
    def HasSubsystemNamed(self, name: str) -> bool: ...
    def IsConnectedOrExported(self, *args, **kwargs) -> Any: ...
    def RemoveSystem(self, *args, **kwargs) -> Any: ...
    def already_built(self) -> bool: ...
    def connection_map(self) -> dict: ...
    def empty(self) -> bool: ...

class DiagramBuilder_𝓣AutoDiffXd𝓤:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...
    def AddNamedSystem(self, *args, **kwargs) -> Any: ...
    def AddSystem(self, *args, **kwargs) -> Any: ...
    def Build(self, *args, **kwargs) -> Any: ...
    def BuildInto(self, *args, **kwargs) -> Any: ...
    def Connect(self, *args, **kwargs) -> Any: ...
    def ConnectInput(self, *args, **kwargs) -> Any: ...
    def ConnectToSame(self, *args, **kwargs) -> Any: ...
    def ExportInput(self, *args, **kwargs) -> Any: ...
    def ExportOutput(self, *args, **kwargs) -> Any: ...
    def GetMutableSubsystemByName(self, *args, **kwargs) -> Any: ...
    def GetMutableSystems(self) -> list: ...
    def GetSubsystemByName(self, *args, **kwargs) -> Any: ...
    def GetSystems(self) -> list: ...
    def HasSubsystemNamed(self, name: str) -> bool: ...
    def IsConnectedOrExported(self, *args, **kwargs) -> Any: ...
    def RemoveSystem(self, *args, **kwargs) -> Any: ...
    def already_built(self) -> bool: ...
    def connection_map(self) -> dict: ...
    def empty(self) -> bool: ...

class DiagramBuilder_𝓣Expression𝓤:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...
    def AddNamedSystem(self, *args, **kwargs) -> Any: ...
    def AddSystem(self, *args, **kwargs) -> Any: ...
    def Build(self, *args, **kwargs) -> Any: ...
    def BuildInto(self, *args, **kwargs) -> Any: ...
    def Connect(self, *args, **kwargs) -> Any: ...
    def ConnectInput(self, *args, **kwargs) -> Any: ...
    def ConnectToSame(self, *args, **kwargs) -> Any: ...
    def ExportInput(self, *args, **kwargs) -> Any: ...
    def ExportOutput(self, *args, **kwargs) -> Any: ...
    def GetMutableSubsystemByName(self, *args, **kwargs) -> Any: ...
    def GetMutableSystems(self) -> list: ...
    def GetSubsystemByName(self, *args, **kwargs) -> Any: ...
    def GetSystems(self) -> list: ...
    def HasSubsystemNamed(self, name: str) -> bool: ...
    def IsConnectedOrExported(self, *args, **kwargs) -> Any: ...
    def RemoveSystem(self, *args, **kwargs) -> Any: ...
    def already_built(self) -> bool: ...
    def connection_map(self) -> dict: ...
    def empty(self) -> bool: ...

class Diagram_𝓣AutoDiffXd𝓤(System_𝓣AutoDiffXd𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...
    def GetInputPortLocators(self, port_index: InputPortIndex) -> list: ...
    def GetMutableSubsystemState(self, arg0: System_𝓣AutoDiffXd𝓤, arg1: Context_𝓣AutoDiffXd𝓤) -> State_𝓣AutoDiffXd𝓤: ...
    def GetSubsystemByName(self, name: str) -> System_𝓣AutoDiffXd𝓤: ...
    def GetSystems(self) -> list: ...
    def HasSubsystemNamed(self, name: str) -> bool: ...
    def connection_map(self) -> dict: ...
    def get_output_port_locator(self, port_index: OutputPortIndex) -> tuple: ...

class Diagram_𝓣Expression𝓤(System_𝓣Expression𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...
    def GetInputPortLocators(self, port_index: InputPortIndex) -> list: ...
    def GetMutableSubsystemState(self, arg0: System_𝓣Expression𝓤, arg1: Context_𝓣Expression𝓤) -> State_𝓣Expression𝓤: ...
    def GetSubsystemByName(self, name: str) -> System_𝓣Expression𝓤: ...
    def GetSystems(self) -> list: ...
    def HasSubsystemNamed(self, name: str) -> bool: ...
    def connection_map(self) -> dict: ...
    def get_output_port_locator(self, port_index: OutputPortIndex) -> tuple: ...

class DiscreteStateIndex:
    @overload
    def __init__(self) -> None: ...
    @overload
    def __init__(self, arg0: int) -> None: ...
    def is_valid(self) -> bool: ...
    @overload
    def __eq__(self, arg0: DiscreteStateIndex) -> bool: ...
    @overload
    def __eq__(self, arg0: int) -> bool: ...
    def __hash__(self) -> int: ...
    def __index__(self) -> int: ...
    def __int__(self) -> int: ...
    def __lt__(self, arg0: DiscreteStateIndex) -> bool: ...

class DiscreteUpdateEvent(Event):
    def __init__(self) -> Any: ...

class DiscreteUpdateEvent_𝓣AutoDiffXd𝓤(Event_𝓣AutoDiffXd𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...

class DiscreteUpdateEvent_𝓣Expression𝓤(Event_𝓣Expression𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...

class DiscreteValues:
    @overload
    def __init__(self, datum: BasicVector) -> None: ...
    @overload
    def __init__(self, data: List[BasicVector]) -> None: ...
    @overload
    def __init__(self) -> None: ...
    def Clone(self) -> DiscreteValues: ...
    def SetFrom(self, arg0: DiscreteValues) -> None: ...
    def get_data(self) -> List[BasicVector]: ...
    def get_mutable_value(self, index: int = ...) -> numpy.ndarray[numpy.float64[m,1],flags.writeable]: ...
    def get_mutable_vector(self, index: int = ...) -> BasicVector: ...
    def get_value(self, index: int = ...) -> numpy.ndarray[numpy.float64[m,1]]: ...
    def get_vector(self, index: int = ...) -> BasicVector: ...
    def num_groups(self) -> int: ...
    @overload
    def set_value(self, value: numpy.ndarray[numpy.float64[m,1]]) -> None: ...
    @overload
    def set_value(self, index: int, value: numpy.ndarray[numpy.float64[m,1]]) -> None: ...
    def size(self) -> int: ...
    def value(self, index: int = ...) -> numpy.ndarray[numpy.float64[m,1]]: ...
    def __copy__(self) -> DiscreteValues: ...
    def __deepcopy__(self, arg0: dict) -> DiscreteValues: ...
    def __getitem__(self, arg0: int) -> float: ...
    def __setitem__(self, arg0: int, arg1: float) -> None: ...

class DiscreteValues_𝓣AutoDiffXd𝓤:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, datum: BasicVector_𝓣AutoDiffXd𝓤) -> None: ...
    @overload
    def __init__(self, data: List[BasicVector_𝓣AutoDiffXd𝓤]) -> None: ...
    @overload
    def __init__(self) -> None: ...
    def Clone(self) -> DiscreteValues_𝓣AutoDiffXd𝓤: ...
    def SetFrom(self, arg0: DiscreteValues) -> None: ...
    def get_data(self) -> List[BasicVector_𝓣AutoDiffXd𝓤]: ...
    def get_mutable_value(self, index: int = ...) -> numpy.ndarray[object[m,1],flags.writeable]: ...
    def get_mutable_vector(self, index: int = ...) -> BasicVector_𝓣AutoDiffXd𝓤: ...
    def get_value(self, index: int = ...) -> numpy.ndarray[object[m,1]]: ...
    def get_vector(self, index: int = ...) -> BasicVector_𝓣AutoDiffXd𝓤: ...
    def num_groups(self) -> int: ...
    @overload
    def set_value(self, value: numpy.ndarray[object[m,1]]) -> None: ...
    @overload
    def set_value(self, index: int, value: numpy.ndarray[object[m,1]]) -> None: ...
    def size(self) -> int: ...
    def value(self, index: int = ...) -> numpy.ndarray[object[m,1]]: ...
    def __copy__(self) -> DiscreteValues_𝓣AutoDiffXd𝓤: ...
    def __deepcopy__(self, arg0: dict) -> DiscreteValues_𝓣AutoDiffXd𝓤: ...
    def __getitem__(self, arg0: int) -> pydrake.autodiffutils.AutoDiffXd: ...
    def __setitem__(self, arg0: int, arg1: pydrake.autodiffutils.AutoDiffXd) -> None: ...

class DiscreteValues_𝓣Expression𝓤:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, datum: BasicVector_𝓣Expression𝓤) -> None: ...
    @overload
    def __init__(self, data: List[BasicVector_𝓣Expression𝓤]) -> None: ...
    @overload
    def __init__(self) -> None: ...
    def Clone(self) -> DiscreteValues_𝓣Expression𝓤: ...
    def SetFrom(self, arg0: DiscreteValues) -> None: ...
    def get_data(self) -> List[BasicVector_𝓣Expression𝓤]: ...
    def get_mutable_value(self, index: int = ...) -> numpy.ndarray[object[m,1],flags.writeable]: ...
    def get_mutable_vector(self, index: int = ...) -> BasicVector_𝓣Expression𝓤: ...
    def get_value(self, index: int = ...) -> numpy.ndarray[object[m,1]]: ...
    def get_vector(self, index: int = ...) -> BasicVector_𝓣Expression𝓤: ...
    def num_groups(self) -> int: ...
    @overload
    def set_value(self, value: numpy.ndarray[object[m,1]]) -> None: ...
    @overload
    def set_value(self, index: int, value: numpy.ndarray[object[m,1]]) -> None: ...
    def size(self) -> int: ...
    def value(self, index: int = ...) -> numpy.ndarray[object[m,1]]: ...
    def __copy__(self) -> DiscreteValues_𝓣Expression𝓤: ...
    def __deepcopy__(self, arg0: dict) -> DiscreteValues_𝓣Expression𝓤: ...
    def __getitem__(self, arg0: int) -> pydrake.symbolic.Expression: ...
    def __setitem__(self, arg0: int, arg1: pydrake.symbolic.Expression) -> None: ...

class Event:
    def __init__(self, *args, **kwargs) -> None: ...
    def get_trigger_type(self) -> TriggerType: ...

class EventStatus:
    class Severity:
        __members__: ClassVar[dict] = ...  # read-only
        __entries: ClassVar[dict] = ...
        _pybind11_del_orig: ClassVar[None] = ...
        kDidNothing: ClassVar[EventStatus.Severity] = ...
        kFailed: ClassVar[EventStatus.Severity] = ...
        kReachedTermination: ClassVar[EventStatus.Severity] = ...
        kSucceeded: ClassVar[EventStatus.Severity] = ...
        def __init__(self, value: int) -> None: ...
        def __del__(self, *args, **kwargs) -> Any: ...
        def __eq__(self, other: object) -> bool: ...
        def __getstate__(self) -> int: ...
        def __hash__(self) -> int: ...
        def __index__(self) -> int: ...
        def __int__(self) -> int: ...
        def __ne__(self, other: object) -> bool: ...
        def __setstate__(self, state: int) -> None: ...
        @property
        def name(self) -> str: ...
        @property
        def value(self) -> int: ...
    def __init__(self, *args, **kwargs) -> None: ...
    @classmethod
    def DidNothing(cls) -> EventStatus: ...
    @classmethod
    def Failed(cls, *args, **kwargs) -> Any: ...
    def KeepMoreSevere(self, candidate: EventStatus) -> EventStatus: ...
    @classmethod
    def ReachedTermination(cls, *args, **kwargs) -> Any: ...
    @classmethod
    def Succeeded(cls) -> EventStatus: ...
    def message(self) -> str: ...
    def severity(self) -> EventStatus.Severity: ...
    def system(self, *args, **kwargs) -> Any: ...
    def __copy__(self) -> EventStatus: ...
    def __deepcopy__(self, arg0: dict) -> EventStatus: ...

class Event_𝓣AutoDiffXd𝓤:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...
    def get_trigger_type(self) -> TriggerType: ...

class Event_𝓣Expression𝓤:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...
    def get_trigger_type(self) -> TriggerType: ...

class FixedInputPortValue:
    def __init__(self, *args, **kwargs) -> None: ...
    def GetMutableData(self) -> pydrake.common.value.AbstractValue: ...

class InputPort:
    def __init__(self, *args, **kwargs) -> None: ...
    def Allocate(self) -> pydrake.common.value.AbstractValue: ...
    def Eval(self, arg0: Context) -> object: ...
    def EvalAbstract(self, context: Context) -> pydrake.common.value.AbstractValue: ...
    def EvalBasicVector(self, context: Context) -> object: ...
    @overload
    def FixValue(self, context: Context, value: pydrake.common.value.AbstractValue) -> FixedInputPortValue: ...
    @overload
    def FixValue(self, context: Context, value: object) -> FixedInputPortValue: ...
    def GetFullDescription(self) -> str: ...
    def HasValue(self, context: Context) -> bool: ...
    def get_data_type(self) -> PortDataType: ...
    def get_index(self) -> InputPortIndex: ...
    def get_name(self) -> str: ...
    def get_system(self, *args, **kwargs) -> Any: ...
    def size(self) -> int: ...
    def ticket(self) -> DependencyTicket: ...

class InputPortIndex:
    @overload
    def __init__(self) -> None: ...
    @overload
    def __init__(self, arg0: int) -> None: ...
    def is_valid(self) -> bool: ...
    @overload
    def __eq__(self, arg0: InputPortIndex) -> bool: ...
    @overload
    def __eq__(self, arg0: int) -> bool: ...
    def __hash__(self) -> int: ...
    def __index__(self) -> int: ...
    def __int__(self) -> int: ...
    def __lt__(self, arg0: InputPortIndex) -> bool: ...

class InputPortSelection:
    __members__: ClassVar[dict] = ...  # read-only
    __entries: ClassVar[dict] = ...
    _pybind11_del_orig: ClassVar[None] = ...
    kNoInput: ClassVar[InputPortSelection] = ...
    kUseFirstInputIfItExists: ClassVar[InputPortSelection] = ...
    def __init__(self, value: int) -> None: ...
    def __del__(self, *args, **kwargs) -> Any: ...
    def __eq__(self, other: object) -> bool: ...
    def __getstate__(self) -> int: ...
    def __hash__(self) -> int: ...
    def __index__(self) -> int: ...
    def __int__(self) -> int: ...
    def __ne__(self, other: object) -> bool: ...
    def __setstate__(self, state: int) -> None: ...
    @property
    def name(self) -> str: ...
    @property
    def value(self) -> int: ...

class InputPort_𝓣AutoDiffXd𝓤:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...
    def Allocate(self) -> pydrake.common.value.AbstractValue: ...
    def Eval(self, arg0: Context_𝓣AutoDiffXd𝓤) -> object: ...
    def EvalAbstract(self, context: Context_𝓣AutoDiffXd𝓤) -> pydrake.common.value.AbstractValue: ...
    def EvalBasicVector(self, context: Context_𝓣AutoDiffXd𝓤) -> object: ...
    @overload
    def FixValue(self, context: Context_𝓣AutoDiffXd𝓤, value: pydrake.common.value.AbstractValue) -> FixedInputPortValue: ...
    @overload
    def FixValue(self, context: Context_𝓣AutoDiffXd𝓤, value: object) -> FixedInputPortValue: ...
    def GetFullDescription(self) -> str: ...
    def HasValue(self, context: Context_𝓣AutoDiffXd𝓤) -> bool: ...
    def get_data_type(self) -> PortDataType: ...
    def get_index(self) -> InputPortIndex: ...
    def get_name(self) -> str: ...
    def get_system(self, *args, **kwargs) -> Any: ...
    def size(self) -> int: ...
    def ticket(self) -> DependencyTicket: ...

class InputPort_𝓣Expression𝓤:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...
    def Allocate(self) -> pydrake.common.value.AbstractValue: ...
    def Eval(self, arg0: Context_𝓣Expression𝓤) -> object: ...
    def EvalAbstract(self, context: Context_𝓣Expression𝓤) -> pydrake.common.value.AbstractValue: ...
    def EvalBasicVector(self, context: Context_𝓣Expression𝓤) -> object: ...
    @overload
    def FixValue(self, context: Context_𝓣Expression𝓤, value: pydrake.common.value.AbstractValue) -> FixedInputPortValue: ...
    @overload
    def FixValue(self, context: Context_𝓣Expression𝓤, value: object) -> FixedInputPortValue: ...
    def GetFullDescription(self) -> str: ...
    def HasValue(self, context: Context_𝓣Expression𝓤) -> bool: ...
    def get_data_type(self) -> PortDataType: ...
    def get_index(self) -> InputPortIndex: ...
    def get_name(self) -> str: ...
    def get_system(self, *args, **kwargs) -> Any: ...
    def size(self) -> int: ...
    def ticket(self) -> DependencyTicket: ...

class LeafContext(Context):
    def __init__(self, *args, **kwargs) -> None: ...

class LeafContext_𝓣AutoDiffXd𝓤(Context_𝓣AutoDiffXd𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...

class LeafContext_𝓣Expression𝓤(Context_𝓣Expression𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...

class LeafOutputPort(OutputPort):
    def __init__(self, *args, **kwargs) -> None: ...
    @overload
    def disable_caching_by_default(self) -> None: ...
    @overload
    def disable_caching_by_default(self) -> Any: ...

class LeafOutputPort_𝓣AutoDiffXd𝓤(OutputPort_𝓣AutoDiffXd𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...
    @overload
    def disable_caching_by_default(self) -> None: ...
    @overload
    def disable_caching_by_default(self) -> Any: ...

class LeafOutputPort_𝓣Expression𝓤(OutputPort_𝓣Expression𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...
    @overload
    def disable_caching_by_default(self) -> None: ...
    @overload
    def disable_caching_by_default(self) -> Any: ...

class LeafSystem(System):
    @overload
    def __init__(self) -> None: ...
    @overload
    def __init__(self, converter: SystemScalarConverter) -> None: ...
    def DeclareAbstractInputPort(self, name: str, model_value: pydrake.common.value.AbstractValue) -> InputPort: ...
    def DeclareAbstractOutputPort(self, name: str, alloc: Callable[[],pydrake.common.value.AbstractValue], calc: Callable[[Context,pydrake.common.value.AbstractValue],None], prerequisites_of_calc: Set[DependencyTicket] = ...) -> OutputPort: ...
    def DeclareAbstractParameter(self, model_value: pydrake.common.value.AbstractValue) -> int: ...
    def DeclareAbstractState(self, model_value: pydrake.common.value.AbstractValue) -> AbstractStateIndex: ...
    @overload
    def DeclareContinuousState(self, num_state_variables: int) -> ContinuousStateIndex: ...
    @overload
    def DeclareContinuousState(self, num_q: int, num_v: int, num_z: int) -> ContinuousStateIndex: ...
    @overload
    def DeclareContinuousState(self, model_vector: BasicVector) -> ContinuousStateIndex: ...
    @overload
    def DeclareContinuousState(self, model_vector: BasicVector, num_q: int, num_v: int, num_z: int) -> ContinuousStateIndex: ...
    @overload
    def DeclareDiscreteState(self, model_vector: BasicVector) -> DiscreteStateIndex: ...
    @overload
    def DeclareDiscreteState(self, vector: numpy.ndarray[numpy.float64[m,1]]) -> DiscreteStateIndex: ...
    @overload
    def DeclareDiscreteState(self, num_state_variables: int) -> DiscreteStateIndex: ...
    @overload
    def DeclareDiscreteState(self) -> Any: ...
    @overload
    def DeclareForcedDiscreteUpdateEvent(self, update: Callable[[Context,DiscreteValues],Optional[EventStatus]]) -> None: ...
    @overload
    def DeclareForcedDiscreteUpdateEvent(self) -> Any: ...
    @overload
    def DeclareForcedPublishEvent(self, publish: Callable[[Context],Optional[EventStatus]]) -> None: ...
    @overload
    def DeclareForcedPublishEvent(self) -> Any: ...
    @overload
    def DeclareForcedUnrestrictedUpdateEvent(self, update: Callable[[Context,State],Optional[EventStatus]]) -> None: ...
    @overload
    def DeclareForcedUnrestrictedUpdateEvent(self) -> Any: ...
    def DeclareInitializationDiscreteUpdateEvent(self, update: Callable[[Context,DiscreteValues],Optional[EventStatus]]) -> None: ...
    def DeclareInitializationEvent(self, event: Event) -> None: ...
    def DeclareInitializationPublishEvent(self, publish: Callable[[Context],Optional[EventStatus]]) -> None: ...
    def DeclareInitializationUnrestrictedUpdateEvent(self, update: Callable[[Context,State],Optional[EventStatus]]) -> None: ...
    def DeclareNumericParameter(self, model_vector: BasicVector) -> int: ...
    def DeclarePerStepDiscreteUpdateEvent(self, update: Callable[[Context,DiscreteValues],Optional[EventStatus]]) -> None: ...
    def DeclarePerStepEvent(self, event: Event) -> None: ...
    def DeclarePerStepPublishEvent(self, publish: Callable[[Context],Optional[EventStatus]]) -> None: ...
    def DeclarePerStepUnrestrictedUpdateEvent(self, update: Callable[[Context,State],Optional[EventStatus]]) -> None: ...
    def DeclarePeriodicDiscreteUpdateEvent(self, period_sec: float, offset_sec: float, update: Callable[[Context,DiscreteValues],Optional[EventStatus]]) -> None: ...
    def DeclarePeriodicDiscreteUpdateNoHandler(self, period_sec: float, offset_sec: float = ...) -> None: ...
    def DeclarePeriodicEvent(self, period_sec: float, offset_sec: float, event: Event) -> None: ...
    def DeclarePeriodicPublishEvent(self, period_sec: float, offset_sec: float, publish: Callable[[Context],Optional[EventStatus]]) -> None: ...
    def DeclarePeriodicPublishNoHandler(self, period_sec: float, offset_sec: float = ...) -> None: ...
    def DeclarePeriodicUnrestrictedUpdateEvent(self, period_sec: float, offset_sec: float, update: Callable[[Context,State],Optional[EventStatus]]) -> None: ...
    @overload
    def DeclareStateOutputPort(self, name: Union[str,UseDefaultName], state_index: ContinuousStateIndex) -> LeafOutputPort: ...
    @overload
    def DeclareStateOutputPort(self, name: Union[str,UseDefaultName], state_index: DiscreteStateIndex) -> LeafOutputPort: ...
    @overload
    def DeclareStateOutputPort(self, name: Union[str,UseDefaultName], state_index: AbstractStateIndex) -> LeafOutputPort: ...
    @overload
    def DeclareVectorInputPort(self, name: str, model_vector: BasicVector, random_type: Optional[pydrake.common._module_py.RandomDistribution] = ...) -> InputPort: ...
    @overload
    def DeclareVectorInputPort(self, name: str, size: int, random_type: Optional[pydrake.common._module_py.RandomDistribution] = ...) -> InputPort: ...
    @overload
    def DeclareVectorOutputPort(self, name: str, model_value: BasicVector, calc: Callable[[Context,BasicVector],None], prerequisites_of_calc: Set[DependencyTicket] = ...) -> OutputPort: ...
    @overload
    def DeclareVectorOutputPort(self, name: str, size: int, calc: Callable[[Context,BasicVector],None], prerequisites_of_calc: Set[DependencyTicket] = ...) -> OutputPort: ...
    def DoCalcDiscreteVariableUpdates(self, arg0: Context, arg1: List[DiscreteUpdateEvent], arg2: DiscreteValues) -> None: ...
    def DoCalcTimeDerivatives(self, arg0: Context, arg1: ContinuousState) -> None: ...
    def DoPublish(self, arg0: Context, arg1: List[PublishEvent]) -> None: ...
    @overload
    def MakeWitnessFunction(self, description: str, direction_type: WitnessFunctionDirection, calc: Callable[[Context],float]) -> WitnessFunction: ...
    @overload
    def MakeWitnessFunction(self, description: str, direction_type: WitnessFunctionDirection, calc: Callable[[Context],float], e: Event) -> WitnessFunction: ...

class LeafSystem_𝓣AutoDiffXd𝓤(System_𝓣AutoDiffXd𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self) -> None: ...
    @overload
    def __init__(self, converter: SystemScalarConverter) -> None: ...
    def DeclareAbstractInputPort(self, name: str, model_value: pydrake.common.value.AbstractValue) -> InputPort_𝓣AutoDiffXd𝓤: ...
    def DeclareAbstractOutputPort(self, name: str, alloc: Callable[[],pydrake.common.value.AbstractValue], calc: Callable[[Context_𝓣AutoDiffXd𝓤,pydrake.common.value.AbstractValue],None], prerequisites_of_calc: Set[DependencyTicket] = ...) -> OutputPort_𝓣AutoDiffXd𝓤: ...
    def DeclareAbstractParameter(self, model_value: pydrake.common.value.AbstractValue) -> int: ...
    def DeclareAbstractState(self, model_value: pydrake.common.value.AbstractValue) -> AbstractStateIndex: ...
    @overload
    def DeclareContinuousState(self, num_state_variables: int) -> ContinuousStateIndex: ...
    @overload
    def DeclareContinuousState(self, num_q: int, num_v: int, num_z: int) -> ContinuousStateIndex: ...
    @overload
    def DeclareContinuousState(self, model_vector: BasicVector_𝓣AutoDiffXd𝓤) -> ContinuousStateIndex: ...
    @overload
    def DeclareContinuousState(self, model_vector: BasicVector_𝓣AutoDiffXd𝓤, num_q: int, num_v: int, num_z: int) -> ContinuousStateIndex: ...
    @overload
    def DeclareDiscreteState(self, model_vector: BasicVector_𝓣AutoDiffXd𝓤) -> DiscreteStateIndex: ...
    @overload
    def DeclareDiscreteState(self, vector: numpy.ndarray[object[m,1]]) -> DiscreteStateIndex: ...
    @overload
    def DeclareDiscreteState(self, num_state_variables: int) -> DiscreteStateIndex: ...
    @overload
    def DeclareDiscreteState(self) -> Any: ...
    @overload
    def DeclareForcedDiscreteUpdateEvent(self, update: Callable[[Context_𝓣AutoDiffXd𝓤,DiscreteValues_𝓣AutoDiffXd𝓤],Optional[EventStatus]]) -> None: ...
    @overload
    def DeclareForcedDiscreteUpdateEvent(self) -> Any: ...
    @overload
    def DeclareForcedPublishEvent(self, publish: Callable[[Context_𝓣AutoDiffXd𝓤],Optional[EventStatus]]) -> None: ...
    @overload
    def DeclareForcedPublishEvent(self) -> Any: ...
    @overload
    def DeclareForcedUnrestrictedUpdateEvent(self, update: Callable[[Context_𝓣AutoDiffXd𝓤,State_𝓣AutoDiffXd𝓤],Optional[EventStatus]]) -> None: ...
    @overload
    def DeclareForcedUnrestrictedUpdateEvent(self) -> Any: ...
    def DeclareInitializationDiscreteUpdateEvent(self, update: Callable[[Context_𝓣AutoDiffXd𝓤,DiscreteValues_𝓣AutoDiffXd𝓤],Optional[EventStatus]]) -> None: ...
    def DeclareInitializationEvent(self, event: Event_𝓣AutoDiffXd𝓤) -> None: ...
    def DeclareInitializationPublishEvent(self, publish: Callable[[Context_𝓣AutoDiffXd𝓤],Optional[EventStatus]]) -> None: ...
    def DeclareInitializationUnrestrictedUpdateEvent(self, update: Callable[[Context_𝓣AutoDiffXd𝓤,State_𝓣AutoDiffXd𝓤],Optional[EventStatus]]) -> None: ...
    def DeclareNumericParameter(self, model_vector: BasicVector_𝓣AutoDiffXd𝓤) -> int: ...
    def DeclarePerStepDiscreteUpdateEvent(self, update: Callable[[Context_𝓣AutoDiffXd𝓤,DiscreteValues_𝓣AutoDiffXd𝓤],Optional[EventStatus]]) -> None: ...
    def DeclarePerStepEvent(self, event: Event_𝓣AutoDiffXd𝓤) -> None: ...
    def DeclarePerStepPublishEvent(self, publish: Callable[[Context_𝓣AutoDiffXd𝓤],Optional[EventStatus]]) -> None: ...
    def DeclarePerStepUnrestrictedUpdateEvent(self, update: Callable[[Context_𝓣AutoDiffXd𝓤,State_𝓣AutoDiffXd𝓤],Optional[EventStatus]]) -> None: ...
    def DeclarePeriodicDiscreteUpdateEvent(self, period_sec: float, offset_sec: float, update: Callable[[Context_𝓣AutoDiffXd𝓤,DiscreteValues_𝓣AutoDiffXd𝓤],Optional[EventStatus]]) -> None: ...
    def DeclarePeriodicDiscreteUpdateNoHandler(self, period_sec: float, offset_sec: float = ...) -> None: ...
    def DeclarePeriodicEvent(self, period_sec: float, offset_sec: float, event: Event_𝓣AutoDiffXd𝓤) -> None: ...
    def DeclarePeriodicPublishEvent(self, period_sec: float, offset_sec: float, publish: Callable[[Context_𝓣AutoDiffXd𝓤],Optional[EventStatus]]) -> None: ...
    def DeclarePeriodicPublishNoHandler(self, period_sec: float, offset_sec: float = ...) -> None: ...
    def DeclarePeriodicUnrestrictedUpdateEvent(self, period_sec: float, offset_sec: float, update: Callable[[Context_𝓣AutoDiffXd𝓤,State_𝓣AutoDiffXd𝓤],Optional[EventStatus]]) -> None: ...
    @overload
    def DeclareStateOutputPort(self, name: Union[str,UseDefaultName], state_index: ContinuousStateIndex) -> LeafOutputPort_𝓣AutoDiffXd𝓤: ...
    @overload
    def DeclareStateOutputPort(self, name: Union[str,UseDefaultName], state_index: DiscreteStateIndex) -> LeafOutputPort_𝓣AutoDiffXd𝓤: ...
    @overload
    def DeclareStateOutputPort(self, name: Union[str,UseDefaultName], state_index: AbstractStateIndex) -> LeafOutputPort_𝓣AutoDiffXd𝓤: ...
    @overload
    def DeclareVectorInputPort(self, name: str, model_vector: BasicVector_𝓣AutoDiffXd𝓤, random_type: Optional[pydrake.common._module_py.RandomDistribution] = ...) -> InputPort_𝓣AutoDiffXd𝓤: ...
    @overload
    def DeclareVectorInputPort(self, name: str, size: int, random_type: Optional[pydrake.common._module_py.RandomDistribution] = ...) -> InputPort_𝓣AutoDiffXd𝓤: ...
    @overload
    def DeclareVectorOutputPort(self, name: str, model_value: BasicVector_𝓣AutoDiffXd𝓤, calc: Callable[[Context_𝓣AutoDiffXd𝓤,BasicVector_𝓣AutoDiffXd𝓤],None], prerequisites_of_calc: Set[DependencyTicket] = ...) -> OutputPort_𝓣AutoDiffXd𝓤: ...
    @overload
    def DeclareVectorOutputPort(self, name: str, size: int, calc: Callable[[Context_𝓣AutoDiffXd𝓤,BasicVector_𝓣AutoDiffXd𝓤],None], prerequisites_of_calc: Set[DependencyTicket] = ...) -> OutputPort_𝓣AutoDiffXd𝓤: ...
    def DoCalcDiscreteVariableUpdates(self, arg0: Context_𝓣AutoDiffXd𝓤, arg1: List[DiscreteUpdateEvent_𝓣AutoDiffXd𝓤], arg2: DiscreteValues_𝓣AutoDiffXd𝓤) -> None: ...
    def DoCalcTimeDerivatives(self, arg0: Context_𝓣AutoDiffXd𝓤, arg1: ContinuousState_𝓣AutoDiffXd𝓤) -> None: ...
    def DoPublish(self, arg0: Context_𝓣AutoDiffXd𝓤, arg1: List[PublishEvent_𝓣AutoDiffXd𝓤]) -> None: ...
    @overload
    def MakeWitnessFunction(self, description: str, direction_type: WitnessFunctionDirection, calc: Callable[[Context_𝓣AutoDiffXd𝓤],pydrake.autodiffutils.AutoDiffXd]) -> WitnessFunction_𝓣AutoDiffXd𝓤: ...
    @overload
    def MakeWitnessFunction(self, description: str, direction_type: WitnessFunctionDirection, calc: Callable[[Context_𝓣AutoDiffXd𝓤],pydrake.autodiffutils.AutoDiffXd], e: Event_𝓣AutoDiffXd𝓤) -> WitnessFunction_𝓣AutoDiffXd𝓤: ...

class LeafSystem_𝓣Expression𝓤(System_𝓣Expression𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self) -> None: ...
    @overload
    def __init__(self, converter: SystemScalarConverter) -> None: ...
    def DeclareAbstractInputPort(self, name: str, model_value: pydrake.common.value.AbstractValue) -> InputPort_𝓣Expression𝓤: ...
    def DeclareAbstractOutputPort(self, name: str, alloc: Callable[[],pydrake.common.value.AbstractValue], calc: Callable[[Context_𝓣Expression𝓤,pydrake.common.value.AbstractValue],None], prerequisites_of_calc: Set[DependencyTicket] = ...) -> OutputPort_𝓣Expression𝓤: ...
    def DeclareAbstractParameter(self, model_value: pydrake.common.value.AbstractValue) -> int: ...
    def DeclareAbstractState(self, model_value: pydrake.common.value.AbstractValue) -> AbstractStateIndex: ...
    @overload
    def DeclareContinuousState(self, num_state_variables: int) -> ContinuousStateIndex: ...
    @overload
    def DeclareContinuousState(self, num_q: int, num_v: int, num_z: int) -> ContinuousStateIndex: ...
    @overload
    def DeclareContinuousState(self, model_vector: BasicVector_𝓣Expression𝓤) -> ContinuousStateIndex: ...
    @overload
    def DeclareContinuousState(self, model_vector: BasicVector_𝓣Expression𝓤, num_q: int, num_v: int, num_z: int) -> ContinuousStateIndex: ...
    @overload
    def DeclareDiscreteState(self, model_vector: BasicVector_𝓣Expression𝓤) -> DiscreteStateIndex: ...
    @overload
    def DeclareDiscreteState(self, vector: numpy.ndarray[object[m,1]]) -> DiscreteStateIndex: ...
    @overload
    def DeclareDiscreteState(self, num_state_variables: int) -> DiscreteStateIndex: ...
    @overload
    def DeclareDiscreteState(self) -> Any: ...
    @overload
    def DeclareForcedDiscreteUpdateEvent(self, update: Callable[[Context_𝓣Expression𝓤,DiscreteValues_𝓣Expression𝓤],Optional[EventStatus]]) -> None: ...
    @overload
    def DeclareForcedDiscreteUpdateEvent(self) -> Any: ...
    @overload
    def DeclareForcedPublishEvent(self, publish: Callable[[Context_𝓣Expression𝓤],Optional[EventStatus]]) -> None: ...
    @overload
    def DeclareForcedPublishEvent(self) -> Any: ...
    @overload
    def DeclareForcedUnrestrictedUpdateEvent(self, update: Callable[[Context_𝓣Expression𝓤,State_𝓣Expression𝓤],Optional[EventStatus]]) -> None: ...
    @overload
    def DeclareForcedUnrestrictedUpdateEvent(self) -> Any: ...
    def DeclareInitializationDiscreteUpdateEvent(self, update: Callable[[Context_𝓣Expression𝓤,DiscreteValues_𝓣Expression𝓤],Optional[EventStatus]]) -> None: ...
    def DeclareInitializationEvent(self, event: Event_𝓣Expression𝓤) -> None: ...
    def DeclareInitializationPublishEvent(self, publish: Callable[[Context_𝓣Expression𝓤],Optional[EventStatus]]) -> None: ...
    def DeclareInitializationUnrestrictedUpdateEvent(self, update: Callable[[Context_𝓣Expression𝓤,State_𝓣Expression𝓤],Optional[EventStatus]]) -> None: ...
    def DeclareNumericParameter(self, model_vector: BasicVector_𝓣Expression𝓤) -> int: ...
    def DeclarePerStepDiscreteUpdateEvent(self, update: Callable[[Context_𝓣Expression𝓤,DiscreteValues_𝓣Expression𝓤],Optional[EventStatus]]) -> None: ...
    def DeclarePerStepEvent(self, event: Event_𝓣Expression𝓤) -> None: ...
    def DeclarePerStepPublishEvent(self, publish: Callable[[Context_𝓣Expression𝓤],Optional[EventStatus]]) -> None: ...
    def DeclarePerStepUnrestrictedUpdateEvent(self, update: Callable[[Context_𝓣Expression𝓤,State_𝓣Expression𝓤],Optional[EventStatus]]) -> None: ...
    def DeclarePeriodicDiscreteUpdateEvent(self, period_sec: float, offset_sec: float, update: Callable[[Context_𝓣Expression𝓤,DiscreteValues_𝓣Expression𝓤],Optional[EventStatus]]) -> None: ...
    def DeclarePeriodicDiscreteUpdateNoHandler(self, period_sec: float, offset_sec: float = ...) -> None: ...
    def DeclarePeriodicEvent(self, period_sec: float, offset_sec: float, event: Event_𝓣Expression𝓤) -> None: ...
    def DeclarePeriodicPublishEvent(self, period_sec: float, offset_sec: float, publish: Callable[[Context_𝓣Expression𝓤],Optional[EventStatus]]) -> None: ...
    def DeclarePeriodicPublishNoHandler(self, period_sec: float, offset_sec: float = ...) -> None: ...
    def DeclarePeriodicUnrestrictedUpdateEvent(self, period_sec: float, offset_sec: float, update: Callable[[Context_𝓣Expression𝓤,State_𝓣Expression𝓤],Optional[EventStatus]]) -> None: ...
    @overload
    def DeclareStateOutputPort(self, name: Union[str,UseDefaultName], state_index: ContinuousStateIndex) -> LeafOutputPort_𝓣Expression𝓤: ...
    @overload
    def DeclareStateOutputPort(self, name: Union[str,UseDefaultName], state_index: DiscreteStateIndex) -> LeafOutputPort_𝓣Expression𝓤: ...
    @overload
    def DeclareStateOutputPort(self, name: Union[str,UseDefaultName], state_index: AbstractStateIndex) -> LeafOutputPort_𝓣Expression𝓤: ...
    @overload
    def DeclareVectorInputPort(self, name: str, model_vector: BasicVector_𝓣Expression𝓤, random_type: Optional[pydrake.common._module_py.RandomDistribution] = ...) -> InputPort_𝓣Expression𝓤: ...
    @overload
    def DeclareVectorInputPort(self, name: str, size: int, random_type: Optional[pydrake.common._module_py.RandomDistribution] = ...) -> InputPort_𝓣Expression𝓤: ...
    @overload
    def DeclareVectorOutputPort(self, name: str, model_value: BasicVector_𝓣Expression𝓤, calc: Callable[[Context_𝓣Expression𝓤,BasicVector_𝓣Expression𝓤],None], prerequisites_of_calc: Set[DependencyTicket] = ...) -> OutputPort_𝓣Expression𝓤: ...
    @overload
    def DeclareVectorOutputPort(self, name: str, size: int, calc: Callable[[Context_𝓣Expression𝓤,BasicVector_𝓣Expression𝓤],None], prerequisites_of_calc: Set[DependencyTicket] = ...) -> OutputPort_𝓣Expression𝓤: ...
    def DoCalcDiscreteVariableUpdates(self, arg0: Context_𝓣Expression𝓤, arg1: List[DiscreteUpdateEvent_𝓣Expression𝓤], arg2: DiscreteValues_𝓣Expression𝓤) -> None: ...
    def DoCalcTimeDerivatives(self, arg0: Context_𝓣Expression𝓤, arg1: ContinuousState_𝓣Expression𝓤) -> None: ...
    def DoPublish(self, arg0: Context_𝓣Expression𝓤, arg1: List[PublishEvent_𝓣Expression𝓤]) -> None: ...
    @overload
    def MakeWitnessFunction(self, description: str, direction_type: WitnessFunctionDirection, calc: Callable[[Context_𝓣Expression𝓤],pydrake.symbolic.Expression]) -> WitnessFunction_𝓣Expression𝓤: ...
    @overload
    def MakeWitnessFunction(self, description: str, direction_type: WitnessFunctionDirection, calc: Callable[[Context_𝓣Expression𝓤],pydrake.symbolic.Expression], e: Event_𝓣Expression𝓤) -> WitnessFunction_𝓣Expression𝓤: ...

class NumericParameterIndex:
    @overload
    def __init__(self) -> None: ...
    @overload
    def __init__(self, arg0: int) -> None: ...
    def is_valid(self) -> bool: ...
    @overload
    def __eq__(self, arg0: NumericParameterIndex) -> bool: ...
    @overload
    def __eq__(self, arg0: int) -> bool: ...
    def __hash__(self) -> int: ...
    def __index__(self) -> int: ...
    def __int__(self) -> int: ...
    def __lt__(self, arg0: NumericParameterIndex) -> bool: ...

class OutputPort:
    def __init__(self, *args, **kwargs) -> None: ...
    def Allocate(self) -> pydrake.common.value.AbstractValue: ...
    def Eval(self, arg0: Context) -> object: ...
    def EvalAbstract(self, context: Context) -> object: ...
    def EvalBasicVector(self, context: Context) -> object: ...
    def get_data_type(self) -> PortDataType: ...
    def get_index(self) -> OutputPortIndex: ...
    def get_name(self) -> str: ...
    def get_system(self, *args, **kwargs) -> Any: ...
    def size(self) -> int: ...

class OutputPortIndex:
    @overload
    def __init__(self) -> None: ...
    @overload
    def __init__(self, arg0: int) -> None: ...
    def is_valid(self) -> bool: ...
    @overload
    def __eq__(self, arg0: OutputPortIndex) -> bool: ...
    @overload
    def __eq__(self, arg0: int) -> bool: ...
    def __hash__(self) -> int: ...
    def __index__(self) -> int: ...
    def __int__(self) -> int: ...
    def __lt__(self, arg0: OutputPortIndex) -> bool: ...

class OutputPortSelection:
    __members__: ClassVar[dict] = ...  # read-only
    __entries: ClassVar[dict] = ...
    _pybind11_del_orig: ClassVar[None] = ...
    kNoOutput: ClassVar[OutputPortSelection] = ...
    kUseFirstOutputIfItExists: ClassVar[OutputPortSelection] = ...
    def __init__(self, value: int) -> None: ...
    def __del__(self, *args, **kwargs) -> Any: ...
    def __eq__(self, other: object) -> bool: ...
    def __getstate__(self) -> int: ...
    def __hash__(self) -> int: ...
    def __index__(self) -> int: ...
    def __int__(self) -> int: ...
    def __ne__(self, other: object) -> bool: ...
    def __setstate__(self, state: int) -> None: ...
    @property
    def name(self) -> str: ...
    @property
    def value(self) -> int: ...

class OutputPort_𝓣AutoDiffXd𝓤:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...
    def Allocate(self) -> pydrake.common.value.AbstractValue: ...
    def Eval(self, arg0: Context_𝓣AutoDiffXd𝓤) -> object: ...
    def EvalAbstract(self, context: Context_𝓣AutoDiffXd𝓤) -> object: ...
    def EvalBasicVector(self, context: Context_𝓣AutoDiffXd𝓤) -> object: ...
    def get_data_type(self) -> PortDataType: ...
    def get_index(self) -> OutputPortIndex: ...
    def get_name(self) -> str: ...
    def get_system(self, *args, **kwargs) -> Any: ...
    def size(self) -> int: ...

class OutputPort_𝓣Expression𝓤:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...
    def Allocate(self) -> pydrake.common.value.AbstractValue: ...
    def Eval(self, arg0: Context_𝓣Expression𝓤) -> object: ...
    def EvalAbstract(self, context: Context_𝓣Expression𝓤) -> object: ...
    def EvalBasicVector(self, context: Context_𝓣Expression𝓤) -> object: ...
    def get_data_type(self) -> PortDataType: ...
    def get_index(self) -> OutputPortIndex: ...
    def get_name(self) -> str: ...
    def get_system(self, *args, **kwargs) -> Any: ...
    def size(self) -> int: ...

class Parameters:
    @overload
    def __init__(self) -> None: ...
    @overload
    def __init__(self, numeric: List[BasicVector], abstract: List[pydrake.common.value.AbstractValue]) -> None: ...
    @overload
    def __init__(self, numeric: List[BasicVector]) -> None: ...
    @overload
    def __init__(self, abstract: List[pydrake.common.value.AbstractValue]) -> None: ...
    @overload
    def __init__(self, vec: BasicVector) -> None: ...
    @overload
    def __init__(self, value: pydrake.common.value.AbstractValue) -> None: ...
    def Clone(self) -> Parameters: ...
    def SetFrom(self, arg0: Parameters) -> None: ...
    def get_abstract_parameter(self, index: int) -> pydrake.common.value.AbstractValue: ...
    def get_abstract_parameters(self) -> AbstractValues: ...
    def get_mutable_abstract_parameter(self, index: int) -> pydrake.common.value.AbstractValue: ...
    def get_mutable_numeric_parameter(self, index: int) -> BasicVector: ...
    def get_numeric_parameter(self, index: int) -> BasicVector: ...
    def get_numeric_parameters(self, *args, **kwargs) -> Any: ...
    def num_abstract_parameters(self) -> int: ...
    def num_numeric_parameter_groups(self) -> int: ...
    def set_abstract_parameters(self, abstract_params: AbstractValues) -> None: ...
    def set_numeric_parameters(self, *args, **kwargs) -> Any: ...
    def __copy__(self) -> Parameters: ...
    def __deepcopy__(self, arg0: dict) -> Parameters: ...

class Parameters_𝓣AutoDiffXd𝓤:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self) -> None: ...
    @overload
    def __init__(self, numeric: List[BasicVector_𝓣AutoDiffXd𝓤], abstract: List[pydrake.common.value.AbstractValue]) -> None: ...
    @overload
    def __init__(self, numeric: List[BasicVector_𝓣AutoDiffXd𝓤]) -> None: ...
    @overload
    def __init__(self, abstract: List[pydrake.common.value.AbstractValue]) -> None: ...
    @overload
    def __init__(self, vec: BasicVector_𝓣AutoDiffXd𝓤) -> None: ...
    @overload
    def __init__(self, value: pydrake.common.value.AbstractValue) -> None: ...
    def Clone(self) -> Parameters_𝓣AutoDiffXd𝓤: ...
    def SetFrom(self, arg0: Parameters) -> None: ...
    def get_abstract_parameter(self, index: int) -> pydrake.common.value.AbstractValue: ...
    def get_abstract_parameters(self) -> AbstractValues: ...
    def get_mutable_abstract_parameter(self, index: int) -> pydrake.common.value.AbstractValue: ...
    def get_mutable_numeric_parameter(self, index: int) -> BasicVector_𝓣AutoDiffXd𝓤: ...
    def get_numeric_parameter(self, index: int) -> BasicVector_𝓣AutoDiffXd𝓤: ...
    def get_numeric_parameters(self, *args, **kwargs) -> Any: ...
    def num_abstract_parameters(self) -> int: ...
    def num_numeric_parameter_groups(self) -> int: ...
    def set_abstract_parameters(self, abstract_params: AbstractValues) -> None: ...
    def set_numeric_parameters(self, *args, **kwargs) -> Any: ...
    def __copy__(self) -> Parameters_𝓣AutoDiffXd𝓤: ...
    def __deepcopy__(self, arg0: dict) -> Parameters_𝓣AutoDiffXd𝓤: ...

class Parameters_𝓣Expression𝓤:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self) -> None: ...
    @overload
    def __init__(self, numeric: List[BasicVector_𝓣Expression𝓤], abstract: List[pydrake.common.value.AbstractValue]) -> None: ...
    @overload
    def __init__(self, numeric: List[BasicVector_𝓣Expression𝓤]) -> None: ...
    @overload
    def __init__(self, abstract: List[pydrake.common.value.AbstractValue]) -> None: ...
    @overload
    def __init__(self, vec: BasicVector_𝓣Expression𝓤) -> None: ...
    @overload
    def __init__(self, value: pydrake.common.value.AbstractValue) -> None: ...
    def Clone(self) -> Parameters_𝓣Expression𝓤: ...
    def SetFrom(self, arg0: Parameters) -> None: ...
    def get_abstract_parameter(self, index: int) -> pydrake.common.value.AbstractValue: ...
    def get_abstract_parameters(self) -> AbstractValues: ...
    def get_mutable_abstract_parameter(self, index: int) -> pydrake.common.value.AbstractValue: ...
    def get_mutable_numeric_parameter(self, index: int) -> BasicVector_𝓣Expression𝓤: ...
    def get_numeric_parameter(self, index: int) -> BasicVector_𝓣Expression𝓤: ...
    def get_numeric_parameters(self, *args, **kwargs) -> Any: ...
    def num_abstract_parameters(self) -> int: ...
    def num_numeric_parameter_groups(self) -> int: ...
    def set_abstract_parameters(self, abstract_params: AbstractValues) -> None: ...
    def set_numeric_parameters(self, *args, **kwargs) -> Any: ...
    def __copy__(self) -> Parameters_𝓣Expression𝓤: ...
    def __deepcopy__(self, arg0: dict) -> Parameters_𝓣Expression𝓤: ...

class PeriodicEventData:
    def __init__(self, *args, **kwargs) -> None: ...
    def offset_sec(self) -> float: ...
    def period_sec(self) -> float: ...
    def __copy__(self) -> PeriodicEventData: ...
    def __deepcopy__(self, arg0: dict) -> PeriodicEventData: ...

class PortDataType:
    __members__: ClassVar[dict] = ...  # read-only
    __entries: ClassVar[dict] = ...
    _pybind11_del_orig: ClassVar[None] = ...
    kAbstractValued: ClassVar[PortDataType] = ...
    kVectorValued: ClassVar[PortDataType] = ...
    def __init__(self, value: int) -> None: ...
    def __del__(self, *args, **kwargs) -> Any: ...
    def __eq__(self, other: object) -> bool: ...
    def __getstate__(self) -> int: ...
    def __hash__(self) -> int: ...
    def __index__(self) -> int: ...
    def __int__(self) -> int: ...
    def __ne__(self, other: object) -> bool: ...
    def __setstate__(self, state: int) -> None: ...
    @property
    def name(self) -> str: ...
    @property
    def value(self) -> int: ...

class PublishEvent(Event):
    @overload
    def __init__(self, callback: Callable[[Context,PublishEvent],None]) -> None: ...
    @overload
    def __init__(self, system_callback) -> None: ...
    @overload
    def __init__(self, trigger_type: TriggerType, callback: Callable[[Context,PublishEvent],None]) -> None: ...
    @overload
    def __init__(self, trigger_type: TriggerType, system_callback) -> None: ...

class PublishEvent_𝓣AutoDiffXd𝓤(Event_𝓣AutoDiffXd𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, callback: Callable[[Context_𝓣AutoDiffXd𝓤,PublishEvent_𝓣AutoDiffXd𝓤],None]) -> None: ...
    @overload
    def __init__(self, system_callback) -> None: ...
    @overload
    def __init__(self, trigger_type: TriggerType, callback: Callable[[Context_𝓣AutoDiffXd𝓤,PublishEvent_𝓣AutoDiffXd𝓤],None]) -> None: ...
    @overload
    def __init__(self, trigger_type: TriggerType, system_callback) -> None: ...

class PublishEvent_𝓣Expression𝓤(Event_𝓣Expression𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, callback: Callable[[Context_𝓣Expression𝓤,PublishEvent_𝓣Expression𝓤],None]) -> None: ...
    @overload
    def __init__(self, system_callback) -> None: ...
    @overload
    def __init__(self, trigger_type: TriggerType, callback: Callable[[Context_𝓣Expression𝓤,PublishEvent_𝓣Expression𝓤],None]) -> None: ...
    @overload
    def __init__(self, trigger_type: TriggerType, system_callback) -> None: ...

class State:
    def __init__(self) -> None: ...
    @overload
    def get_abstract_state(self) -> AbstractValues: ...
    @overload
    def get_abstract_state(self, index: int) -> pydrake.common.value.AbstractValue: ...
    def get_continuous_state(self, *args, **kwargs) -> Any: ...
    def get_discrete_state(self, *args, **kwargs) -> Any: ...
    @overload
    def get_mutable_abstract_state(self) -> AbstractValues: ...
    @overload
    def get_mutable_abstract_state(self, index: int) -> pydrake.common.value.AbstractValue: ...
    def get_mutable_continuous_state(self, *args, **kwargs) -> Any: ...
    def get_mutable_discrete_state(self, index: int) -> BasicVector: ...

class State_𝓣AutoDiffXd𝓤:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...
    @overload
    def get_abstract_state(self) -> AbstractValues: ...
    @overload
    def get_abstract_state(self, index: int) -> pydrake.common.value.AbstractValue: ...
    def get_continuous_state(self, *args, **kwargs) -> Any: ...
    def get_discrete_state(self, *args, **kwargs) -> Any: ...
    @overload
    def get_mutable_abstract_state(self) -> AbstractValues: ...
    @overload
    def get_mutable_abstract_state(self, index: int) -> pydrake.common.value.AbstractValue: ...
    def get_mutable_continuous_state(self, *args, **kwargs) -> Any: ...
    def get_mutable_discrete_state(self, index: int) -> BasicVector_𝓣AutoDiffXd𝓤: ...

class State_𝓣Expression𝓤:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...
    @overload
    def get_abstract_state(self) -> AbstractValues: ...
    @overload
    def get_abstract_state(self, index: int) -> pydrake.common.value.AbstractValue: ...
    def get_continuous_state(self, *args, **kwargs) -> Any: ...
    def get_discrete_state(self, *args, **kwargs) -> Any: ...
    @overload
    def get_mutable_abstract_state(self) -> AbstractValues: ...
    @overload
    def get_mutable_abstract_state(self, index: int) -> pydrake.common.value.AbstractValue: ...
    def get_mutable_continuous_state(self, *args, **kwargs) -> Any: ...
    def get_mutable_discrete_state(self, index: int) -> BasicVector_𝓣Expression𝓤: ...

class SubsystemIndex:
    @overload
    def __init__(self) -> None: ...
    @overload
    def __init__(self, arg0: int) -> None: ...
    def is_valid(self) -> bool: ...
    @overload
    def __eq__(self, arg0: SubsystemIndex) -> bool: ...
    @overload
    def __eq__(self, arg0: int) -> bool: ...
    def __hash__(self) -> int: ...
    def __index__(self) -> int: ...
    def __int__(self) -> int: ...
    def __lt__(self, arg0: SubsystemIndex) -> bool: ...

class Subvector(VectorBase):
    def __init__(self, *args, **kwargs) -> None: ...

class Subvector_𝓣AutoDiffXd𝓤(VectorBase_𝓣AutoDiffXd𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...

class Subvector_𝓣Expression𝓤(VectorBase_𝓣Expression𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...

class Supervector(VectorBase):
    def __init__(self, *args, **kwargs) -> None: ...

class Supervector_𝓣AutoDiffXd𝓤(VectorBase_𝓣AutoDiffXd𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...

class Supervector_𝓣Expression𝓤(VectorBase_𝓣Expression𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...

class System(SystemBase):
    ToScalarType: Any
    ToScalarTypeMaybe: Any
    def __init__(self, *args, **kwargs) -> None: ...
    def Accept(self, *args, **kwargs) -> Any: ...
    def AllocateContext(self) -> Context: ...
    def AllocateDiscreteVariables(self) -> DiscreteValues: ...
    def AllocateImplicitTimeDerivativesResidual(self) -> numpy.ndarray[numpy.float64[m,1]]: ...
    def AllocateInputAbstract(self, input_port: InputPort) -> pydrake.common.value.AbstractValue: ...
    def AllocateInputVector(self, input_port: InputPort) -> BasicVector: ...
    def AllocateOutput(self) -> SystemOutput: ...
    def AllocateTimeDerivatives(self) -> ContinuousState: ...
    def CalcConservativePower(self, context: Context) -> float: ...
    def CalcForcedDiscreteVariableUpdate(self, context: Context, discrete_state: DiscreteValues) -> None: ...
    def CalcForcedUnrestrictedUpdate(self, context: Context, state: State) -> None: ...
    @overload
    def CalcImplicitTimeDerivativesResidual(self, context: Context, proposed_derivatives: ContinuousState, residual: Optional[numpy.ndarray[numpy.float64[m,1],flags.writeable]]) -> None: ...
    @overload
    def CalcImplicitTimeDerivativesResidual(self, context: Context, proposed_derivatives: ContinuousState) -> numpy.ndarray[numpy.float64[m,1]]: ...
    def CalcKineticEnergy(self, context: Context) -> float: ...
    def CalcNonConservativePower(self, context: Context) -> float: ...
    def CalcOutput(self, context: Context, outputs: SystemOutput) -> None: ...
    def CalcPotentialEnergy(self, context: Context) -> float: ...
    def CalcTimeDerivatives(self, context: Context, derivatives: ContinuousState) -> None: ...
    def Clone(self) -> System: ...
    def CreateDefaultContext(self) -> Context: ...
    def DeclareInputPort(self, name: Union[str,UseDefaultName], type: PortDataType, size: int, random_type: Optional[pydrake.common._module_py.RandomDistribution] = ...) -> InputPort: ...
    def EvalAbstractInput(self, context: Context, port_index: int) -> pydrake.common.value.AbstractValue: ...
    def EvalKineticEnergy(self, context: Context) -> float: ...
    def EvalPotentialEnergy(self, context: Context) -> float: ...
    def EvalTimeDerivatives(self, context: Context) -> ContinuousState: ...
    @overload
    def EvalUniquePeriodicDiscreteUpdate(self, context: Context) -> DiscreteValues: ...
    @overload
    def EvalUniquePeriodicDiscreteUpdate(self, context) -> Any: ...
    @overload
    def EvalUniquePeriodicDiscreteUpdate(self) -> Any: ...
    def EvalVectorInput(self, context: Context, port_index: int) -> BasicVector: ...
    def FixInputPortsFrom(self, other_system: System, other_context: Context, target_context: Context) -> None: ...
    def ForcedPublish(self, context: Context) -> None: ...
    def GetGraphvizString(self, max_depth: int = ...) -> object: ...
    def GetInputPort(self, port_name: str) -> InputPort: ...
    def GetMutableSubsystemContext(self, subsystem: System, context: Context) -> Context: ...
    @overload
    def GetMyContextFromRoot(self, root_context: Context) -> Context: ...
    @overload
    def GetMyContextFromRoot(self) -> Any: ...
    def GetMyMutableContextFromRoot(self, root_context: Context) -> Context: ...
    def GetOutputPort(self, port_name: str) -> OutputPort: ...
    def GetSubsystemContext(self, subsystem: System, context: Context) -> Context: ...
    def GetUniquePeriodicDiscreteUpdateAttribute(self) -> Optional[PeriodicEventData]: ...
    @overload
    def GetWitnessFunctions(self, context: Context) -> List[WitnessFunction]: ...
    @overload
    def GetWitnessFunctions(self, context) -> Any: ...
    def HasAnyDirectFeedthrough(self) -> bool: ...
    @overload
    def HasDirectFeedthrough(self, output_port: int) -> bool: ...
    @overload
    def HasDirectFeedthrough(self, input_port: int, output_port: int) -> bool: ...
    @overload
    def IsDifferenceEquationSystem(self) -> Tuple[bool,float]: ...
    @overload
    def IsDifferenceEquationSystem(self) -> Any: ...
    def SetDefaultContext(self, context: Context) -> None: ...
    def SetRandomContext(self, context: Context, generator: pydrake.common._module_py.RandomGenerator) -> None: ...
    def ToAutoDiffXd(self, *args, **kwargs) -> Any: ...
    def ToAutoDiffXdMaybe(self, *args, **kwargs) -> Any: ...
    def ToScalarTypeMaybe𝓣AutoDiffXd𝓤(self, *args, **kwargs) -> Any: ...
    def ToScalarTypeMaybe𝓣Expression𝓤(self, *args, **kwargs) -> Any: ...
    def ToScalarTypeMaybe𝓣float𝓤(self) -> System: ...
    def ToScalarType𝓣AutoDiffXd𝓤(self, *args, **kwargs) -> Any: ...
    def ToScalarType𝓣Expression𝓤(self, *args, **kwargs) -> Any: ...
    def ToScalarType𝓣float𝓤(self) -> System: ...
    def ToSymbolic(self, *args, **kwargs) -> Any: ...
    def ToSymbolicMaybe(self, *args, **kwargs) -> Any: ...
    @overload
    def get_input_port(self, port_index: int) -> InputPort: ...
    @overload
    def get_input_port(self) -> InputPort: ...
    @overload
    def get_output_port(self, port_index: int) -> OutputPort: ...
    @overload
    def get_output_port(self) -> OutputPort: ...
    def __copy__(self) -> System: ...
    def __deepcopy__(self, arg0: dict) -> System: ...

class SystemBase:
    def __init__(self, *args, **kwargs) -> None: ...
    def DeclareCacheEntry(self, description: str, value_producer: ValueProducer, prerequisites_of_calc: Set[DependencyTicket] = ...) -> CacheEntry: ...
    def GetSystemName(self) -> str: ...
    def GetSystemPathname(self) -> str: ...
    def GetSystemType(self) -> str: ...
    def abstract_parameter_ticket(self, index: AbstractParameterIndex) -> DependencyTicket: ...
    def abstract_state_ticket(self, index: AbstractStateIndex) -> DependencyTicket: ...
    @classmethod
    def accuracy_ticket(cls) -> DependencyTicket: ...
    @classmethod
    def all_input_ports_ticket(cls) -> DependencyTicket: ...
    @classmethod
    def all_parameters_ticket(cls) -> DependencyTicket: ...
    @classmethod
    def all_sources_except_input_ports_ticket(cls) -> DependencyTicket: ...
    @classmethod
    def all_sources_ticket(cls) -> DependencyTicket: ...
    @classmethod
    def all_state_ticket(cls) -> DependencyTicket: ...
    def cache_entry_ticket(self, index: CacheIndex) -> DependencyTicket: ...
    @classmethod
    def configuration_ticket(cls) -> DependencyTicket: ...
    def discrete_state_ticket(self, index: DiscreteStateIndex) -> DependencyTicket: ...
    def get_cache_entry(self, index: CacheIndex) -> CacheEntry: ...
    def get_name(self) -> str: ...
    def implicit_time_derivatives_residual_size(self) -> int: ...
    def input_port_ticket(self, index: InputPortIndex) -> DependencyTicket: ...
    @classmethod
    def ke_ticket(cls) -> DependencyTicket: ...
    @classmethod
    def kinematics_ticket(cls) -> DependencyTicket: ...
    @classmethod
    def nothing_ticket(cls) -> DependencyTicket: ...
    def num_abstract_parameters(self) -> int: ...
    def num_abstract_states(self) -> int: ...
    def num_continuous_states(self) -> int: ...
    def num_discrete_state_groups(self) -> int: ...
    @overload
    def num_input_ports(self) -> int: ...
    @overload
    def num_input_ports(self) -> Any: ...
    def num_numeric_parameter_groups(self) -> int: ...
    @overload
    def num_output_ports(self) -> int: ...
    @overload
    def num_output_ports(self) -> Any: ...
    def numeric_parameter_ticket(self, index: NumericParameterIndex) -> DependencyTicket: ...
    @classmethod
    def pa_ticket(cls) -> DependencyTicket: ...
    @classmethod
    def pc_ticket(cls) -> DependencyTicket: ...
    @classmethod
    def pe_ticket(cls) -> DependencyTicket: ...
    @classmethod
    def pn_ticket(cls) -> DependencyTicket: ...
    @classmethod
    def pnc_ticket(cls) -> DependencyTicket: ...
    @classmethod
    def q_ticket(cls) -> DependencyTicket: ...
    def set_name(self, name: str) -> None: ...
    @classmethod
    def time_ticket(cls) -> DependencyTicket: ...
    @classmethod
    def v_ticket(cls) -> DependencyTicket: ...
    @classmethod
    def xa_ticket(cls) -> DependencyTicket: ...
    @classmethod
    def xc_ticket(cls) -> DependencyTicket: ...
    @classmethod
    def xcdot_ticket(cls) -> DependencyTicket: ...
    @classmethod
    def xd_ticket(cls) -> DependencyTicket: ...
    @classmethod
    def z_ticket(cls) -> DependencyTicket: ...

class SystemOutput:
    def __init__(self, *args, **kwargs) -> None: ...
    def get_data(self, arg0: int) -> pydrake.common.value.AbstractValue: ...
    def get_vector_data(self, arg0: int) -> BasicVector: ...
    def num_ports(self) -> int: ...

class SystemOutput_𝓣AutoDiffXd𝓤:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...
    def get_data(self, arg0: int) -> pydrake.common.value.AbstractValue: ...
    def get_vector_data(self, arg0: int) -> BasicVector_𝓣AutoDiffXd𝓤: ...
    def num_ports(self) -> int: ...

class SystemOutput_𝓣Expression𝓤:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...
    def get_data(self, arg0: int) -> pydrake.common.value.AbstractValue: ...
    def get_vector_data(self, arg0: int) -> BasicVector_𝓣Expression𝓤: ...
    def num_ports(self) -> int: ...

class SystemScalarConverter:
    SupportedConversionPairs: ClassVar[tuple] = ...
    SupportedScalars: ClassVar[tuple] = ...
    IsConvertible: Any
    _Add: Any
    def __init__(self) -> None: ...
    def IsConvertible𝓣AutoDiffXd𝓬Expression𝓤(self) -> bool: ...
    def IsConvertible𝓣AutoDiffXd𝓬float𝓤(self) -> bool: ...
    def IsConvertible𝓣Expression𝓬AutoDiffXd𝓤(self) -> bool: ...
    def IsConvertible𝓣Expression𝓬float𝓤(self) -> bool: ...
    def IsConvertible𝓣float𝓬AutoDiffXd𝓤(self) -> bool: ...
    def IsConvertible𝓣float𝓬Expression𝓤(self) -> bool: ...
    def _Add𝓣AutoDiffXd𝓬Expression𝓤(self, arg0) -> None: ...
    def _Add𝓣AutoDiffXd𝓬float𝓤(self, arg0) -> None: ...
    def _Add𝓣Expression𝓬AutoDiffXd𝓤(self, arg0) -> None: ...
    def _Add𝓣Expression𝓬float𝓤(self, arg0) -> None: ...
    def _Add𝓣float𝓬AutoDiffXd𝓤(self, arg0) -> None: ...
    def _Add𝓣float𝓬Expression𝓤(self, arg0) -> None: ...
    def __copy__(self) -> SystemScalarConverter: ...

class SystemVisitor:
    def __init__(self) -> None: ...
    def VisitDiagram(self, diagram: Diagram) -> None: ...
    def VisitSystem(self, system: System) -> None: ...

class SystemVisitor_𝓣AutoDiffXd𝓤:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...
    def VisitDiagram(self, diagram: Diagram_𝓣AutoDiffXd𝓤) -> None: ...
    def VisitSystem(self, system: System_𝓣AutoDiffXd𝓤) -> None: ...

class SystemVisitor_𝓣Expression𝓤:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...
    def VisitDiagram(self, diagram: Diagram_𝓣Expression𝓤) -> None: ...
    def VisitSystem(self, system: System_𝓣Expression𝓤) -> None: ...

class System_𝓣AutoDiffXd𝓤(SystemBase):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    ToScalarType: Any
    ToScalarTypeMaybe: Any
    def __init__(self, *args, **kwargs) -> None: ...
    def Accept(self, *args, **kwargs) -> Any: ...
    def AllocateContext(self) -> Context_𝓣AutoDiffXd𝓤: ...
    def AllocateDiscreteVariables(self) -> DiscreteValues_𝓣AutoDiffXd𝓤: ...
    def AllocateImplicitTimeDerivativesResidual(self) -> numpy.ndarray[object[m,1]]: ...
    def AllocateInputAbstract(self, input_port: InputPort_𝓣AutoDiffXd𝓤) -> pydrake.common.value.AbstractValue: ...
    def AllocateInputVector(self, input_port: InputPort_𝓣AutoDiffXd𝓤) -> BasicVector_𝓣AutoDiffXd𝓤: ...
    def AllocateOutput(self) -> SystemOutput_𝓣AutoDiffXd𝓤: ...
    def AllocateTimeDerivatives(self) -> ContinuousState_𝓣AutoDiffXd𝓤: ...
    def CalcConservativePower(self, context: Context_𝓣AutoDiffXd𝓤) -> pydrake.autodiffutils.AutoDiffXd: ...
    def CalcForcedDiscreteVariableUpdate(self, context: Context_𝓣AutoDiffXd𝓤, discrete_state: DiscreteValues_𝓣AutoDiffXd𝓤) -> None: ...
    def CalcForcedUnrestrictedUpdate(self, context: Context_𝓣AutoDiffXd𝓤, state: State_𝓣AutoDiffXd𝓤) -> None: ...
    @overload
    def CalcImplicitTimeDerivativesResidual(self, context: Context_𝓣AutoDiffXd𝓤, proposed_derivatives: ContinuousState_𝓣AutoDiffXd𝓤, residual: Optional[numpy.ndarray[object[m,1],flags.writeable]]) -> None: ...
    @overload
    def CalcImplicitTimeDerivativesResidual(self, context: Context_𝓣AutoDiffXd𝓤, proposed_derivatives: ContinuousState_𝓣AutoDiffXd𝓤) -> numpy.ndarray[object[m,1]]: ...
    def CalcKineticEnergy(self, context: Context_𝓣AutoDiffXd𝓤) -> pydrake.autodiffutils.AutoDiffXd: ...
    def CalcNonConservativePower(self, context: Context_𝓣AutoDiffXd𝓤) -> pydrake.autodiffutils.AutoDiffXd: ...
    def CalcOutput(self, context: Context_𝓣AutoDiffXd𝓤, outputs: SystemOutput_𝓣AutoDiffXd𝓤) -> None: ...
    def CalcPotentialEnergy(self, context: Context_𝓣AutoDiffXd𝓤) -> pydrake.autodiffutils.AutoDiffXd: ...
    def CalcTimeDerivatives(self, context: Context_𝓣AutoDiffXd𝓤, derivatives: ContinuousState_𝓣AutoDiffXd𝓤) -> None: ...
    def Clone(self) -> System_𝓣AutoDiffXd𝓤: ...
    def CreateDefaultContext(self) -> Context_𝓣AutoDiffXd𝓤: ...
    def DeclareInputPort(self, name: Union[str,UseDefaultName], type: PortDataType, size: int, random_type: Optional[pydrake.common._module_py.RandomDistribution] = ...) -> InputPort_𝓣AutoDiffXd𝓤: ...
    def EvalAbstractInput(self, context: Context_𝓣AutoDiffXd𝓤, port_index: int) -> pydrake.common.value.AbstractValue: ...
    def EvalKineticEnergy(self, context: Context_𝓣AutoDiffXd𝓤) -> pydrake.autodiffutils.AutoDiffXd: ...
    def EvalPotentialEnergy(self, context: Context_𝓣AutoDiffXd𝓤) -> pydrake.autodiffutils.AutoDiffXd: ...
    def EvalTimeDerivatives(self, context: Context_𝓣AutoDiffXd𝓤) -> ContinuousState_𝓣AutoDiffXd𝓤: ...
    @overload
    def EvalUniquePeriodicDiscreteUpdate(self, context: Context_𝓣AutoDiffXd𝓤) -> DiscreteValues_𝓣AutoDiffXd𝓤: ...
    @overload
    def EvalUniquePeriodicDiscreteUpdate(self, context) -> Any: ...
    @overload
    def EvalUniquePeriodicDiscreteUpdate(self) -> Any: ...
    def EvalVectorInput(self, context: Context_𝓣AutoDiffXd𝓤, port_index: int) -> BasicVector_𝓣AutoDiffXd𝓤: ...
    def FixInputPortsFrom(self, other_system: System, other_context: Context, target_context: Context_𝓣AutoDiffXd𝓤) -> None: ...
    def ForcedPublish(self, context: Context_𝓣AutoDiffXd𝓤) -> None: ...
    def GetGraphvizString(self, max_depth: int = ...) -> object: ...
    def GetInputPort(self, port_name: str) -> InputPort_𝓣AutoDiffXd𝓤: ...
    def GetMutableSubsystemContext(self, subsystem: System_𝓣AutoDiffXd𝓤, context: Context_𝓣AutoDiffXd𝓤) -> Context_𝓣AutoDiffXd𝓤: ...
    @overload
    def GetMyContextFromRoot(self, root_context: Context_𝓣AutoDiffXd𝓤) -> Context_𝓣AutoDiffXd𝓤: ...
    @overload
    def GetMyContextFromRoot(self) -> Any: ...
    def GetMyMutableContextFromRoot(self, root_context: Context_𝓣AutoDiffXd𝓤) -> Context_𝓣AutoDiffXd𝓤: ...
    def GetOutputPort(self, port_name: str) -> OutputPort_𝓣AutoDiffXd𝓤: ...
    def GetSubsystemContext(self, subsystem: System_𝓣AutoDiffXd𝓤, context: Context_𝓣AutoDiffXd𝓤) -> Context_𝓣AutoDiffXd𝓤: ...
    def GetUniquePeriodicDiscreteUpdateAttribute(self) -> Optional[PeriodicEventData]: ...
    @overload
    def GetWitnessFunctions(self, context: Context_𝓣AutoDiffXd𝓤) -> List[WitnessFunction_𝓣AutoDiffXd𝓤]: ...
    @overload
    def GetWitnessFunctions(self, context) -> Any: ...
    def HasAnyDirectFeedthrough(self) -> bool: ...
    @overload
    def HasDirectFeedthrough(self, output_port: int) -> bool: ...
    @overload
    def HasDirectFeedthrough(self, input_port: int, output_port: int) -> bool: ...
    @overload
    def IsDifferenceEquationSystem(self) -> Tuple[bool,float]: ...
    @overload
    def IsDifferenceEquationSystem(self) -> Any: ...
    def SetDefaultContext(self, context: Context_𝓣AutoDiffXd𝓤) -> None: ...
    def SetRandomContext(self, context: Context_𝓣AutoDiffXd𝓤, generator: pydrake.common._module_py.RandomGenerator) -> None: ...
    def ToAutoDiffXd(self) -> System_𝓣AutoDiffXd𝓤: ...
    def ToAutoDiffXdMaybe(self) -> System_𝓣AutoDiffXd𝓤: ...
    def ToScalarTypeMaybe𝓣AutoDiffXd𝓤(self) -> System_𝓣AutoDiffXd𝓤: ...
    def ToScalarTypeMaybe𝓣Expression𝓤(self, *args, **kwargs) -> Any: ...
    def ToScalarTypeMaybe𝓣float𝓤(self) -> System: ...
    def ToScalarType𝓣AutoDiffXd𝓤(self) -> System_𝓣AutoDiffXd𝓤: ...
    def ToScalarType𝓣Expression𝓤(self, *args, **kwargs) -> Any: ...
    def ToScalarType𝓣float𝓤(self) -> System: ...
    def ToSymbolic(self, *args, **kwargs) -> Any: ...
    def ToSymbolicMaybe(self, *args, **kwargs) -> Any: ...
    @overload
    def get_input_port(self, port_index: int) -> InputPort_𝓣AutoDiffXd𝓤: ...
    @overload
    def get_input_port(self) -> InputPort_𝓣AutoDiffXd𝓤: ...
    @overload
    def get_output_port(self, port_index: int) -> OutputPort_𝓣AutoDiffXd𝓤: ...
    @overload
    def get_output_port(self) -> OutputPort_𝓣AutoDiffXd𝓤: ...
    def __copy__(self) -> System_𝓣AutoDiffXd𝓤: ...
    def __deepcopy__(self, arg0: dict) -> System_𝓣AutoDiffXd𝓤: ...

class System_𝓣Expression𝓤(SystemBase):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    ToScalarType: Any
    ToScalarTypeMaybe: Any
    def __init__(self, *args, **kwargs) -> None: ...
    def Accept(self, *args, **kwargs) -> Any: ...
    def AllocateContext(self) -> Context_𝓣Expression𝓤: ...
    def AllocateDiscreteVariables(self) -> DiscreteValues_𝓣Expression𝓤: ...
    def AllocateImplicitTimeDerivativesResidual(self) -> numpy.ndarray[object[m,1]]: ...
    def AllocateInputAbstract(self, input_port: InputPort_𝓣Expression𝓤) -> pydrake.common.value.AbstractValue: ...
    def AllocateInputVector(self, input_port: InputPort_𝓣Expression𝓤) -> BasicVector_𝓣Expression𝓤: ...
    def AllocateOutput(self) -> SystemOutput_𝓣Expression𝓤: ...
    def AllocateTimeDerivatives(self) -> ContinuousState_𝓣Expression𝓤: ...
    def CalcConservativePower(self, context: Context_𝓣Expression𝓤) -> pydrake.symbolic.Expression: ...
    def CalcForcedDiscreteVariableUpdate(self, context: Context_𝓣Expression𝓤, discrete_state: DiscreteValues_𝓣Expression𝓤) -> None: ...
    def CalcForcedUnrestrictedUpdate(self, context: Context_𝓣Expression𝓤, state: State_𝓣Expression𝓤) -> None: ...
    @overload
    def CalcImplicitTimeDerivativesResidual(self, context: Context_𝓣Expression𝓤, proposed_derivatives: ContinuousState_𝓣Expression𝓤, residual: Optional[numpy.ndarray[object[m,1],flags.writeable]]) -> None: ...
    @overload
    def CalcImplicitTimeDerivativesResidual(self, context: Context_𝓣Expression𝓤, proposed_derivatives: ContinuousState_𝓣Expression𝓤) -> numpy.ndarray[object[m,1]]: ...
    def CalcKineticEnergy(self, context: Context_𝓣Expression𝓤) -> pydrake.symbolic.Expression: ...
    def CalcNonConservativePower(self, context: Context_𝓣Expression𝓤) -> pydrake.symbolic.Expression: ...
    def CalcOutput(self, context: Context_𝓣Expression𝓤, outputs: SystemOutput_𝓣Expression𝓤) -> None: ...
    def CalcPotentialEnergy(self, context: Context_𝓣Expression𝓤) -> pydrake.symbolic.Expression: ...
    def CalcTimeDerivatives(self, context: Context_𝓣Expression𝓤, derivatives: ContinuousState_𝓣Expression𝓤) -> None: ...
    def Clone(self) -> System_𝓣Expression𝓤: ...
    def CreateDefaultContext(self) -> Context_𝓣Expression𝓤: ...
    def DeclareInputPort(self, name: Union[str,UseDefaultName], type: PortDataType, size: int, random_type: Optional[pydrake.common._module_py.RandomDistribution] = ...) -> InputPort_𝓣Expression𝓤: ...
    def EvalAbstractInput(self, context: Context_𝓣Expression𝓤, port_index: int) -> pydrake.common.value.AbstractValue: ...
    def EvalKineticEnergy(self, context: Context_𝓣Expression𝓤) -> pydrake.symbolic.Expression: ...
    def EvalPotentialEnergy(self, context: Context_𝓣Expression𝓤) -> pydrake.symbolic.Expression: ...
    def EvalTimeDerivatives(self, context: Context_𝓣Expression𝓤) -> ContinuousState_𝓣Expression𝓤: ...
    @overload
    def EvalUniquePeriodicDiscreteUpdate(self, context: Context_𝓣Expression𝓤) -> DiscreteValues_𝓣Expression𝓤: ...
    @overload
    def EvalUniquePeriodicDiscreteUpdate(self, context) -> Any: ...
    @overload
    def EvalUniquePeriodicDiscreteUpdate(self) -> Any: ...
    def EvalVectorInput(self, context: Context_𝓣Expression𝓤, port_index: int) -> BasicVector_𝓣Expression𝓤: ...
    def FixInputPortsFrom(self, other_system: System, other_context: Context, target_context: Context_𝓣Expression𝓤) -> None: ...
    def ForcedPublish(self, context: Context_𝓣Expression𝓤) -> None: ...
    def GetGraphvizString(self, max_depth: int = ...) -> object: ...
    def GetInputPort(self, port_name: str) -> InputPort_𝓣Expression𝓤: ...
    def GetMutableSubsystemContext(self, subsystem: System_𝓣Expression𝓤, context: Context_𝓣Expression𝓤) -> Context_𝓣Expression𝓤: ...
    @overload
    def GetMyContextFromRoot(self, root_context: Context_𝓣Expression𝓤) -> Context_𝓣Expression𝓤: ...
    @overload
    def GetMyContextFromRoot(self) -> Any: ...
    def GetMyMutableContextFromRoot(self, root_context: Context_𝓣Expression𝓤) -> Context_𝓣Expression𝓤: ...
    def GetOutputPort(self, port_name: str) -> OutputPort_𝓣Expression𝓤: ...
    def GetSubsystemContext(self, subsystem: System_𝓣Expression𝓤, context: Context_𝓣Expression𝓤) -> Context_𝓣Expression𝓤: ...
    def GetUniquePeriodicDiscreteUpdateAttribute(self) -> Optional[PeriodicEventData]: ...
    @overload
    def GetWitnessFunctions(self, context: Context_𝓣Expression𝓤) -> List[WitnessFunction_𝓣Expression𝓤]: ...
    @overload
    def GetWitnessFunctions(self, context) -> Any: ...
    def HasAnyDirectFeedthrough(self) -> bool: ...
    @overload
    def HasDirectFeedthrough(self, output_port: int) -> bool: ...
    @overload
    def HasDirectFeedthrough(self, input_port: int, output_port: int) -> bool: ...
    @overload
    def IsDifferenceEquationSystem(self) -> Tuple[bool,float]: ...
    @overload
    def IsDifferenceEquationSystem(self) -> Any: ...
    def SetDefaultContext(self, context: Context_𝓣Expression𝓤) -> None: ...
    def SetRandomContext(self, context: Context_𝓣Expression𝓤, generator: pydrake.common._module_py.RandomGenerator) -> None: ...
    def ToAutoDiffXd(self) -> System_𝓣AutoDiffXd𝓤: ...
    def ToAutoDiffXdMaybe(self) -> System_𝓣AutoDiffXd𝓤: ...
    def ToScalarTypeMaybe𝓣AutoDiffXd𝓤(self) -> System_𝓣AutoDiffXd𝓤: ...
    def ToScalarTypeMaybe𝓣Expression𝓤(self) -> System_𝓣Expression𝓤: ...
    def ToScalarTypeMaybe𝓣float𝓤(self) -> System: ...
    def ToScalarType𝓣AutoDiffXd𝓤(self) -> System_𝓣AutoDiffXd𝓤: ...
    def ToScalarType𝓣Expression𝓤(self) -> System_𝓣Expression𝓤: ...
    def ToScalarType𝓣float𝓤(self) -> System: ...
    def ToSymbolic(self) -> System_𝓣Expression𝓤: ...
    def ToSymbolicMaybe(self) -> System_𝓣Expression𝓤: ...
    @overload
    def get_input_port(self, port_index: int) -> InputPort_𝓣Expression𝓤: ...
    @overload
    def get_input_port(self) -> InputPort_𝓣Expression𝓤: ...
    @overload
    def get_output_port(self, port_index: int) -> OutputPort_𝓣Expression𝓤: ...
    @overload
    def get_output_port(self) -> OutputPort_𝓣Expression𝓤: ...
    def __copy__(self) -> System_𝓣Expression𝓤: ...
    def __deepcopy__(self, arg0: dict) -> System_𝓣Expression𝓤: ...

class TriggerType:
    __members__: ClassVar[dict] = ...  # read-only
    __entries: ClassVar[dict] = ...
    _pybind11_del_orig: ClassVar[None] = ...
    kForced: ClassVar[TriggerType] = ...
    kInitialization: ClassVar[TriggerType] = ...
    kPerStep: ClassVar[TriggerType] = ...
    kPeriodic: ClassVar[TriggerType] = ...
    kTimed: ClassVar[TriggerType] = ...
    kUnknown: ClassVar[TriggerType] = ...
    kWitness: ClassVar[TriggerType] = ...
    def __init__(self, value: int) -> None: ...
    def __del__(self, *args, **kwargs) -> Any: ...
    def __eq__(self, other: object) -> bool: ...
    def __getstate__(self) -> int: ...
    def __hash__(self) -> int: ...
    def __index__(self) -> int: ...
    def __int__(self) -> int: ...
    def __ne__(self, other: object) -> bool: ...
    def __setstate__(self, state: int) -> None: ...
    @property
    def name(self) -> str: ...
    @property
    def value(self) -> int: ...

class UnrestrictedUpdateEvent(Event):
    @overload
    def __init__(self, callback) -> None: ...
    @overload
    def __init__(self, system_callback) -> None: ...

class UnrestrictedUpdateEvent_𝓣AutoDiffXd𝓤(Event_𝓣AutoDiffXd𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, callback) -> None: ...
    @overload
    def __init__(self, system_callback) -> None: ...

class UnrestrictedUpdateEvent_𝓣Expression𝓤(Event_𝓣Expression𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, callback) -> None: ...
    @overload
    def __init__(self, system_callback) -> None: ...

class UseDefaultName:
    _pybind11_del_orig: ClassVar[None] = ...
    def __init__(self, *args, **kwargs) -> None: ...
    def __del__(self, *args, **kwargs) -> Any: ...

class ValueProducer:
    def __init__(self, allocate: Callable[[],pydrake.common.value.AbstractValue], calc: Callable[[ContextBase,pydrake.common.value.AbstractValue],None]) -> None: ...
    @classmethod
    def NoopCalc(cls, arg0: ContextBase, arg1: pydrake.common.value.AbstractValue) -> None: ...

class VectorBase:
    def __init__(self, *args, **kwargs) -> None: ...
    def CopyToVector(self) -> numpy.ndarray[numpy.float64[m,1]]: ...
    def GetAtIndex(self, index: int) -> float: ...
    def PlusEqScaled(self, scale: float, rhs: VectorBase) -> VectorBase: ...
    def SetAtIndex(self, index: int, value: float) -> None: ...
    def SetFrom(self, value: VectorBase) -> None: ...
    def SetFromVector(self, value: numpy.ndarray[numpy.float64[m,1]]) -> None: ...
    def SetZero(self) -> None: ...
    def size(self) -> int: ...
    def __getitem__(self, arg0: int) -> float: ...
    def __setitem__(self, arg0: int, arg1: float) -> None: ...

class VectorBase_𝓣AutoDiffXd𝓤:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...
    def CopyToVector(self) -> numpy.ndarray[object[m,1]]: ...
    def GetAtIndex(self, index: int) -> pydrake.autodiffutils.AutoDiffXd: ...
    def PlusEqScaled(self, scale: pydrake.autodiffutils.AutoDiffXd, rhs: VectorBase_𝓣AutoDiffXd𝓤) -> VectorBase_𝓣AutoDiffXd𝓤: ...
    def SetAtIndex(self, index: int, value: pydrake.autodiffutils.AutoDiffXd) -> None: ...
    def SetFrom(self, value: VectorBase_𝓣AutoDiffXd𝓤) -> None: ...
    def SetFromVector(self, value: numpy.ndarray[object[m,1]]) -> None: ...
    def SetZero(self) -> None: ...
    def size(self) -> int: ...
    def __getitem__(self, arg0: int) -> pydrake.autodiffutils.AutoDiffXd: ...
    def __setitem__(self, arg0: int, arg1: pydrake.autodiffutils.AutoDiffXd) -> None: ...

class VectorBase_𝓣Expression𝓤:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...
    def CopyToVector(self) -> numpy.ndarray[object[m,1]]: ...
    def GetAtIndex(self, index: int) -> pydrake.symbolic.Expression: ...
    def PlusEqScaled(self, scale: pydrake.symbolic.Expression, rhs: VectorBase_𝓣Expression𝓤) -> VectorBase_𝓣Expression𝓤: ...
    def SetAtIndex(self, index: int, value: pydrake.symbolic.Expression) -> None: ...
    def SetFrom(self, value: VectorBase_𝓣Expression𝓤) -> None: ...
    def SetFromVector(self, value: numpy.ndarray[object[m,1]]) -> None: ...
    def SetZero(self) -> None: ...
    def size(self) -> int: ...
    def __getitem__(self, arg0: int) -> pydrake.symbolic.Expression: ...
    def __setitem__(self, arg0: int, arg1: pydrake.symbolic.Expression) -> None: ...

class VectorSystem(LeafSystem):
    def __init__(self, input_size: int, output_size: int, direct_feedthrough: Optional[bool] = ...) -> None: ...

class VectorSystem_𝓣AutoDiffXd𝓤(LeafSystem_𝓣AutoDiffXd𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, input_size: int, output_size: int, direct_feedthrough: Optional[bool] = ...) -> None: ...

class VectorSystem_𝓣Expression𝓤(LeafSystem_𝓣Expression𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, input_size: int, output_size: int, direct_feedthrough: Optional[bool] = ...) -> None: ...

class WitnessFunction:
    def __init__(self, *args, **kwargs) -> None: ...

class WitnessFunctionDirection:
    __members__: ClassVar[dict] = ...  # read-only
    __entries: ClassVar[dict] = ...
    _pybind11_del_orig: ClassVar[None] = ...
    kCrossesZero: ClassVar[WitnessFunctionDirection] = ...
    kNegativeThenNonNegative: ClassVar[WitnessFunctionDirection] = ...
    kNone: ClassVar[WitnessFunctionDirection] = ...
    kPositiveThenNonPositive: ClassVar[WitnessFunctionDirection] = ...
    def __init__(self, value: int) -> None: ...
    def __del__(self, *args, **kwargs) -> Any: ...
    def __eq__(self, other: object) -> bool: ...
    def __getstate__(self) -> int: ...
    def __hash__(self) -> int: ...
    def __index__(self) -> int: ...
    def __int__(self) -> int: ...
    def __ne__(self, other: object) -> bool: ...
    def __setstate__(self, state: int) -> None: ...
    @property
    def name(self) -> str: ...
    @property
    def value(self) -> int: ...

class WitnessFunction_𝓣AutoDiffXd𝓤:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...

class WitnessFunction_𝓣Expression𝓤:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...

class _TemporaryName_N5drake5ValueINS_13TypeSafeIndexINS_7systems12InputPortTagEEEEE(pydrake.common.value.AbstractValue):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, arg0: InputPortIndex) -> None: ...
    @overload
    def __init__(self, *args, **kwargs) -> Any: ...
    def get_mutable_value(self) -> InputPortIndex: ...
    def get_value(self) -> InputPortIndex: ...
    def set_value(self, arg0: InputPortIndex) -> None: ...

class _TemporaryName_N5drake5ValueINS_13TypeSafeIndexINS_7systems13DependencyTagEEEEE(pydrake.common.value.AbstractValue):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, arg0: DependencyTicket) -> None: ...
    @overload
    def __init__(self, *args, **kwargs) -> Any: ...
    def get_mutable_value(self) -> DependencyTicket: ...
    def get_value(self) -> DependencyTicket: ...
    def set_value(self, arg0: DependencyTicket) -> None: ...

class _TemporaryName_N5drake5ValueINS_13TypeSafeIndexINS_7systems13OutputPortTagEEEEE(pydrake.common.value.AbstractValue):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, arg0: OutputPortIndex) -> None: ...
    @overload
    def __init__(self, *args, **kwargs) -> Any: ...
    def get_mutable_value(self) -> OutputPortIndex: ...
    def get_value(self) -> OutputPortIndex: ...
    def set_value(self, arg0: OutputPortIndex) -> None: ...

class _TemporaryName_N5drake5ValueINS_13TypeSafeIndexINS_7systems16AbstractStateTagEEEEE(pydrake.common.value.AbstractValue):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, arg0: AbstractStateIndex) -> None: ...
    @overload
    def __init__(self, *args, **kwargs) -> Any: ...
    def get_mutable_value(self) -> AbstractStateIndex: ...
    def get_value(self) -> AbstractStateIndex: ...
    def set_value(self, arg0: AbstractStateIndex) -> None: ...

class _TemporaryName_N5drake5ValueINS_13TypeSafeIndexINS_7systems16DiscreteStateTagEEEEE(pydrake.common.value.AbstractValue):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, arg0: DiscreteStateIndex) -> None: ...
    @overload
    def __init__(self, *args, **kwargs) -> Any: ...
    def get_mutable_value(self) -> DiscreteStateIndex: ...
    def get_value(self) -> DiscreteStateIndex: ...
    def set_value(self, arg0: DiscreteStateIndex) -> None: ...

class _TemporaryName_N5drake5ValueINS_13TypeSafeIndexINS_7systems17SubsystemIndexTagEEEEE(pydrake.common.value.AbstractValue):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, arg0: SubsystemIndex) -> None: ...
    @overload
    def __init__(self, *args, **kwargs) -> Any: ...
    def get_mutable_value(self) -> SubsystemIndex: ...
    def get_value(self) -> SubsystemIndex: ...
    def set_value(self, arg0: SubsystemIndex) -> None: ...

class _TemporaryName_N5drake5ValueINS_13TypeSafeIndexINS_7systems18ContinuousStateTagEEEEE(pydrake.common.value.AbstractValue):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, arg0: ContinuousStateIndex) -> None: ...
    @overload
    def __init__(self, *args, **kwargs) -> Any: ...
    def get_mutable_value(self) -> ContinuousStateIndex: ...
    def get_value(self) -> ContinuousStateIndex: ...
    def set_value(self, arg0: ContinuousStateIndex) -> None: ...

class _TemporaryName_N5drake5ValueINS_13TypeSafeIndexINS_7systems19NumericParameterTagEEEEE(pydrake.common.value.AbstractValue):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, arg0: NumericParameterIndex) -> None: ...
    @overload
    def __init__(self, *args, **kwargs) -> Any: ...
    def get_mutable_value(self) -> NumericParameterIndex: ...
    def get_value(self) -> NumericParameterIndex: ...
    def set_value(self, arg0: NumericParameterIndex) -> None: ...

class _TemporaryName_N5drake5ValueINS_13TypeSafeIndexINS_7systems20AbstractParameterTagEEEEE(pydrake.common.value.AbstractValue):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, arg0: AbstractParameterIndex) -> None: ...
    @overload
    def __init__(self, *args, **kwargs) -> Any: ...
    def get_mutable_value(self) -> AbstractParameterIndex: ...
    def get_value(self) -> AbstractParameterIndex: ...
    def set_value(self, arg0: AbstractParameterIndex) -> None: ...

class _TemporaryName_N5drake5ValueINS_13TypeSafeIndexINS_7systems8CacheTagEEEEE(pydrake.common.value.AbstractValue):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, arg0: CacheIndex) -> None: ...
    @overload
    def __init__(self, *args, **kwargs) -> Any: ...
    def get_mutable_value(self) -> CacheIndex: ...
    def get_value(self) -> CacheIndex: ...
    def set_value(self, arg0: CacheIndex) -> None: ...

class _TemporaryName_N5drake5ValueINS_7systems11BasicVectorIN5Eigen14AutoDiffScalarINS3_6MatrixIdLin1ELi1ELi0ELin1ELi1EEEEEEEEE(pydrake.common.value.AbstractValue):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, arg0: BasicVector_𝓣AutoDiffXd𝓤) -> None: ...
    @overload
    def __init__(self, *args, **kwargs) -> Any: ...
    def get_mutable_value(self) -> BasicVector_𝓣AutoDiffXd𝓤: ...
    def get_value(self) -> BasicVector_𝓣AutoDiffXd𝓤: ...
    @overload
    def set_value(self, arg0: BasicVector_𝓣AutoDiffXd𝓤) -> None: ...
    @overload
    def set_value(self, value: pydrake.autodiffutils.AutoDiffXd) -> None: ...
    @overload
    def set_value(self, value: numpy.ndarray[object[m,1]]) -> None: ...

class _TemporaryName_N5drake5ValueINS_7systems11BasicVectorINS_8symbolic10ExpressionEEEEE(pydrake.common.value.AbstractValue):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, arg0: BasicVector_𝓣Expression𝓤) -> None: ...
    @overload
    def __init__(self, *args, **kwargs) -> Any: ...
    def get_mutable_value(self) -> BasicVector_𝓣Expression𝓤: ...
    def get_value(self) -> BasicVector_𝓣Expression𝓤: ...
    @overload
    def set_value(self, arg0: BasicVector_𝓣Expression𝓤) -> None: ...
    @overload
    def set_value(self, value: pydrake.symbolic.Expression) -> None: ...
    @overload
    def set_value(self, value: numpy.ndarray[object[m,1]]) -> None: ...

class _TemporaryName_N5drake5ValueINS_7systems11BasicVectorIdEEEE(pydrake.common.value.AbstractValue):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, arg0: BasicVector) -> None: ...
    @overload
    def __init__(self, *args, **kwargs) -> Any: ...
    def get_mutable_value(self) -> BasicVector: ...
    def get_value(self) -> BasicVector: ...
    @overload
    def set_value(self, arg0: BasicVector) -> None: ...
    @overload
    def set_value(self, value: float) -> None: ...
    @overload
    def set_value(self, value: numpy.ndarray[numpy.float64[m,1]]) -> None: ...

class _TemporaryName_N5drake7systems10LeafSystemIN5Eigen14AutoDiffScalarINS2_6MatrixIdLin1ELi1ELi0ELin1ELi1EEEEEEE(System_𝓣AutoDiffXd𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self) -> None: ...
    @overload
    def __init__(self, converter: SystemScalarConverter) -> None: ...
    def DeclareAbstractInputPort(self, name: str, model_value: pydrake.common.value.AbstractValue) -> InputPort_𝓣AutoDiffXd𝓤: ...
    def DeclareAbstractOutputPort(self, name: str, alloc: Callable[[],pydrake.common.value.AbstractValue], calc: Callable[[Context_𝓣AutoDiffXd𝓤,pydrake.common.value.AbstractValue],None], prerequisites_of_calc: Set[DependencyTicket] = ...) -> OutputPort_𝓣AutoDiffXd𝓤: ...
    def DeclareAbstractParameter(self, model_value: pydrake.common.value.AbstractValue) -> int: ...
    def DeclareAbstractState(self, model_value: pydrake.common.value.AbstractValue) -> AbstractStateIndex: ...
    @overload
    def DeclareContinuousState(self, num_state_variables: int) -> ContinuousStateIndex: ...
    @overload
    def DeclareContinuousState(self, num_q: int, num_v: int, num_z: int) -> ContinuousStateIndex: ...
    @overload
    def DeclareContinuousState(self, model_vector: BasicVector_𝓣AutoDiffXd𝓤) -> ContinuousStateIndex: ...
    @overload
    def DeclareContinuousState(self, model_vector: BasicVector_𝓣AutoDiffXd𝓤, num_q: int, num_v: int, num_z: int) -> ContinuousStateIndex: ...
    @overload
    def DeclareDiscreteState(self, model_vector: BasicVector_𝓣AutoDiffXd𝓤) -> DiscreteStateIndex: ...
    @overload
    def DeclareDiscreteState(self, vector: numpy.ndarray[object[m,1]]) -> DiscreteStateIndex: ...
    @overload
    def DeclareDiscreteState(self, num_state_variables: int) -> DiscreteStateIndex: ...
    @overload
    def DeclareDiscreteState(self) -> Any: ...
    @overload
    def DeclareForcedDiscreteUpdateEvent(self, update: Callable[[Context_𝓣AutoDiffXd𝓤,DiscreteValues_𝓣AutoDiffXd𝓤],Optional[EventStatus]]) -> None: ...
    @overload
    def DeclareForcedDiscreteUpdateEvent(self) -> Any: ...
    @overload
    def DeclareForcedPublishEvent(self, publish: Callable[[Context_𝓣AutoDiffXd𝓤],Optional[EventStatus]]) -> None: ...
    @overload
    def DeclareForcedPublishEvent(self) -> Any: ...
    @overload
    def DeclareForcedUnrestrictedUpdateEvent(self, update: Callable[[Context_𝓣AutoDiffXd𝓤,State_𝓣AutoDiffXd𝓤],Optional[EventStatus]]) -> None: ...
    @overload
    def DeclareForcedUnrestrictedUpdateEvent(self) -> Any: ...
    def DeclareInitializationDiscreteUpdateEvent(self, update: Callable[[Context_𝓣AutoDiffXd𝓤,DiscreteValues_𝓣AutoDiffXd𝓤],Optional[EventStatus]]) -> None: ...
    def DeclareInitializationEvent(self, event: Event_𝓣AutoDiffXd𝓤) -> None: ...
    def DeclareInitializationPublishEvent(self, publish: Callable[[Context_𝓣AutoDiffXd𝓤],Optional[EventStatus]]) -> None: ...
    def DeclareInitializationUnrestrictedUpdateEvent(self, update: Callable[[Context_𝓣AutoDiffXd𝓤,State_𝓣AutoDiffXd𝓤],Optional[EventStatus]]) -> None: ...
    def DeclareNumericParameter(self, model_vector: BasicVector_𝓣AutoDiffXd𝓤) -> int: ...
    def DeclarePerStepDiscreteUpdateEvent(self, update: Callable[[Context_𝓣AutoDiffXd𝓤,DiscreteValues_𝓣AutoDiffXd𝓤],Optional[EventStatus]]) -> None: ...
    def DeclarePerStepEvent(self, event: Event_𝓣AutoDiffXd𝓤) -> None: ...
    def DeclarePerStepPublishEvent(self, publish: Callable[[Context_𝓣AutoDiffXd𝓤],Optional[EventStatus]]) -> None: ...
    def DeclarePerStepUnrestrictedUpdateEvent(self, update: Callable[[Context_𝓣AutoDiffXd𝓤,State_𝓣AutoDiffXd𝓤],Optional[EventStatus]]) -> None: ...
    def DeclarePeriodicDiscreteUpdateEvent(self, period_sec: float, offset_sec: float, update: Callable[[Context_𝓣AutoDiffXd𝓤,DiscreteValues_𝓣AutoDiffXd𝓤],Optional[EventStatus]]) -> None: ...
    def DeclarePeriodicDiscreteUpdateNoHandler(self, period_sec: float, offset_sec: float = ...) -> None: ...
    def DeclarePeriodicEvent(self, period_sec: float, offset_sec: float, event: Event_𝓣AutoDiffXd𝓤) -> None: ...
    def DeclarePeriodicPublishEvent(self, period_sec: float, offset_sec: float, publish: Callable[[Context_𝓣AutoDiffXd𝓤],Optional[EventStatus]]) -> None: ...
    def DeclarePeriodicPublishNoHandler(self, period_sec: float, offset_sec: float = ...) -> None: ...
    def DeclarePeriodicUnrestrictedUpdateEvent(self, period_sec: float, offset_sec: float, update: Callable[[Context_𝓣AutoDiffXd𝓤,State_𝓣AutoDiffXd𝓤],Optional[EventStatus]]) -> None: ...
    @overload
    def DeclareStateOutputPort(self, name: Union[str,UseDefaultName], state_index: ContinuousStateIndex) -> LeafOutputPort_𝓣AutoDiffXd𝓤: ...
    @overload
    def DeclareStateOutputPort(self, name: Union[str,UseDefaultName], state_index: DiscreteStateIndex) -> LeafOutputPort_𝓣AutoDiffXd𝓤: ...
    @overload
    def DeclareStateOutputPort(self, name: Union[str,UseDefaultName], state_index: AbstractStateIndex) -> LeafOutputPort_𝓣AutoDiffXd𝓤: ...
    @overload
    def DeclareVectorInputPort(self, name: str, model_vector: BasicVector_𝓣AutoDiffXd𝓤, random_type: Optional[pydrake.common._module_py.RandomDistribution] = ...) -> InputPort_𝓣AutoDiffXd𝓤: ...
    @overload
    def DeclareVectorInputPort(self, name: str, size: int, random_type: Optional[pydrake.common._module_py.RandomDistribution] = ...) -> InputPort_𝓣AutoDiffXd𝓤: ...
    @overload
    def DeclareVectorOutputPort(self, name: str, model_value: BasicVector_𝓣AutoDiffXd𝓤, calc: Callable[[Context_𝓣AutoDiffXd𝓤,BasicVector_𝓣AutoDiffXd𝓤],None], prerequisites_of_calc: Set[DependencyTicket] = ...) -> OutputPort_𝓣AutoDiffXd𝓤: ...
    @overload
    def DeclareVectorOutputPort(self, name: str, size: int, calc: Callable[[Context_𝓣AutoDiffXd𝓤,BasicVector_𝓣AutoDiffXd𝓤],None], prerequisites_of_calc: Set[DependencyTicket] = ...) -> OutputPort_𝓣AutoDiffXd𝓤: ...
    def DoCalcDiscreteVariableUpdates(self, arg0: Context_𝓣AutoDiffXd𝓤, arg1: List[DiscreteUpdateEvent_𝓣AutoDiffXd𝓤], arg2: DiscreteValues_𝓣AutoDiffXd𝓤) -> None: ...
    def DoCalcTimeDerivatives(self, arg0: Context_𝓣AutoDiffXd𝓤, arg1: ContinuousState_𝓣AutoDiffXd𝓤) -> None: ...
    def DoPublish(self, arg0: Context_𝓣AutoDiffXd𝓤, arg1: List[PublishEvent_𝓣AutoDiffXd𝓤]) -> None: ...
    @overload
    def MakeWitnessFunction(self, description: str, direction_type: WitnessFunctionDirection, calc: Callable[[Context_𝓣AutoDiffXd𝓤],pydrake.autodiffutils.AutoDiffXd]) -> WitnessFunction_𝓣AutoDiffXd𝓤: ...
    @overload
    def MakeWitnessFunction(self, description: str, direction_type: WitnessFunctionDirection, calc: Callable[[Context_𝓣AutoDiffXd𝓤],pydrake.autodiffutils.AutoDiffXd], e: Event_𝓣AutoDiffXd𝓤) -> WitnessFunction_𝓣AutoDiffXd𝓤: ...

class _TemporaryName_N5drake7systems10LeafSystemINS_8symbolic10ExpressionEEE(System_𝓣Expression𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self) -> None: ...
    @overload
    def __init__(self, converter: SystemScalarConverter) -> None: ...
    def DeclareAbstractInputPort(self, name: str, model_value: pydrake.common.value.AbstractValue) -> InputPort_𝓣Expression𝓤: ...
    def DeclareAbstractOutputPort(self, name: str, alloc: Callable[[],pydrake.common.value.AbstractValue], calc: Callable[[Context_𝓣Expression𝓤,pydrake.common.value.AbstractValue],None], prerequisites_of_calc: Set[DependencyTicket] = ...) -> OutputPort_𝓣Expression𝓤: ...
    def DeclareAbstractParameter(self, model_value: pydrake.common.value.AbstractValue) -> int: ...
    def DeclareAbstractState(self, model_value: pydrake.common.value.AbstractValue) -> AbstractStateIndex: ...
    @overload
    def DeclareContinuousState(self, num_state_variables: int) -> ContinuousStateIndex: ...
    @overload
    def DeclareContinuousState(self, num_q: int, num_v: int, num_z: int) -> ContinuousStateIndex: ...
    @overload
    def DeclareContinuousState(self, model_vector: BasicVector_𝓣Expression𝓤) -> ContinuousStateIndex: ...
    @overload
    def DeclareContinuousState(self, model_vector: BasicVector_𝓣Expression𝓤, num_q: int, num_v: int, num_z: int) -> ContinuousStateIndex: ...
    @overload
    def DeclareDiscreteState(self, model_vector: BasicVector_𝓣Expression𝓤) -> DiscreteStateIndex: ...
    @overload
    def DeclareDiscreteState(self, vector: numpy.ndarray[object[m,1]]) -> DiscreteStateIndex: ...
    @overload
    def DeclareDiscreteState(self, num_state_variables: int) -> DiscreteStateIndex: ...
    @overload
    def DeclareDiscreteState(self) -> Any: ...
    @overload
    def DeclareForcedDiscreteUpdateEvent(self, update: Callable[[Context_𝓣Expression𝓤,DiscreteValues_𝓣Expression𝓤],Optional[EventStatus]]) -> None: ...
    @overload
    def DeclareForcedDiscreteUpdateEvent(self) -> Any: ...
    @overload
    def DeclareForcedPublishEvent(self, publish: Callable[[Context_𝓣Expression𝓤],Optional[EventStatus]]) -> None: ...
    @overload
    def DeclareForcedPublishEvent(self) -> Any: ...
    @overload
    def DeclareForcedUnrestrictedUpdateEvent(self, update: Callable[[Context_𝓣Expression𝓤,State_𝓣Expression𝓤],Optional[EventStatus]]) -> None: ...
    @overload
    def DeclareForcedUnrestrictedUpdateEvent(self) -> Any: ...
    def DeclareInitializationDiscreteUpdateEvent(self, update: Callable[[Context_𝓣Expression𝓤,DiscreteValues_𝓣Expression𝓤],Optional[EventStatus]]) -> None: ...
    def DeclareInitializationEvent(self, event: Event_𝓣Expression𝓤) -> None: ...
    def DeclareInitializationPublishEvent(self, publish: Callable[[Context_𝓣Expression𝓤],Optional[EventStatus]]) -> None: ...
    def DeclareInitializationUnrestrictedUpdateEvent(self, update: Callable[[Context_𝓣Expression𝓤,State_𝓣Expression𝓤],Optional[EventStatus]]) -> None: ...
    def DeclareNumericParameter(self, model_vector: BasicVector_𝓣Expression𝓤) -> int: ...
    def DeclarePerStepDiscreteUpdateEvent(self, update: Callable[[Context_𝓣Expression𝓤,DiscreteValues_𝓣Expression𝓤],Optional[EventStatus]]) -> None: ...
    def DeclarePerStepEvent(self, event: Event_𝓣Expression𝓤) -> None: ...
    def DeclarePerStepPublishEvent(self, publish: Callable[[Context_𝓣Expression𝓤],Optional[EventStatus]]) -> None: ...
    def DeclarePerStepUnrestrictedUpdateEvent(self, update: Callable[[Context_𝓣Expression𝓤,State_𝓣Expression𝓤],Optional[EventStatus]]) -> None: ...
    def DeclarePeriodicDiscreteUpdateEvent(self, period_sec: float, offset_sec: float, update: Callable[[Context_𝓣Expression𝓤,DiscreteValues_𝓣Expression𝓤],Optional[EventStatus]]) -> None: ...
    def DeclarePeriodicDiscreteUpdateNoHandler(self, period_sec: float, offset_sec: float = ...) -> None: ...
    def DeclarePeriodicEvent(self, period_sec: float, offset_sec: float, event: Event_𝓣Expression𝓤) -> None: ...
    def DeclarePeriodicPublishEvent(self, period_sec: float, offset_sec: float, publish: Callable[[Context_𝓣Expression𝓤],Optional[EventStatus]]) -> None: ...
    def DeclarePeriodicPublishNoHandler(self, period_sec: float, offset_sec: float = ...) -> None: ...
    def DeclarePeriodicUnrestrictedUpdateEvent(self, period_sec: float, offset_sec: float, update: Callable[[Context_𝓣Expression𝓤,State_𝓣Expression𝓤],Optional[EventStatus]]) -> None: ...
    @overload
    def DeclareStateOutputPort(self, name: Union[str,UseDefaultName], state_index: ContinuousStateIndex) -> LeafOutputPort_𝓣Expression𝓤: ...
    @overload
    def DeclareStateOutputPort(self, name: Union[str,UseDefaultName], state_index: DiscreteStateIndex) -> LeafOutputPort_𝓣Expression𝓤: ...
    @overload
    def DeclareStateOutputPort(self, name: Union[str,UseDefaultName], state_index: AbstractStateIndex) -> LeafOutputPort_𝓣Expression𝓤: ...
    @overload
    def DeclareVectorInputPort(self, name: str, model_vector: BasicVector_𝓣Expression𝓤, random_type: Optional[pydrake.common._module_py.RandomDistribution] = ...) -> InputPort_𝓣Expression𝓤: ...
    @overload
    def DeclareVectorInputPort(self, name: str, size: int, random_type: Optional[pydrake.common._module_py.RandomDistribution] = ...) -> InputPort_𝓣Expression𝓤: ...
    @overload
    def DeclareVectorOutputPort(self, name: str, model_value: BasicVector_𝓣Expression𝓤, calc: Callable[[Context_𝓣Expression𝓤,BasicVector_𝓣Expression𝓤],None], prerequisites_of_calc: Set[DependencyTicket] = ...) -> OutputPort_𝓣Expression𝓤: ...
    @overload
    def DeclareVectorOutputPort(self, name: str, size: int, calc: Callable[[Context_𝓣Expression𝓤,BasicVector_𝓣Expression𝓤],None], prerequisites_of_calc: Set[DependencyTicket] = ...) -> OutputPort_𝓣Expression𝓤: ...
    def DoCalcDiscreteVariableUpdates(self, arg0: Context_𝓣Expression𝓤, arg1: List[DiscreteUpdateEvent_𝓣Expression𝓤], arg2: DiscreteValues_𝓣Expression𝓤) -> None: ...
    def DoCalcTimeDerivatives(self, arg0: Context_𝓣Expression𝓤, arg1: ContinuousState_𝓣Expression𝓤) -> None: ...
    def DoPublish(self, arg0: Context_𝓣Expression𝓤, arg1: List[PublishEvent_𝓣Expression𝓤]) -> None: ...
    @overload
    def MakeWitnessFunction(self, description: str, direction_type: WitnessFunctionDirection, calc: Callable[[Context_𝓣Expression𝓤],pydrake.symbolic.Expression]) -> WitnessFunction_𝓣Expression𝓤: ...
    @overload
    def MakeWitnessFunction(self, description: str, direction_type: WitnessFunctionDirection, calc: Callable[[Context_𝓣Expression𝓤],pydrake.symbolic.Expression], e: Event_𝓣Expression𝓤) -> WitnessFunction_𝓣Expression𝓤: ...

class _TemporaryName_N5drake7systems10OutputPortIN5Eigen14AutoDiffScalarINS2_6MatrixIdLin1ELi1ELi0ELin1ELi1EEEEEEE:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...
    def Allocate(self) -> pydrake.common.value.AbstractValue: ...
    def Eval(self, arg0: Context_𝓣AutoDiffXd𝓤) -> object: ...
    def EvalAbstract(self, context: Context_𝓣AutoDiffXd𝓤) -> object: ...
    def EvalBasicVector(self, context: Context_𝓣AutoDiffXd𝓤) -> object: ...
    def get_data_type(self) -> PortDataType: ...
    def get_index(self) -> OutputPortIndex: ...
    def get_name(self) -> str: ...
    def get_system(self, *args, **kwargs) -> Any: ...
    def size(self) -> int: ...

class _TemporaryName_N5drake7systems10OutputPortINS_8symbolic10ExpressionEEE:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...
    def Allocate(self) -> pydrake.common.value.AbstractValue: ...
    def Eval(self, arg0: Context_𝓣Expression𝓤) -> object: ...
    def EvalAbstract(self, context: Context_𝓣Expression𝓤) -> object: ...
    def EvalBasicVector(self, context: Context_𝓣Expression𝓤) -> object: ...
    def get_data_type(self) -> PortDataType: ...
    def get_index(self) -> OutputPortIndex: ...
    def get_name(self) -> str: ...
    def get_system(self, *args, **kwargs) -> Any: ...
    def size(self) -> int: ...

class _TemporaryName_N5drake7systems10ParametersIN5Eigen14AutoDiffScalarINS2_6MatrixIdLin1ELi1ELi0ELin1ELi1EEEEEEE:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self) -> None: ...
    @overload
    def __init__(self, numeric: List[BasicVector_𝓣AutoDiffXd𝓤], abstract: List[pydrake.common.value.AbstractValue]) -> None: ...
    @overload
    def __init__(self, numeric: List[BasicVector_𝓣AutoDiffXd𝓤]) -> None: ...
    @overload
    def __init__(self, abstract: List[pydrake.common.value.AbstractValue]) -> None: ...
    @overload
    def __init__(self, vec: BasicVector_𝓣AutoDiffXd𝓤) -> None: ...
    @overload
    def __init__(self, value: pydrake.common.value.AbstractValue) -> None: ...
    def Clone(self) -> Parameters_𝓣AutoDiffXd𝓤: ...
    def SetFrom(self, arg0: Parameters) -> None: ...
    def get_abstract_parameter(self, index: int) -> pydrake.common.value.AbstractValue: ...
    def get_abstract_parameters(self) -> AbstractValues: ...
    def get_mutable_abstract_parameter(self, index: int) -> pydrake.common.value.AbstractValue: ...
    def get_mutable_numeric_parameter(self, index: int) -> BasicVector_𝓣AutoDiffXd𝓤: ...
    def get_numeric_parameter(self, index: int) -> BasicVector_𝓣AutoDiffXd𝓤: ...
    def get_numeric_parameters(self, *args, **kwargs) -> Any: ...
    def num_abstract_parameters(self) -> int: ...
    def num_numeric_parameter_groups(self) -> int: ...
    def set_abstract_parameters(self, abstract_params: AbstractValues) -> None: ...
    def set_numeric_parameters(self, *args, **kwargs) -> Any: ...
    def __copy__(self) -> Parameters_𝓣AutoDiffXd𝓤: ...
    def __deepcopy__(self, arg0: dict) -> Parameters_𝓣AutoDiffXd𝓤: ...

class _TemporaryName_N5drake7systems10ParametersINS_8symbolic10ExpressionEEE:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self) -> None: ...
    @overload
    def __init__(self, numeric: List[BasicVector_𝓣Expression𝓤], abstract: List[pydrake.common.value.AbstractValue]) -> None: ...
    @overload
    def __init__(self, numeric: List[BasicVector_𝓣Expression𝓤]) -> None: ...
    @overload
    def __init__(self, abstract: List[pydrake.common.value.AbstractValue]) -> None: ...
    @overload
    def __init__(self, vec: BasicVector_𝓣Expression𝓤) -> None: ...
    @overload
    def __init__(self, value: pydrake.common.value.AbstractValue) -> None: ...
    def Clone(self) -> Parameters_𝓣Expression𝓤: ...
    def SetFrom(self, arg0: Parameters) -> None: ...
    def get_abstract_parameter(self, index: int) -> pydrake.common.value.AbstractValue: ...
    def get_abstract_parameters(self) -> AbstractValues: ...
    def get_mutable_abstract_parameter(self, index: int) -> pydrake.common.value.AbstractValue: ...
    def get_mutable_numeric_parameter(self, index: int) -> BasicVector_𝓣Expression𝓤: ...
    def get_numeric_parameter(self, index: int) -> BasicVector_𝓣Expression𝓤: ...
    def get_numeric_parameters(self, *args, **kwargs) -> Any: ...
    def num_abstract_parameters(self) -> int: ...
    def num_numeric_parameter_groups(self) -> int: ...
    def set_abstract_parameters(self, abstract_params: AbstractValues) -> None: ...
    def set_numeric_parameters(self, *args, **kwargs) -> Any: ...
    def __copy__(self) -> Parameters_𝓣Expression𝓤: ...
    def __deepcopy__(self, arg0: dict) -> Parameters_𝓣Expression𝓤: ...

class _TemporaryName_N5drake7systems10VectorBaseIN5Eigen14AutoDiffScalarINS2_6MatrixIdLin1ELi1ELi0ELin1ELi1EEEEEEE:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...
    def CopyToVector(self) -> numpy.ndarray[object[m,1]]: ...
    def GetAtIndex(self, index: int) -> pydrake.autodiffutils.AutoDiffXd: ...
    def PlusEqScaled(self, scale: pydrake.autodiffutils.AutoDiffXd, rhs: VectorBase_𝓣AutoDiffXd𝓤) -> VectorBase_𝓣AutoDiffXd𝓤: ...
    def SetAtIndex(self, index: int, value: pydrake.autodiffutils.AutoDiffXd) -> None: ...
    def SetFrom(self, value: VectorBase_𝓣AutoDiffXd𝓤) -> None: ...
    def SetFromVector(self, value: numpy.ndarray[object[m,1]]) -> None: ...
    def SetZero(self) -> None: ...
    def size(self) -> int: ...
    def __getitem__(self, arg0: int) -> pydrake.autodiffutils.AutoDiffXd: ...
    def __setitem__(self, arg0: int, arg1: pydrake.autodiffutils.AutoDiffXd) -> None: ...

class _TemporaryName_N5drake7systems10VectorBaseINS_8symbolic10ExpressionEEE:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...
    def CopyToVector(self) -> numpy.ndarray[object[m,1]]: ...
    def GetAtIndex(self, index: int) -> pydrake.symbolic.Expression: ...
    def PlusEqScaled(self, scale: pydrake.symbolic.Expression, rhs: VectorBase_𝓣Expression𝓤) -> VectorBase_𝓣Expression𝓤: ...
    def SetAtIndex(self, index: int, value: pydrake.symbolic.Expression) -> None: ...
    def SetFrom(self, value: VectorBase_𝓣Expression𝓤) -> None: ...
    def SetFromVector(self, value: numpy.ndarray[object[m,1]]) -> None: ...
    def SetZero(self) -> None: ...
    def size(self) -> int: ...
    def __getitem__(self, arg0: int) -> pydrake.symbolic.Expression: ...
    def __setitem__(self, arg0: int, arg1: pydrake.symbolic.Expression) -> None: ...

class _TemporaryName_N5drake7systems11BasicVectorIN5Eigen14AutoDiffScalarINS2_6MatrixIdLin1ELi1ELi0ELin1ELi1EEEEEEE(VectorBase_𝓣AutoDiffXd𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, data: numpy.ndarray[object[m,1]]) -> None: ...
    @overload
    def __init__(self, size: int) -> None: ...
    def Clone(self) -> BasicVector_𝓣AutoDiffXd𝓤: ...
    def _get_value_copy(self) -> numpy.ndarray[object[m,1]]: ...
    def get_mutable_value(self) -> numpy.ndarray[object[m,1],flags.writeable]: ...
    def get_value(self) -> numpy.ndarray[object[m,1]]: ...
    def set_value(self, arg0: numpy.ndarray[object[m,1]]) -> None: ...
    def value(self) -> numpy.ndarray[object[m,1]]: ...
    def __copy__(self) -> BasicVector_𝓣AutoDiffXd𝓤: ...
    def __deepcopy__(self, arg0: dict) -> BasicVector_𝓣AutoDiffXd𝓤: ...

class _TemporaryName_N5drake7systems11BasicVectorINS_8symbolic10ExpressionEEE(VectorBase_𝓣Expression𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, data: numpy.ndarray[object[m,1]]) -> None: ...
    @overload
    def __init__(self, size: int) -> None: ...
    def Clone(self) -> BasicVector_𝓣Expression𝓤: ...
    def _get_value_copy(self) -> numpy.ndarray[object[m,1]]: ...
    def get_mutable_value(self) -> numpy.ndarray[object[m,1],flags.writeable]: ...
    def get_value(self) -> numpy.ndarray[object[m,1]]: ...
    def set_value(self, arg0: numpy.ndarray[object[m,1]]) -> None: ...
    def value(self) -> numpy.ndarray[object[m,1]]: ...
    def __copy__(self) -> BasicVector_𝓣Expression𝓤: ...
    def __deepcopy__(self, arg0: dict) -> BasicVector_𝓣Expression𝓤: ...

class _TemporaryName_N5drake7systems11LeafContextIN5Eigen14AutoDiffScalarINS2_6MatrixIdLin1ELi1ELi0ELin1ELi1EEEEEEE(Context_𝓣AutoDiffXd𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...

class _TemporaryName_N5drake7systems11LeafContextINS_8symbolic10ExpressionEEE(Context_𝓣Expression𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...

class _TemporaryName_N5drake7systems11SupervectorIN5Eigen14AutoDiffScalarINS2_6MatrixIdLin1ELi1ELi0ELin1ELi1EEEEEEE(VectorBase_𝓣AutoDiffXd𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...

class _TemporaryName_N5drake7systems11SupervectorINS_8symbolic10ExpressionEEE(VectorBase_𝓣Expression𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...

class _TemporaryName_N5drake7systems12PublishEventIN5Eigen14AutoDiffScalarINS2_6MatrixIdLin1ELi1ELi0ELin1ELi1EEEEEEE(Event_𝓣AutoDiffXd𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, callback: Callable[[Context_𝓣AutoDiffXd𝓤,PublishEvent_𝓣AutoDiffXd𝓤],None]) -> None: ...
    @overload
    def __init__(self, system_callback) -> None: ...
    @overload
    def __init__(self, trigger_type: TriggerType, callback: Callable[[Context_𝓣AutoDiffXd𝓤,PublishEvent_𝓣AutoDiffXd𝓤],None]) -> None: ...
    @overload
    def __init__(self, trigger_type: TriggerType, system_callback) -> None: ...

class _TemporaryName_N5drake7systems12PublishEventINS_8symbolic10ExpressionEEE(Event_𝓣Expression𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, callback: Callable[[Context_𝓣Expression𝓤,PublishEvent_𝓣Expression𝓤],None]) -> None: ...
    @overload
    def __init__(self, system_callback) -> None: ...
    @overload
    def __init__(self, trigger_type: TriggerType, callback: Callable[[Context_𝓣Expression𝓤,PublishEvent_𝓣Expression𝓤],None]) -> None: ...
    @overload
    def __init__(self, trigger_type: TriggerType, system_callback) -> None: ...

class _TemporaryName_N5drake7systems12SystemOutputIN5Eigen14AutoDiffScalarINS2_6MatrixIdLin1ELi1ELi0ELin1ELi1EEEEEEE:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...
    def get_data(self, arg0: int) -> pydrake.common.value.AbstractValue: ...
    def get_vector_data(self, arg0: int) -> BasicVector_𝓣AutoDiffXd𝓤: ...
    def num_ports(self) -> int: ...

class _TemporaryName_N5drake7systems12SystemOutputINS_8symbolic10ExpressionEEE:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...
    def get_data(self, arg0: int) -> pydrake.common.value.AbstractValue: ...
    def get_vector_data(self, arg0: int) -> BasicVector_𝓣Expression𝓤: ...
    def num_ports(self) -> int: ...

class _TemporaryName_N5drake7systems12VectorSystemIN5Eigen14AutoDiffScalarINS2_6MatrixIdLin1ELi1ELi0ELin1ELi1EEEEEEE(LeafSystem_𝓣AutoDiffXd𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, input_size: int, output_size: int, direct_feedthrough: Optional[bool] = ...) -> None: ...

class _TemporaryName_N5drake7systems12VectorSystemINS_8symbolic10ExpressionEEE(LeafSystem_𝓣Expression𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, input_size: int, output_size: int, direct_feedthrough: Optional[bool] = ...) -> None: ...

class _TemporaryName_N5drake7systems13SystemVisitorIN5Eigen14AutoDiffScalarINS2_6MatrixIdLin1ELi1ELi0ELin1ELi1EEEEEEE:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...
    def VisitDiagram(self, diagram: Diagram_𝓣AutoDiffXd𝓤) -> None: ...
    def VisitSystem(self, system: System_𝓣AutoDiffXd𝓤) -> None: ...

class _TemporaryName_N5drake7systems13SystemVisitorINS_8symbolic10ExpressionEEE:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...
    def VisitDiagram(self, diagram: Diagram_𝓣Expression𝓤) -> None: ...
    def VisitSystem(self, system: System_𝓣Expression𝓤) -> None: ...

class _TemporaryName_N5drake7systems14DiagramBuilderIN5Eigen14AutoDiffScalarINS2_6MatrixIdLin1ELi1ELi0ELin1ELi1EEEEEEE:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...
    def AddNamedSystem(self, *args, **kwargs) -> Any: ...
    def AddSystem(self, *args, **kwargs) -> Any: ...
    def Build(self, *args, **kwargs) -> Any: ...
    def BuildInto(self, *args, **kwargs) -> Any: ...
    def Connect(self, *args, **kwargs) -> Any: ...
    def ConnectInput(self, *args, **kwargs) -> Any: ...
    def ConnectToSame(self, *args, **kwargs) -> Any: ...
    def ExportInput(self, *args, **kwargs) -> Any: ...
    def ExportOutput(self, *args, **kwargs) -> Any: ...
    def GetMutableSubsystemByName(self, *args, **kwargs) -> Any: ...
    def GetMutableSystems(self) -> list: ...
    def GetSubsystemByName(self, *args, **kwargs) -> Any: ...
    def GetSystems(self) -> list: ...
    def HasSubsystemNamed(self, name: str) -> bool: ...
    def IsConnectedOrExported(self, *args, **kwargs) -> Any: ...
    def RemoveSystem(self, *args, **kwargs) -> Any: ...
    def already_built(self) -> bool: ...
    def connection_map(self) -> dict: ...
    def empty(self) -> bool: ...

class _TemporaryName_N5drake7systems14DiagramBuilderINS_8symbolic10ExpressionEEE:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...
    def AddNamedSystem(self, *args, **kwargs) -> Any: ...
    def AddSystem(self, *args, **kwargs) -> Any: ...
    def Build(self, *args, **kwargs) -> Any: ...
    def BuildInto(self, *args, **kwargs) -> Any: ...
    def Connect(self, *args, **kwargs) -> Any: ...
    def ConnectInput(self, *args, **kwargs) -> Any: ...
    def ConnectToSame(self, *args, **kwargs) -> Any: ...
    def ExportInput(self, *args, **kwargs) -> Any: ...
    def ExportOutput(self, *args, **kwargs) -> Any: ...
    def GetMutableSubsystemByName(self, *args, **kwargs) -> Any: ...
    def GetMutableSystems(self) -> list: ...
    def GetSubsystemByName(self, *args, **kwargs) -> Any: ...
    def GetSystems(self) -> list: ...
    def HasSubsystemNamed(self, name: str) -> bool: ...
    def IsConnectedOrExported(self, *args, **kwargs) -> Any: ...
    def RemoveSystem(self, *args, **kwargs) -> Any: ...
    def already_built(self) -> bool: ...
    def connection_map(self) -> dict: ...
    def empty(self) -> bool: ...

class _TemporaryName_N5drake7systems14DiscreteValuesIN5Eigen14AutoDiffScalarINS2_6MatrixIdLin1ELi1ELi0ELin1ELi1EEEEEEE:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, datum: BasicVector_𝓣AutoDiffXd𝓤) -> None: ...
    @overload
    def __init__(self, data: List[BasicVector_𝓣AutoDiffXd𝓤]) -> None: ...
    @overload
    def __init__(self) -> None: ...
    def Clone(self) -> DiscreteValues_𝓣AutoDiffXd𝓤: ...
    def SetFrom(self, arg0: DiscreteValues) -> None: ...
    def get_data(self) -> List[BasicVector_𝓣AutoDiffXd𝓤]: ...
    def get_mutable_value(self, index: int = ...) -> numpy.ndarray[object[m,1],flags.writeable]: ...
    def get_mutable_vector(self, index: int = ...) -> BasicVector_𝓣AutoDiffXd𝓤: ...
    def get_value(self, index: int = ...) -> numpy.ndarray[object[m,1]]: ...
    def get_vector(self, index: int = ...) -> BasicVector_𝓣AutoDiffXd𝓤: ...
    def num_groups(self) -> int: ...
    @overload
    def set_value(self, value: numpy.ndarray[object[m,1]]) -> None: ...
    @overload
    def set_value(self, index: int, value: numpy.ndarray[object[m,1]]) -> None: ...
    def size(self) -> int: ...
    def value(self, index: int = ...) -> numpy.ndarray[object[m,1]]: ...
    def __copy__(self) -> DiscreteValues_𝓣AutoDiffXd𝓤: ...
    def __deepcopy__(self, arg0: dict) -> DiscreteValues_𝓣AutoDiffXd𝓤: ...
    def __getitem__(self, arg0: int) -> pydrake.autodiffutils.AutoDiffXd: ...
    def __setitem__(self, arg0: int, arg1: pydrake.autodiffutils.AutoDiffXd) -> None: ...

class _TemporaryName_N5drake7systems14DiscreteValuesINS_8symbolic10ExpressionEEE:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, datum: BasicVector_𝓣Expression𝓤) -> None: ...
    @overload
    def __init__(self, data: List[BasicVector_𝓣Expression𝓤]) -> None: ...
    @overload
    def __init__(self) -> None: ...
    def Clone(self) -> DiscreteValues_𝓣Expression𝓤: ...
    def SetFrom(self, arg0: DiscreteValues) -> None: ...
    def get_data(self) -> List[BasicVector_𝓣Expression𝓤]: ...
    def get_mutable_value(self, index: int = ...) -> numpy.ndarray[object[m,1],flags.writeable]: ...
    def get_mutable_vector(self, index: int = ...) -> BasicVector_𝓣Expression𝓤: ...
    def get_value(self, index: int = ...) -> numpy.ndarray[object[m,1]]: ...
    def get_vector(self, index: int = ...) -> BasicVector_𝓣Expression𝓤: ...
    def num_groups(self) -> int: ...
    @overload
    def set_value(self, value: numpy.ndarray[object[m,1]]) -> None: ...
    @overload
    def set_value(self, index: int, value: numpy.ndarray[object[m,1]]) -> None: ...
    def size(self) -> int: ...
    def value(self, index: int = ...) -> numpy.ndarray[object[m,1]]: ...
    def __copy__(self) -> DiscreteValues_𝓣Expression𝓤: ...
    def __deepcopy__(self, arg0: dict) -> DiscreteValues_𝓣Expression𝓤: ...
    def __getitem__(self, arg0: int) -> pydrake.symbolic.Expression: ...
    def __setitem__(self, arg0: int, arg1: pydrake.symbolic.Expression) -> None: ...

class _TemporaryName_N5drake7systems14LeafOutputPortIN5Eigen14AutoDiffScalarINS2_6MatrixIdLin1ELi1ELi0ELin1ELi1EEEEEEE(OutputPort_𝓣AutoDiffXd𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...
    @overload
    def disable_caching_by_default(self) -> None: ...
    @overload
    def disable_caching_by_default(self) -> Any: ...

class _TemporaryName_N5drake7systems14LeafOutputPortINS_8symbolic10ExpressionEEE(OutputPort_𝓣Expression𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...
    @overload
    def disable_caching_by_default(self) -> None: ...
    @overload
    def disable_caching_by_default(self) -> Any: ...

class _TemporaryName_N5drake7systems15ContinuousStateIN5Eigen14AutoDiffScalarINS2_6MatrixIdLin1ELi1ELi0ELin1ELi1EEEEEEE:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, state: VectorBase_𝓣AutoDiffXd𝓤) -> None: ...
    @overload
    def __init__(self, state: VectorBase_𝓣AutoDiffXd𝓤, num_q: int, num_v: int, num_z: int) -> None: ...
    @overload
    def __init__(self) -> None: ...
    def Clone(self) -> ContinuousState_𝓣AutoDiffXd𝓤: ...
    def CopyToVector(self) -> numpy.ndarray[object[m,1]]: ...
    def SetFrom(self, arg0: ContinuousState) -> None: ...
    def SetFromVector(self, value: numpy.ndarray[object[m,1]]) -> None: ...
    def get_generalized_position(self) -> VectorBase_𝓣AutoDiffXd𝓤: ...
    def get_generalized_velocity(self) -> VectorBase_𝓣AutoDiffXd𝓤: ...
    def get_misc_continuous_state(self) -> VectorBase_𝓣AutoDiffXd𝓤: ...
    def get_mutable_generalized_position(self) -> VectorBase_𝓣AutoDiffXd𝓤: ...
    def get_mutable_generalized_velocity(self) -> VectorBase_𝓣AutoDiffXd𝓤: ...
    def get_mutable_misc_continuous_state(self) -> VectorBase_𝓣AutoDiffXd𝓤: ...
    def get_mutable_vector(self) -> VectorBase_𝓣AutoDiffXd𝓤: ...
    def get_vector(self) -> VectorBase_𝓣AutoDiffXd𝓤: ...
    def num_q(self) -> int: ...
    def num_v(self) -> int: ...
    def num_z(self) -> int: ...
    def size(self) -> int: ...
    def __copy__(self) -> ContinuousState_𝓣AutoDiffXd𝓤: ...
    def __deepcopy__(self, arg0: dict) -> ContinuousState_𝓣AutoDiffXd𝓤: ...
    def __getitem__(self, arg0: int) -> pydrake.autodiffutils.AutoDiffXd: ...
    def __setitem__(self, arg0: int, arg1: pydrake.autodiffutils.AutoDiffXd) -> None: ...

class _TemporaryName_N5drake7systems15ContinuousStateINS_8symbolic10ExpressionEEE:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, state: VectorBase_𝓣Expression𝓤) -> None: ...
    @overload
    def __init__(self, state: VectorBase_𝓣Expression𝓤, num_q: int, num_v: int, num_z: int) -> None: ...
    @overload
    def __init__(self) -> None: ...
    def Clone(self) -> ContinuousState_𝓣Expression𝓤: ...
    def CopyToVector(self) -> numpy.ndarray[object[m,1]]: ...
    def SetFrom(self, arg0: ContinuousState) -> None: ...
    def SetFromVector(self, value: numpy.ndarray[object[m,1]]) -> None: ...
    def get_generalized_position(self) -> VectorBase_𝓣Expression𝓤: ...
    def get_generalized_velocity(self) -> VectorBase_𝓣Expression𝓤: ...
    def get_misc_continuous_state(self) -> VectorBase_𝓣Expression𝓤: ...
    def get_mutable_generalized_position(self) -> VectorBase_𝓣Expression𝓤: ...
    def get_mutable_generalized_velocity(self) -> VectorBase_𝓣Expression𝓤: ...
    def get_mutable_misc_continuous_state(self) -> VectorBase_𝓣Expression𝓤: ...
    def get_mutable_vector(self) -> VectorBase_𝓣Expression𝓤: ...
    def get_vector(self) -> VectorBase_𝓣Expression𝓤: ...
    def num_q(self) -> int: ...
    def num_v(self) -> int: ...
    def num_z(self) -> int: ...
    def size(self) -> int: ...
    def __copy__(self) -> ContinuousState_𝓣Expression𝓤: ...
    def __deepcopy__(self, arg0: dict) -> ContinuousState_𝓣Expression𝓤: ...
    def __getitem__(self, arg0: int) -> pydrake.symbolic.Expression: ...
    def __setitem__(self, arg0: int, arg1: pydrake.symbolic.Expression) -> None: ...

class _TemporaryName_N5drake7systems15WitnessFunctionIN5Eigen14AutoDiffScalarINS2_6MatrixIdLin1ELi1ELi0ELin1ELi1EEEEEEE:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...

class _TemporaryName_N5drake7systems15WitnessFunctionINS_8symbolic10ExpressionEEE:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...

class _TemporaryName_N5drake7systems19DiscreteUpdateEventIN5Eigen14AutoDiffScalarINS2_6MatrixIdLin1ELi1ELi0ELin1ELi1EEEEEEE(Event_𝓣AutoDiffXd𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...

class _TemporaryName_N5drake7systems19DiscreteUpdateEventINS_8symbolic10ExpressionEEE(Event_𝓣Expression𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...

class _TemporaryName_N5drake7systems23UnrestrictedUpdateEventIN5Eigen14AutoDiffScalarINS2_6MatrixIdLin1ELi1ELi0ELin1ELi1EEEEEEE(Event_𝓣AutoDiffXd𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, callback) -> None: ...
    @overload
    def __init__(self, system_callback) -> None: ...

class _TemporaryName_N5drake7systems23UnrestrictedUpdateEventINS_8symbolic10ExpressionEEE(Event_𝓣Expression𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    @overload
    def __init__(self, callback) -> None: ...
    @overload
    def __init__(self, system_callback) -> None: ...

class _TemporaryName_N5drake7systems5EventIN5Eigen14AutoDiffScalarINS2_6MatrixIdLin1ELi1ELi0ELin1ELi1EEEEEEE:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...
    def get_trigger_type(self) -> TriggerType: ...

class _TemporaryName_N5drake7systems5EventINS_8symbolic10ExpressionEEE:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...
    def get_trigger_type(self) -> TriggerType: ...

class _TemporaryName_N5drake7systems5StateIN5Eigen14AutoDiffScalarINS2_6MatrixIdLin1ELi1ELi0ELin1ELi1EEEEEEE:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...
    @overload
    def get_abstract_state(self) -> AbstractValues: ...
    @overload
    def get_abstract_state(self, index: int) -> pydrake.common.value.AbstractValue: ...
    def get_continuous_state(self, *args, **kwargs) -> Any: ...
    def get_discrete_state(self, *args, **kwargs) -> Any: ...
    @overload
    def get_mutable_abstract_state(self) -> AbstractValues: ...
    @overload
    def get_mutable_abstract_state(self, index: int) -> pydrake.common.value.AbstractValue: ...
    def get_mutable_continuous_state(self, *args, **kwargs) -> Any: ...
    def get_mutable_discrete_state(self, index: int) -> BasicVector_𝓣AutoDiffXd𝓤: ...

class _TemporaryName_N5drake7systems5StateINS_8symbolic10ExpressionEEE:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...
    @overload
    def get_abstract_state(self) -> AbstractValues: ...
    @overload
    def get_abstract_state(self, index: int) -> pydrake.common.value.AbstractValue: ...
    def get_continuous_state(self, *args, **kwargs) -> Any: ...
    def get_discrete_state(self, *args, **kwargs) -> Any: ...
    @overload
    def get_mutable_abstract_state(self) -> AbstractValues: ...
    @overload
    def get_mutable_abstract_state(self, index: int) -> pydrake.common.value.AbstractValue: ...
    def get_mutable_continuous_state(self, *args, **kwargs) -> Any: ...
    def get_mutable_discrete_state(self, index: int) -> BasicVector_𝓣Expression𝓤: ...

class _TemporaryName_N5drake7systems6SystemIN5Eigen14AutoDiffScalarINS2_6MatrixIdLin1ELi1ELi0ELin1ELi1EEEEEEE(SystemBase):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    ToScalarType: Any
    ToScalarTypeMaybe: Any
    def __init__(self, *args, **kwargs) -> None: ...
    def Accept(self, *args, **kwargs) -> Any: ...
    def AllocateContext(self) -> Context_𝓣AutoDiffXd𝓤: ...
    def AllocateDiscreteVariables(self) -> DiscreteValues_𝓣AutoDiffXd𝓤: ...
    def AllocateImplicitTimeDerivativesResidual(self) -> numpy.ndarray[object[m,1]]: ...
    def AllocateInputAbstract(self, input_port: InputPort_𝓣AutoDiffXd𝓤) -> pydrake.common.value.AbstractValue: ...
    def AllocateInputVector(self, input_port: InputPort_𝓣AutoDiffXd𝓤) -> BasicVector_𝓣AutoDiffXd𝓤: ...
    def AllocateOutput(self) -> SystemOutput_𝓣AutoDiffXd𝓤: ...
    def AllocateTimeDerivatives(self) -> ContinuousState_𝓣AutoDiffXd𝓤: ...
    def CalcConservativePower(self, context: Context_𝓣AutoDiffXd𝓤) -> pydrake.autodiffutils.AutoDiffXd: ...
    def CalcForcedDiscreteVariableUpdate(self, context: Context_𝓣AutoDiffXd𝓤, discrete_state: DiscreteValues_𝓣AutoDiffXd𝓤) -> None: ...
    def CalcForcedUnrestrictedUpdate(self, context: Context_𝓣AutoDiffXd𝓤, state: State_𝓣AutoDiffXd𝓤) -> None: ...
    @overload
    def CalcImplicitTimeDerivativesResidual(self, context: Context_𝓣AutoDiffXd𝓤, proposed_derivatives: ContinuousState_𝓣AutoDiffXd𝓤, residual: Optional[numpy.ndarray[object[m,1],flags.writeable]]) -> None: ...
    @overload
    def CalcImplicitTimeDerivativesResidual(self, context: Context_𝓣AutoDiffXd𝓤, proposed_derivatives: ContinuousState_𝓣AutoDiffXd𝓤) -> numpy.ndarray[object[m,1]]: ...
    def CalcKineticEnergy(self, context: Context_𝓣AutoDiffXd𝓤) -> pydrake.autodiffutils.AutoDiffXd: ...
    def CalcNonConservativePower(self, context: Context_𝓣AutoDiffXd𝓤) -> pydrake.autodiffutils.AutoDiffXd: ...
    def CalcOutput(self, context: Context_𝓣AutoDiffXd𝓤, outputs: SystemOutput_𝓣AutoDiffXd𝓤) -> None: ...
    def CalcPotentialEnergy(self, context: Context_𝓣AutoDiffXd𝓤) -> pydrake.autodiffutils.AutoDiffXd: ...
    def CalcTimeDerivatives(self, context: Context_𝓣AutoDiffXd𝓤, derivatives: ContinuousState_𝓣AutoDiffXd𝓤) -> None: ...
    def Clone(self) -> System_𝓣AutoDiffXd𝓤: ...
    def CreateDefaultContext(self) -> Context_𝓣AutoDiffXd𝓤: ...
    def DeclareInputPort(self, name: Union[str,UseDefaultName], type: PortDataType, size: int, random_type: Optional[pydrake.common._module_py.RandomDistribution] = ...) -> InputPort_𝓣AutoDiffXd𝓤: ...
    def EvalAbstractInput(self, context: Context_𝓣AutoDiffXd𝓤, port_index: int) -> pydrake.common.value.AbstractValue: ...
    def EvalKineticEnergy(self, context: Context_𝓣AutoDiffXd𝓤) -> pydrake.autodiffutils.AutoDiffXd: ...
    def EvalPotentialEnergy(self, context: Context_𝓣AutoDiffXd𝓤) -> pydrake.autodiffutils.AutoDiffXd: ...
    def EvalTimeDerivatives(self, context: Context_𝓣AutoDiffXd𝓤) -> ContinuousState_𝓣AutoDiffXd𝓤: ...
    @overload
    def EvalUniquePeriodicDiscreteUpdate(self, context: Context_𝓣AutoDiffXd𝓤) -> DiscreteValues_𝓣AutoDiffXd𝓤: ...
    @overload
    def EvalUniquePeriodicDiscreteUpdate(self, context) -> Any: ...
    @overload
    def EvalUniquePeriodicDiscreteUpdate(self) -> Any: ...
    def EvalVectorInput(self, context: Context_𝓣AutoDiffXd𝓤, port_index: int) -> BasicVector_𝓣AutoDiffXd𝓤: ...
    def FixInputPortsFrom(self, other_system: System, other_context: Context, target_context: Context_𝓣AutoDiffXd𝓤) -> None: ...
    def ForcedPublish(self, context: Context_𝓣AutoDiffXd𝓤) -> None: ...
    def GetGraphvizString(self, max_depth: int = ...) -> object: ...
    def GetInputPort(self, port_name: str) -> InputPort_𝓣AutoDiffXd𝓤: ...
    def GetMutableSubsystemContext(self, subsystem: System_𝓣AutoDiffXd𝓤, context: Context_𝓣AutoDiffXd𝓤) -> Context_𝓣AutoDiffXd𝓤: ...
    @overload
    def GetMyContextFromRoot(self, root_context: Context_𝓣AutoDiffXd𝓤) -> Context_𝓣AutoDiffXd𝓤: ...
    @overload
    def GetMyContextFromRoot(self) -> Any: ...
    def GetMyMutableContextFromRoot(self, root_context: Context_𝓣AutoDiffXd𝓤) -> Context_𝓣AutoDiffXd𝓤: ...
    def GetOutputPort(self, port_name: str) -> OutputPort_𝓣AutoDiffXd𝓤: ...
    def GetSubsystemContext(self, subsystem: System_𝓣AutoDiffXd𝓤, context: Context_𝓣AutoDiffXd𝓤) -> Context_𝓣AutoDiffXd𝓤: ...
    def GetUniquePeriodicDiscreteUpdateAttribute(self) -> Optional[PeriodicEventData]: ...
    @overload
    def GetWitnessFunctions(self, context: Context_𝓣AutoDiffXd𝓤) -> List[WitnessFunction_𝓣AutoDiffXd𝓤]: ...
    @overload
    def GetWitnessFunctions(self, context) -> Any: ...
    def HasAnyDirectFeedthrough(self) -> bool: ...
    @overload
    def HasDirectFeedthrough(self, output_port: int) -> bool: ...
    @overload
    def HasDirectFeedthrough(self, input_port: int, output_port: int) -> bool: ...
    @overload
    def IsDifferenceEquationSystem(self) -> Tuple[bool,float]: ...
    @overload
    def IsDifferenceEquationSystem(self) -> Any: ...
    def SetDefaultContext(self, context: Context_𝓣AutoDiffXd𝓤) -> None: ...
    def SetRandomContext(self, context: Context_𝓣AutoDiffXd𝓤, generator: pydrake.common._module_py.RandomGenerator) -> None: ...
    def ToAutoDiffXd(self) -> System_𝓣AutoDiffXd𝓤: ...
    def ToAutoDiffXdMaybe(self) -> System_𝓣AutoDiffXd𝓤: ...
    def ToScalarTypeMaybe𝓣AutoDiffXd𝓤(self) -> System_𝓣AutoDiffXd𝓤: ...
    def ToScalarTypeMaybe𝓣Expression𝓤(self, *args, **kwargs) -> Any: ...
    def ToScalarTypeMaybe𝓣float𝓤(self) -> System: ...
    def ToScalarType𝓣AutoDiffXd𝓤(self) -> System_𝓣AutoDiffXd𝓤: ...
    def ToScalarType𝓣Expression𝓤(self, *args, **kwargs) -> Any: ...
    def ToScalarType𝓣float𝓤(self) -> System: ...
    def ToSymbolic(self, *args, **kwargs) -> Any: ...
    def ToSymbolicMaybe(self, *args, **kwargs) -> Any: ...
    @overload
    def get_input_port(self, port_index: int) -> InputPort_𝓣AutoDiffXd𝓤: ...
    @overload
    def get_input_port(self) -> InputPort_𝓣AutoDiffXd𝓤: ...
    @overload
    def get_output_port(self, port_index: int) -> OutputPort_𝓣AutoDiffXd𝓤: ...
    @overload
    def get_output_port(self) -> OutputPort_𝓣AutoDiffXd𝓤: ...
    def __copy__(self) -> System_𝓣AutoDiffXd𝓤: ...
    def __deepcopy__(self, arg0: dict) -> System_𝓣AutoDiffXd𝓤: ...

class _TemporaryName_N5drake7systems6SystemINS_8symbolic10ExpressionEEE(SystemBase):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    ToScalarType: Any
    ToScalarTypeMaybe: Any
    def __init__(self, *args, **kwargs) -> None: ...
    def Accept(self, *args, **kwargs) -> Any: ...
    def AllocateContext(self) -> Context_𝓣Expression𝓤: ...
    def AllocateDiscreteVariables(self) -> DiscreteValues_𝓣Expression𝓤: ...
    def AllocateImplicitTimeDerivativesResidual(self) -> numpy.ndarray[object[m,1]]: ...
    def AllocateInputAbstract(self, input_port: InputPort_𝓣Expression𝓤) -> pydrake.common.value.AbstractValue: ...
    def AllocateInputVector(self, input_port: InputPort_𝓣Expression𝓤) -> BasicVector_𝓣Expression𝓤: ...
    def AllocateOutput(self) -> SystemOutput_𝓣Expression𝓤: ...
    def AllocateTimeDerivatives(self) -> ContinuousState_𝓣Expression𝓤: ...
    def CalcConservativePower(self, context: Context_𝓣Expression𝓤) -> pydrake.symbolic.Expression: ...
    def CalcForcedDiscreteVariableUpdate(self, context: Context_𝓣Expression𝓤, discrete_state: DiscreteValues_𝓣Expression𝓤) -> None: ...
    def CalcForcedUnrestrictedUpdate(self, context: Context_𝓣Expression𝓤, state: State_𝓣Expression𝓤) -> None: ...
    @overload
    def CalcImplicitTimeDerivativesResidual(self, context: Context_𝓣Expression𝓤, proposed_derivatives: ContinuousState_𝓣Expression𝓤, residual: Optional[numpy.ndarray[object[m,1],flags.writeable]]) -> None: ...
    @overload
    def CalcImplicitTimeDerivativesResidual(self, context: Context_𝓣Expression𝓤, proposed_derivatives: ContinuousState_𝓣Expression𝓤) -> numpy.ndarray[object[m,1]]: ...
    def CalcKineticEnergy(self, context: Context_𝓣Expression𝓤) -> pydrake.symbolic.Expression: ...
    def CalcNonConservativePower(self, context: Context_𝓣Expression𝓤) -> pydrake.symbolic.Expression: ...
    def CalcOutput(self, context: Context_𝓣Expression𝓤, outputs: SystemOutput_𝓣Expression𝓤) -> None: ...
    def CalcPotentialEnergy(self, context: Context_𝓣Expression𝓤) -> pydrake.symbolic.Expression: ...
    def CalcTimeDerivatives(self, context: Context_𝓣Expression𝓤, derivatives: ContinuousState_𝓣Expression𝓤) -> None: ...
    def Clone(self) -> System_𝓣Expression𝓤: ...
    def CreateDefaultContext(self) -> Context_𝓣Expression𝓤: ...
    def DeclareInputPort(self, name: Union[str,UseDefaultName], type: PortDataType, size: int, random_type: Optional[pydrake.common._module_py.RandomDistribution] = ...) -> InputPort_𝓣Expression𝓤: ...
    def EvalAbstractInput(self, context: Context_𝓣Expression𝓤, port_index: int) -> pydrake.common.value.AbstractValue: ...
    def EvalKineticEnergy(self, context: Context_𝓣Expression𝓤) -> pydrake.symbolic.Expression: ...
    def EvalPotentialEnergy(self, context: Context_𝓣Expression𝓤) -> pydrake.symbolic.Expression: ...
    def EvalTimeDerivatives(self, context: Context_𝓣Expression𝓤) -> ContinuousState_𝓣Expression𝓤: ...
    @overload
    def EvalUniquePeriodicDiscreteUpdate(self, context: Context_𝓣Expression𝓤) -> DiscreteValues_𝓣Expression𝓤: ...
    @overload
    def EvalUniquePeriodicDiscreteUpdate(self, context) -> Any: ...
    @overload
    def EvalUniquePeriodicDiscreteUpdate(self) -> Any: ...
    def EvalVectorInput(self, context: Context_𝓣Expression𝓤, port_index: int) -> BasicVector_𝓣Expression𝓤: ...
    def FixInputPortsFrom(self, other_system: System, other_context: Context, target_context: Context_𝓣Expression𝓤) -> None: ...
    def ForcedPublish(self, context: Context_𝓣Expression𝓤) -> None: ...
    def GetGraphvizString(self, max_depth: int = ...) -> object: ...
    def GetInputPort(self, port_name: str) -> InputPort_𝓣Expression𝓤: ...
    def GetMutableSubsystemContext(self, subsystem: System_𝓣Expression𝓤, context: Context_𝓣Expression𝓤) -> Context_𝓣Expression𝓤: ...
    @overload
    def GetMyContextFromRoot(self, root_context: Context_𝓣Expression𝓤) -> Context_𝓣Expression𝓤: ...
    @overload
    def GetMyContextFromRoot(self) -> Any: ...
    def GetMyMutableContextFromRoot(self, root_context: Context_𝓣Expression𝓤) -> Context_𝓣Expression𝓤: ...
    def GetOutputPort(self, port_name: str) -> OutputPort_𝓣Expression𝓤: ...
    def GetSubsystemContext(self, subsystem: System_𝓣Expression𝓤, context: Context_𝓣Expression𝓤) -> Context_𝓣Expression𝓤: ...
    def GetUniquePeriodicDiscreteUpdateAttribute(self) -> Optional[PeriodicEventData]: ...
    @overload
    def GetWitnessFunctions(self, context: Context_𝓣Expression𝓤) -> List[WitnessFunction_𝓣Expression𝓤]: ...
    @overload
    def GetWitnessFunctions(self, context) -> Any: ...
    def HasAnyDirectFeedthrough(self) -> bool: ...
    @overload
    def HasDirectFeedthrough(self, output_port: int) -> bool: ...
    @overload
    def HasDirectFeedthrough(self, input_port: int, output_port: int) -> bool: ...
    @overload
    def IsDifferenceEquationSystem(self) -> Tuple[bool,float]: ...
    @overload
    def IsDifferenceEquationSystem(self) -> Any: ...
    def SetDefaultContext(self, context: Context_𝓣Expression𝓤) -> None: ...
    def SetRandomContext(self, context: Context_𝓣Expression𝓤, generator: pydrake.common._module_py.RandomGenerator) -> None: ...
    def ToAutoDiffXd(self) -> System_𝓣AutoDiffXd𝓤: ...
    def ToAutoDiffXdMaybe(self) -> System_𝓣AutoDiffXd𝓤: ...
    def ToScalarTypeMaybe𝓣AutoDiffXd𝓤(self) -> System_𝓣AutoDiffXd𝓤: ...
    def ToScalarTypeMaybe𝓣Expression𝓤(self) -> System_𝓣Expression𝓤: ...
    def ToScalarTypeMaybe𝓣float𝓤(self) -> System: ...
    def ToScalarType𝓣AutoDiffXd𝓤(self) -> System_𝓣AutoDiffXd𝓤: ...
    def ToScalarType𝓣Expression𝓤(self) -> System_𝓣Expression𝓤: ...
    def ToScalarType𝓣float𝓤(self) -> System: ...
    def ToSymbolic(self) -> System_𝓣Expression𝓤: ...
    def ToSymbolicMaybe(self) -> System_𝓣Expression𝓤: ...
    @overload
    def get_input_port(self, port_index: int) -> InputPort_𝓣Expression𝓤: ...
    @overload
    def get_input_port(self) -> InputPort_𝓣Expression𝓤: ...
    @overload
    def get_output_port(self, port_index: int) -> OutputPort_𝓣Expression𝓤: ...
    @overload
    def get_output_port(self) -> OutputPort_𝓣Expression𝓤: ...
    def __copy__(self) -> System_𝓣Expression𝓤: ...
    def __deepcopy__(self, arg0: dict) -> System_𝓣Expression𝓤: ...

class _TemporaryName_N5drake7systems7ContextIN5Eigen14AutoDiffScalarINS2_6MatrixIdLin1ELi1ELi0ELin1ELi1EEEEEEE(ContextBase):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...
    def Clone(self) -> Context_𝓣AutoDiffXd𝓤: ...
    def SetAbstractState(self, index: int, value: object) -> None: ...
    def SetAccuracy(self, accuracy: Optional[float]) -> None: ...
    def SetContinuousState(self, arg0: numpy.ndarray[object[m,1]]) -> None: ...
    @overload
    def SetDiscreteState(self, xd: numpy.ndarray[object[m,1]]) -> None: ...
    @overload
    def SetDiscreteState(self, group_index: int, xd: numpy.ndarray[object[m,1]]) -> None: ...
    @overload
    def SetStateAndParametersFrom(self, source: Context) -> None: ...
    @overload
    def SetStateAndParametersFrom(self, source: Context_𝓣AutoDiffXd𝓤) -> None: ...
    def SetTime(self, time_sec: pydrake.autodiffutils.AutoDiffXd) -> None: ...
    def SetTimeAndContinuousState(self, arg0: pydrake.autodiffutils.AutoDiffXd, arg1: numpy.ndarray[object[m,1]]) -> None: ...
    @overload
    def SetTimeStateAndParametersFrom(self, source: Context) -> None: ...
    @overload
    def SetTimeStateAndParametersFrom(self, source: Context_𝓣AutoDiffXd𝓤) -> None: ...
    def get_abstract_parameter(self, index: int) -> pydrake.common.value.AbstractValue: ...
    @overload
    def get_abstract_state(self) -> AbstractValues: ...
    @overload
    def get_abstract_state(self, index: int) -> pydrake.common.value.AbstractValue: ...
    def get_accuracy(self) -> Optional[float]: ...
    def get_continuous_state(self, *args, **kwargs) -> Any: ...
    def get_continuous_state_vector(self) -> VectorBase_𝓣AutoDiffXd𝓤: ...
    def get_discrete_state(self, arg0: int) -> BasicVector_𝓣AutoDiffXd𝓤: ...
    def get_discrete_state_vector(self) -> BasicVector_𝓣AutoDiffXd𝓤: ...
    def get_mutable_abstract_parameter(self, index: int) -> pydrake.common.value.AbstractValue: ...
    @overload
    def get_mutable_abstract_state(self) -> AbstractValues: ...
    @overload
    def get_mutable_abstract_state(self, index: int) -> pydrake.common.value.AbstractValue: ...
    def get_mutable_continuous_state(self, *args, **kwargs) -> Any: ...
    def get_mutable_continuous_state_vector(self) -> VectorBase_𝓣AutoDiffXd𝓤: ...
    def get_mutable_discrete_state(self, arg0: int) -> BasicVector_𝓣AutoDiffXd𝓤: ...
    def get_mutable_discrete_state_vector(self) -> BasicVector_𝓣AutoDiffXd𝓤: ...
    def get_mutable_numeric_parameter(self, index: int) -> BasicVector_𝓣AutoDiffXd𝓤: ...
    def get_mutable_parameters(self, *args, **kwargs) -> Any: ...
    def get_mutable_state(self, *args, **kwargs) -> Any: ...
    def get_numeric_parameter(self, index: int) -> BasicVector_𝓣AutoDiffXd𝓤: ...
    def get_parameters(self, *args, **kwargs) -> Any: ...
    def get_state(self, *args, **kwargs) -> Any: ...
    def get_time(self) -> pydrake.autodiffutils.AutoDiffXd: ...
    def has_only_continuous_state(self) -> bool: ...
    def has_only_discrete_state(self) -> bool: ...
    def is_stateless(self) -> bool: ...
    def num_abstract_parameters(self) -> int: ...
    def num_abstract_states(self) -> int: ...
    def num_continuous_states(self) -> int: ...
    def num_discrete_state_groups(self) -> int: ...
    def num_numeric_parameter_groups(self) -> int: ...
    def num_total_states(self) -> int: ...
    def __copy__(self) -> Context_𝓣AutoDiffXd𝓤: ...
    def __deepcopy__(self, arg0: dict) -> Context_𝓣AutoDiffXd𝓤: ...

class _TemporaryName_N5drake7systems7ContextINS_8symbolic10ExpressionEEE(ContextBase):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...
    def Clone(self) -> Context_𝓣Expression𝓤: ...
    def SetAbstractState(self, index: int, value: object) -> None: ...
    def SetAccuracy(self, accuracy: Optional[float]) -> None: ...
    def SetContinuousState(self, arg0: numpy.ndarray[object[m,1]]) -> None: ...
    @overload
    def SetDiscreteState(self, xd: numpy.ndarray[object[m,1]]) -> None: ...
    @overload
    def SetDiscreteState(self, group_index: int, xd: numpy.ndarray[object[m,1]]) -> None: ...
    @overload
    def SetStateAndParametersFrom(self, source: Context) -> None: ...
    @overload
    def SetStateAndParametersFrom(self, source: Context_𝓣AutoDiffXd𝓤) -> None: ...
    @overload
    def SetStateAndParametersFrom(self, source: Context_𝓣Expression𝓤) -> None: ...
    def SetTime(self, time_sec: pydrake.symbolic.Expression) -> None: ...
    def SetTimeAndContinuousState(self, arg0: pydrake.symbolic.Expression, arg1: numpy.ndarray[object[m,1]]) -> None: ...
    @overload
    def SetTimeStateAndParametersFrom(self, source: Context) -> None: ...
    @overload
    def SetTimeStateAndParametersFrom(self, source: Context_𝓣AutoDiffXd𝓤) -> None: ...
    @overload
    def SetTimeStateAndParametersFrom(self, source: Context_𝓣Expression𝓤) -> None: ...
    def get_abstract_parameter(self, index: int) -> pydrake.common.value.AbstractValue: ...
    @overload
    def get_abstract_state(self) -> AbstractValues: ...
    @overload
    def get_abstract_state(self, index: int) -> pydrake.common.value.AbstractValue: ...
    def get_accuracy(self) -> Optional[float]: ...
    def get_continuous_state(self, *args, **kwargs) -> Any: ...
    def get_continuous_state_vector(self) -> VectorBase_𝓣Expression𝓤: ...
    def get_discrete_state(self, arg0: int) -> BasicVector_𝓣Expression𝓤: ...
    def get_discrete_state_vector(self) -> BasicVector_𝓣Expression𝓤: ...
    def get_mutable_abstract_parameter(self, index: int) -> pydrake.common.value.AbstractValue: ...
    @overload
    def get_mutable_abstract_state(self) -> AbstractValues: ...
    @overload
    def get_mutable_abstract_state(self, index: int) -> pydrake.common.value.AbstractValue: ...
    def get_mutable_continuous_state(self, *args, **kwargs) -> Any: ...
    def get_mutable_continuous_state_vector(self) -> VectorBase_𝓣Expression𝓤: ...
    def get_mutable_discrete_state(self, arg0: int) -> BasicVector_𝓣Expression𝓤: ...
    def get_mutable_discrete_state_vector(self) -> BasicVector_𝓣Expression𝓤: ...
    def get_mutable_numeric_parameter(self, index: int) -> BasicVector_𝓣Expression𝓤: ...
    def get_mutable_parameters(self, *args, **kwargs) -> Any: ...
    def get_mutable_state(self, *args, **kwargs) -> Any: ...
    def get_numeric_parameter(self, index: int) -> BasicVector_𝓣Expression𝓤: ...
    def get_parameters(self, *args, **kwargs) -> Any: ...
    def get_state(self, *args, **kwargs) -> Any: ...
    def get_time(self) -> pydrake.symbolic.Expression: ...
    def has_only_continuous_state(self) -> bool: ...
    def has_only_discrete_state(self) -> bool: ...
    def is_stateless(self) -> bool: ...
    def num_abstract_parameters(self) -> int: ...
    def num_abstract_states(self) -> int: ...
    def num_continuous_states(self) -> int: ...
    def num_discrete_state_groups(self) -> int: ...
    def num_numeric_parameter_groups(self) -> int: ...
    def num_total_states(self) -> int: ...
    def __copy__(self) -> Context_𝓣Expression𝓤: ...
    def __deepcopy__(self, arg0: dict) -> Context_𝓣Expression𝓤: ...

class _TemporaryName_N5drake7systems7DiagramIN5Eigen14AutoDiffScalarINS2_6MatrixIdLin1ELi1ELi0ELin1ELi1EEEEEEE(System_𝓣AutoDiffXd𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...
    def GetInputPortLocators(self, port_index: InputPortIndex) -> list: ...
    def GetMutableSubsystemState(self, arg0: System_𝓣AutoDiffXd𝓤, arg1: Context_𝓣AutoDiffXd𝓤) -> State_𝓣AutoDiffXd𝓤: ...
    def GetSubsystemByName(self, name: str) -> System_𝓣AutoDiffXd𝓤: ...
    def GetSystems(self) -> list: ...
    def HasSubsystemNamed(self, name: str) -> bool: ...
    def connection_map(self) -> dict: ...
    def get_output_port_locator(self, port_index: OutputPortIndex) -> tuple: ...

class _TemporaryName_N5drake7systems7DiagramINS_8symbolic10ExpressionEEE(System_𝓣Expression𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...
    def GetInputPortLocators(self, port_index: InputPortIndex) -> list: ...
    def GetMutableSubsystemState(self, arg0: System_𝓣Expression𝓤, arg1: Context_𝓣Expression𝓤) -> State_𝓣Expression𝓤: ...
    def GetSubsystemByName(self, name: str) -> System_𝓣Expression𝓤: ...
    def GetSystems(self) -> list: ...
    def HasSubsystemNamed(self, name: str) -> bool: ...
    def connection_map(self) -> dict: ...
    def get_output_port_locator(self, port_index: OutputPortIndex) -> tuple: ...

class _TemporaryName_N5drake7systems9InputPortIN5Eigen14AutoDiffScalarINS2_6MatrixIdLin1ELi1ELi0ELin1ELi1EEEEEEE:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...
    def Allocate(self) -> pydrake.common.value.AbstractValue: ...
    def Eval(self, arg0: Context_𝓣AutoDiffXd𝓤) -> object: ...
    def EvalAbstract(self, context: Context_𝓣AutoDiffXd𝓤) -> pydrake.common.value.AbstractValue: ...
    def EvalBasicVector(self, context: Context_𝓣AutoDiffXd𝓤) -> object: ...
    @overload
    def FixValue(self, context: Context_𝓣AutoDiffXd𝓤, value: pydrake.common.value.AbstractValue) -> FixedInputPortValue: ...
    @overload
    def FixValue(self, context: Context_𝓣AutoDiffXd𝓤, value: object) -> FixedInputPortValue: ...
    def GetFullDescription(self) -> str: ...
    def HasValue(self, context: Context_𝓣AutoDiffXd𝓤) -> bool: ...
    def get_data_type(self) -> PortDataType: ...
    def get_index(self) -> InputPortIndex: ...
    def get_name(self) -> str: ...
    def get_system(self, *args, **kwargs) -> Any: ...
    def size(self) -> int: ...
    def ticket(self) -> DependencyTicket: ...

class _TemporaryName_N5drake7systems9InputPortINS_8symbolic10ExpressionEEE:
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...
    def Allocate(self) -> pydrake.common.value.AbstractValue: ...
    def Eval(self, arg0: Context_𝓣Expression𝓤) -> object: ...
    def EvalAbstract(self, context: Context_𝓣Expression𝓤) -> pydrake.common.value.AbstractValue: ...
    def EvalBasicVector(self, context: Context_𝓣Expression𝓤) -> object: ...
    @overload
    def FixValue(self, context: Context_𝓣Expression𝓤, value: pydrake.common.value.AbstractValue) -> FixedInputPortValue: ...
    @overload
    def FixValue(self, context: Context_𝓣Expression𝓤, value: object) -> FixedInputPortValue: ...
    def GetFullDescription(self) -> str: ...
    def HasValue(self, context: Context_𝓣Expression𝓤) -> bool: ...
    def get_data_type(self) -> PortDataType: ...
    def get_index(self) -> InputPortIndex: ...
    def get_name(self) -> str: ...
    def get_system(self, *args, **kwargs) -> Any: ...
    def size(self) -> int: ...
    def ticket(self) -> DependencyTicket: ...

class _TemporaryName_N5drake7systems9SubvectorIN5Eigen14AutoDiffScalarINS2_6MatrixIdLin1ELi1ELi0ELin1ELi1EEEEEEE(VectorBase_𝓣AutoDiffXd𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...

class _TemporaryName_N5drake7systems9SubvectorINS_8symbolic10ExpressionEEE(VectorBase_𝓣Expression𝓤):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self, *args, **kwargs) -> None: ...

def GenerateHtml(*args, **kwargs) -> Any: ...
